import { ContourDBConfig } from '@contour/db-connector/src/util/dbConfig';

type NodeProfile = {
  contourUsername?: string;
  contourPassword?: string;

  makerUsername?: string;
  makerEmail?: string;
  makerPassword?: string;
  makerCheckerUsername?: string;
  makerCheckerPassword?: string;
  checkerUsername?: string;
  checkerPassword?: string;
  checkerApproverUsername?: string;
  checkerApproverPassword?: string;
  makerCheckerApproverUsername?: string;
  makerCheckerApproverPassword?: string;
  approverUsername?: string;
  approverPassword?: string;
  admin1Username?: string;
  admin1Password?: string;
  admin2Username?: string;
  admin2Password?: string;

  name: string;
  displayName: string;
  address: string;
  childIdentities?: { [key: string]: string };

  baseUrl: string;
  mailServerUrl?: string;
  nodeAdminUrl?: string;
  dbConfig?: ContourDBConfig;
  appVersion: string;
  ldapEnabled?: boolean;
};
