import { PARTY } from '../enum/party';

interface IScenarioContext {
  mapVariable?: object;
  scenario?: Record<PARTY, string>;
  track?: string;
  appVersion?: string;
  dc: {
    track?: string;
    uuid?: string;
    appRefId?: string;
    randomDate?: string;
    attachments?: any[];
    currentDraftId?: string;
    documentSourceJson?: any[];
    locAmendId?: any[];
    otherDocumentsJson?: any[];
    concludedAmendmentSize?: number;
  };
  amendment: {
    amendInProgressJson?: any;
    amendAcceptedJson?: any;
    amendPos?: number;
  };
  p2p: P2PContext;

  currentParty?: string;
  currentLoggedInCompany?: string;
  userDtl?: {
    email?: string;
    userName?: string;
    password?: string;
  };
  dataStore?: object;
}
