import { AbstractPage } from '@contour/fet/lib/pages/abstractPage';
import { PageLocator } from '@contour/fet/lib/pages/pageLocator';

import scenarioContext from '../util/scenarioContext';

export class ContourBasePage extends AbstractPage {
  constructor(locators: PageLocator, url?: string) {
    const version = scenarioContext().appVersion || 'default';
    super(locators, version);

    if (url) {
      this.url = url;
    }
  }
}
