import { Button, WebElement } from '@contour/fet/lib/elements';

const PAGE_NAME = 'contourRadioGroup';

export class ContourRadioGroup extends WebElement {
  constructor() {
    super(contourfet.getPageElement(PAGE_NAME, 'radioGrpContainer'));
  }

  async clickOptionByLabel(lblText: string): Promise<void> {
    await new Button(contourfet.getPageElement(PAGE_NAME, 'radioLabel').replace('#LABELTEXT#', lblText)).clickElement();
  }
}
