export default {
  default: {
    locators: {
      selectOption: '[data-testid="#OPTION#"]',
      selectOptions: '//div[contains(@class,"react-select__option")]',
      selectInput: '[data-testid="react-select-input"] input',
      currentValue: '.react-select__value-container'
    }
  },
  v8_1: {
    locators: {
      selectOption: "div[role='menubar'] > button:nth-of-type(1)",
      selectOptions: '[role="menuitem"]',
      selectInput: '[class*="StyledSelect__StyledContainer"] input',
      currentValue: '.react-select__value-container'
    }
  }
};

// locators: {
//   selectOption: '//div[@role="menubar"]//span[@innertext="#OPTION#"]',
//   selectOptions: '[role="menuitem"]',
//   selectInput: '[class*="StyledSelect__StyledContainer"] input',
//   currentValue: '.react-select__value-container'
// }
