export enum PARTY {
  APPLICANT = 'applicant',
  BENEFICIARY = 'beneficiary',
  ISSUING_BANK = 'issuingBank',
  ADVISING_BANK = 'advisingBank',
  NEW_ADVISING_BANK = 'newAdvisingBank',
  NEW_CONFIRMING_BANK = 'newConfirmingBank',
  NOMINATED_BANK = 'nominatedBank',
  CONFIRMING_BANK = 'confirmingBank'
}

Object.freeze(PARTY);
export default PARTY;
export const isBankParty = [PARTY.CONFIRMING_BANK, PARTY.ISSUING_BANK, PARTY.NOMINATED_BANK, PARTY.ADVISING_BANK];
