export default {
  default: {
    url: '',
    title: 'Login BNO',
    locators: {
      emailInput: '//input[@id="email"]',
      passwordInput: '//input[@id="password"]',
      loginBtn: '//button[@class="contour-btn block-btn"]',
      bnoContainer: '//div[@class="home-page-container"]',
      emailLabel: '//label[@for="email"]',
      passwordLabel: '//label[@for="password"]',
      errorMsg: '//span[@class="has-warn"] | //span[@class="has-error"]',
      userAvatar: '//button[contains(@aria-label, "Open Menu")]//div//span',
      logoutBtn: '//span[contains(text(),"Logout")]'
    }
  },
  v8: {
    locators: {}
  },
  v8_1: {
    locators: {}
  }
};
