import { Button } from '@contour/fet/lib/elements/index';

import { ContourBasePage } from '../../base/basePage';
import locator from './actionButton.locator';

export default class ActionButton extends ContourBasePage {
  constructor(url?: string) {
    super(locator, url);
  }

  getGeneralButton() {
    return new Button(this.getLocatorAsString('generalButton'));
  }

  getSendToBeneficiaryButtonButton() {
    return new Button(this.getLocatorAsString('sendToBeneficiaryButton'));
  }

  getSubmitToIssuingBankButton() {
    return new Button(this.getLocatorAsString('submitToIssuingBankButton'));
  }

  getConfirmButton() {
    return new Button(this.getLocatorAsString('confirmButton'));
  }

  getResetButton() {
    return new Button(this.getLocatorAsString('resetButton'));
  }

  getSubmitButton() {
    return new Button(this.getLocatorAsString('submitButton'));
  }

  getCancelButton() {
    return new Button(this.getLocatorAsString('cancelButton'));
  }

  getAcceptButton() {
    return new Button(this.getLocatorAsString('acceptButton'));
  }

  getReturnButton() {
    return new Button(this.getLocatorAsString('returnButton'));
  }

  getDeclineButton() {
    return new Button(this.getLocatorAsString('declineButton'));
  }

  getVerifyButton() {
    return new Button(this.getLocatorAsString('verifyButton'));
  }

  getApproveButton() {
    return new Button(this.getLocatorAsString('approveButton'));
  }

  getSaveAndNextButton() {
    return new Button(this.getLocatorAsString('saveAndNextButton'));
  }

  getSubmitPresentationButton() {
    return new Button(this.getLocatorAsString('submitPresentationButton'));
  }

  getReleaseDocumentsButton() {
    return new Button(this.getLocatorAsString('releaseDocumentsButton'));
  }

  getPreviewButton() {
    return new Button(this.getLocatorAsString('previewButton'));
  }

  getSetPaymentDateButton() {
    return new Button(this.getLocatorAsString('setPaymentDueDateButton'));
  }
}
