export default {
  default: {
    url: '',
    title: '',
    locators: {
      userTabButton: '//a[contains(@href,"users")]',
      addUserButton: '//button[contains(@class,"CreateButton")]',
      nameInput: '(//div[.="名稱"] | //div[.="Name"])/input',
      emailInput: '(//div[.="電郵"] | //div[.="Email"])/input',
      staffIDInput: '(//div[.="名稱"] | //div[.="Staff ID (optional)"])/input',
      contactNumberInput: '(//div[.="名稱"] | //div[.="Contact number (optional)"])/input',
      essDocsSelect: '//div[@data-testid="essDocsUsername"]//div[contains(@class,"react-select-single-select")]',
      userRoleSelect: '//div[contains(@class,"UserProfileForm")]',
      createUserButton: '[data-testid="create"]',
      popupConfirm: '[data-testid="confirm-button"]',
      contentPage: '//div[contains(@class,"CompanySettings__TabContainer")]',
      firstPendingUser: '//div[contains(@class,"Elements__ListRow")][1]',
      nameData: '(//div[.="名稱"] | //div[.="Name"])/../div[contains(@class,"FieldData")]',
      userNameData: '(//div[.="名稱"] | //div[.="Username"])/../div[contains(@class,"FieldData")]',
      emailData: '(//div[.="電郵"] | //div[.="Email"])/../div[contains(@class,"FieldData")]',
      verifyButton: '//button[@data-testid="approve"]',
      userProfileSession: '//div[.="User profile"]/..',
      userSettingSession: '//div[.="User settings"]/..',
      userRoleSession: '//div[.="User role"]/..'
    }
  },
  v8: {
    locators: {
      inviteUserBtn: '//button[.="Invite user"]',
      searchUserInput: '[data-testid="SearchInput-input"]',
      searchUserBtn: '[data-testid="SearchInput-submitButton"]',
      emailInput: '.vt-col :nth-of-type(3) input',
      userRoleSelect: '.react-select',
      createUserButton: '[data-testid="create"]',
      userNameInTable: '/html//div[@id="root"]/div/div//div[.="#userName#"]',
      approveBtn: '[data-testid="approve"]',
      rejectBtn: '[data-testid="reject"]',
      tab: '/html//div[@id="root"]/div/div//div[.="#tabName#"]',
      userRow: '/html//div[@id="root"]/div/div//div[.="#userName#"]/following::div[#colIdx#]',
      setupUserForm: '[data-testid="login-form"]',
      fullNameTxt: '[data-testid="fullname"]',
      passwordTxt: '[data-testid="password"]',
      confirmPasswordTxt: '[data-testid="confirm-password"]',
      createBtn: '//button[.="Create"]',
      emailLabel: '//div[@data-testid="login-form"]/div/div[3]'
    }
  },
  v8_1: {
    locators: {
      inviteUserBtn: '//button[.="Invite user"]',
      searchUserInput: '[data-testid="SearchInput-input"]',
      searchUserBtn: '[data-testid="SearchInput-submitButton"]',
      emailInput: '.vt-col :nth-of-type(3) input',
      userRoleSelect: '.react-select',
      createUserButton: '[data-testid="create"]',
      userNameInTable: '/html//div[@id="root"]/div/div//div[.="#userName#"]',
      approveBtn: '[data-testid="approve"]',
      rejectBtn: '[data-testid="reject"]',
      tab: '/html//div[@id="root"]/div/div//div[.="#tabName#"]',
      userRow: '/html//div[@id="root"]/div/div//div[.="#userName#"]/following::div[#colIdx#]',
      setupUserForm: '[data-testid="login-form"]',
      fullNameTxt: '[data-testid="fullname"]',
      passwordTxt: '[data-testid="password"]',
      confirmPasswordTxt: '[data-testid="confirm-password"]',
      createBtn: '//button[.="Create"]',
      emailLabel: '//div[@data-testid="login-form"]/div/div[3]'
    }
  }
};
