import { Link } from '@contour/fet/lib/elements/link';

import { ContourBasePage } from '../../base/basePage';
import locator from './dcOverview.locator';

export default class DcOverview extends ContourBasePage {
  constructor(url?: string) {
    super(locator, url);
  }
  getDocumentLink(option): Link {
    return new Link(this.getLocatorAsString('documentLink').replace('#OPTION#', option));
  }
  getPresentationLink() {
    return new Link(this.getLocatorAsString('presentationLink'));
  }
}
