export default {
  default: {
    url: '',
    title: 'DP Cover Letter',
    locators: {
      radioInstructionPayment: '//input[@id = "instructions_payment"]',
      radioOtherInstruction: '//input[@id = "instructions_other"]',
      radioNoInstruction: '//input[@id = "instructions_none"]',
      inputAccountNumberToDebit:
        '//label[text() = "Account number to debit from in relation to charges (optional)"]/..//textarea',
      inputAccountNumberToCredit: '//label[text() = "Account number to credit the proceeds (optional)"]/..//textarea',
      inputExchangeContract: '//label[text() = "Exchange contract to convert proceeds (optional)"]/..//textarea',
      inputOtherProceeds: '//textarea[@data-testid = "otherProceeds"]'
    }
  },
  v8: {
    locators: {}
  },
  v8_1: {
    locators: {}
  }
};
