export default {
  default: {
    url: '',
    title: 'DP Invoice',
    locators: {
      container: '//section[@class = "lc-form-section"]',
      amount: '//input[@data-testid="amount"]',
      invoice: '//textarea[@data-testid="invoiceNo"]',
      addInvoiceButton: '//button[@data-testid="saveAndCreateNewInvoice"]',
      deleteInvoiceButton: '//button[@data-testid="deleteCurrentInvoice"]',
      quantity: '//textarea[@data-testid="weight"]',
      date: '//div[@class="date-picker-div date-picker-enabled"]',
      errorMessage: '//div[@data-testid="danger-notification"]',
      totalAmount: '//form/div[@class="lc-form-row"][5]//input[@data-testid="amount"]',
      principalAmount: '//form/div[@class="lc-form-row"][1]//input[@data-testid="amount"]',
      saveDraft: '//button[@data-testid="saveDraft"]',
      draftSuccessMessage: '//div/b[@class="is-text-success"]',
      dpUploadFiles: '//div[@data-testid="uploadFiles"]',
      documentConditions: '//div[@class="NotificationBasic__Container-sc-1bxcumk-0 fvDhnV"]',
      internalComment: '//button[@data-testid="addcomment"]',
      addComment: '//textarea[@placeholder="(Optional) Leave a comment"]',
      attachComment: '//*[@id="overlap"]//button[1]',
      editComment: '//button[@data-testid="editcomment"]',
      removeComment: '//button[@data-testid="removecomment"]',
      draftComment: '//textarea[@id="draftComment"]',
      confirmComment: '//button[@data-testid="Confirm"]',
      verifyButton: '//button[@data-testid="Verify"]',
      fileAttachmentSizeError: '//div[@class="lc-file-duplicate cm-error-text"]',
      totalAttachmentSizeError: '//div[contains(text(),"Total attachment size")]',
      embeddedFileError: '//div[contains(text(),"embedded attachments")]',
      embeddedJavaScriptError: '//div[contains(text(),"embedded javascript")]',
      passwordProtectedError: '//div[contains(text(),"password protected")]',
      invoiceMailingType: '//input[@id="invoice_mailling_type"]',
      modeOfInvoiceTransfer: '//div[@class="react-select__value-container css-ayv7n5"]',
      referenceNumber: '//textarea[@data-testid="transferReference"]'
    }
  },
  v8: {
    locators: {}
  },
  v8_1: {
    locators: {}
  }
};
