import { Button } from '@contour/fet/lib/elements';

import { ContourBasePage } from '../../base/basePage';
import locator from './dpNoticeOfCompletion.locator';

export default class DpNoticeOfCompletion extends ContourBasePage {
  constructor(url?: string) {
    super(locator, url);
  }

  getRadioCertifyPresentationComplete() {
    return new Button(this.getLocatorAsString('radioCertifyPresentationComplete'));
  }

  getRadioSentByMail() {
    return new Button(this.getLocatorAsString('radioSentByMail'));
  }
}
