export default {
  default: {
    url: '',
    title: 'DP Other Document',
    locators: {
      radioElectronicRecordAvailable: '//input[@id = "DIGITAL_COPY_FOR_PRESENTATION"]',
      radioDocumentsWillBeMailed: '//input[@id = "PAPER_COPY_MAILED_OR_CONTOUR"]',
      radioDocumentNotAvailable: '//input[@id = "DOCUMENT_NOT_AVAILABLE"]',

      inputTransportDocument: '//textarea[@data-testid = "billOfLadingID"]',
      inputDateOfShipment: '//div[@data-testid = "shipmentDate"]/div[@class = "react-datepicker-wrapper"]',
      inputPortOfLoading: '//textarea[@data-testid = "placeOfLoading"]',
      inputPortOfDischarge: '//textarea[@data-testid = "dischargePlace"]',
      uploadFiles: '//div[@data-testid = "uploadFiles"]'
    }
  },
  v8: {
    locators: {}
  },
  v8_1: {
    locators: {}
  }
};
