import { Button, WebElement } from '@contour/fet/lib/elements';

import { ContourBasePage } from '../../base/basePage';

export default class BaseConfirmationPopup extends ContourBasePage {
  getConfirmButton() {
    return new Button(this.getLocatorAsString('confirmButton'));
  }

  getCancelButton() {
    return new Button(this.getLocatorAsString('cancelButton'));
  }

  getRootPopup() {
    return new WebElement(this.getLocatorAsString('root'));
  }
}
