import { WebElement } from '@contour/fet/lib/elements/webElement';

import { ContourBasePage } from '../../base/basePage';
import locator from './subSideMenu.locator';

export default class SubSideMenu extends ContourBasePage {
  constructor(url?: string) {
    super(locator, url);
  }

  getSubMenuOption(option) {
    return new WebElement(this.getLocatorAsString('subSideMenuItem').replace('#OPTION#', option));
  }

  getSubMenuSubOption(option) {
    return new WebElement(this.getLocatorAsString('subSideMenuSubItem').replace('#OPTION#', option));
  }
}
