import { DataTable } from '@cucumber/cucumber';

import BnoIdentity from '../../../../pages/BNO/identity.page';

export async function checkBnoIdentityInformation(noOfFields: number, dataTable: DataTable) {
  const data = dataTable && dataTable.raw();
  for (let i = 1; i < noOfFields; i++) {
    const identityField = data[i][0];
    const identityValue = data[i][1];
    const identityPage = new BnoIdentity();
    await identityPage.getIdentityField(identityField).checkIsDisplayed();
    await identityPage.getIdentityValue(i).checkIsDisplayed();
    await identityPage.getIdentityValue(i).checkEqualsText(identityValue);
  }
}
