import { Then } from '@cucumber/cucumber';

import BnoIdentity from '../../../pages/BNO/identity.page';
import * as glue from './glue';

Then(/^I click on identity "([^"]+)?" in the list of identities$/, async (identityName) => {
  const identityPage = new BnoIdentity();
  await identityPage.getIdentityName(identityName).clickElement();
});

Then(/^the following (\d+) identity fields and values are displayed$/, glue.checkBnoIdentityInformation);
