import { Then } from '@cucumber/cucumber';

import BnoNodes from '../../../pages/BNO/bnoNodes.page';

Then(/^(\d+) nodes displayed in the search results$/, async (count) => {
  for (let i = 1; i < count; i++) {
    const bnoNodes = new BnoNodes();
    await bnoNodes.getNodeRecord(i).checkIsDisplayed();
  }
});

Then(/^Add Identity button is (displayed|not displayed) in row (\d+)$/, async (action, rowNum) => {
  const bnoNodes = new BnoNodes();
  String(action).includes('not')
    ? await bnoNodes.getAddIdentityButton(rowNum).checkIsDisplayed(true)
    : await bnoNodes.getAddIdentityButton(rowNum).checkIsDisplayed();
});

Then(/^I click on Add Identity button in row (\d+)$/, async (rowNum) => {
  const bnoNodes = new BnoNodes();
  await bnoNodes.getAddIdentityButton(rowNum).clickElement();
});

Then(/^I click on node name in row (\d+)$/, async (rowNum) => {
  const bnoNodes = new BnoNodes();
  await bnoNodes.getNodeNameLink(rowNum).clickElement();
});
