import { Then } from '@cucumber/cucumber';

import * as glue from './glue';

Then(/^I can see amendment draft text right column with following values$/, glue.checkAmendmentDraftTextUpdatedValue);

Then(
  /^I can see the following dc form action on amendment draft text with following values$/,
  glue.checkAmendmentDraftTextDcForm
);

Then(
  /^I can see the following draft text action on amendment draft text with following values$/,
  glue.checkAmendmentDraftTextDraftAction
);

Then(
  /^I can see amendment draft text left column with following values for (sc1|sc2|sc4|sc5|sc6|sc8|sc10|sc11)$/,
  glue.checkAmendmentOriginalValue
);

Then(/^I can see amendment attachment with following value$/, async (dataTable) => {
  await glue.checkAmendmentAttachment(dataTable);
});
