import { WebElement } from '@contour/fet/lib/elements';

export async function refreshPageIfBnoIsNotAvailable() {
  const bnoMessage = new WebElement(contourfet.getPageElement('common', 'bnoNotAvailableMessage'));
  await browser.waitUntil(async () => {
    if (!(await bnoMessage.isExisting())) {
      return true;
    }
    await browser.refresh();
    return false;
  });
}
