import path from 'path';
import process from 'process';

import * as contourFileUpload_1 from '../../../elements/contourFileUpload';

export async function uploadFiles(filePath: string, page: string, element: string): Promise<void> {
  const fullPath = path.join(process.cwd() + '/test/resources', filePath);
  const contourFileUpload = new contourFileUpload_1.ContourFileUpload(contourfet.getPageElement(page, element));

  const remoteFilePath = await browser.uploadFile(fullPath);
  await contourFileUpload.uploadFile(remoteFilePath);
}
