import DcForm from '../../../pages/dc/dcForm.page';
import { covertFileNameStringToFilePaths } from '../../../util/filePathUtil';

export function attachFilesToDCForm(fileNames: string) {
  const dcForm = new DcForm();
  if (fileNames !== '') {
    const filePathList = covertFileNameStringToFilePaths(fileNames);
    filePathList.forEach(async (fullFiePath) => {
      await dcForm.getattachmentUpload().uploadFile(fullFiePath);
    });
  }
}
