import DcForm from '../../../pages/dc/dcForm.page';

export async function checkAttachment(dataTable) {
  const dcFormPage = new DcForm();
  const data = dataTable.raw();

  for (let i = 0; i < data.length; i++) {
    await dcFormPage.getAttachmentFileName(i + 1).checkEqualsText(data[i][0]);

    if (data[i][1].toUpperCase() == 'displayed'.toUpperCase()) {
      await dcFormPage.getAttachmentRemoveButton(i + 1).checkIsDisplayed();
    } else {
      await dcFormPage.getAttachmentRemoveButton(i + 1).checkIsDisplayed(true);
    }
  }
}
