import { checkVrElementImage } from '@contour/fet/lib/support/check/checkVrElementImage';

import SubSideMenu from '../../../pages/sideMenu/subSideMenu.page';

export async function checkDocumentSources(dataTable: any) {
  const data = dataTable.raw();
  const subSideMenu = new SubSideMenu();

  for (const element of data) {
    if (element[0] == '') {
      return;
    }
    const documentSource = element[0];
    const refFile = element[1];
    await subSideMenu.getSubMenuSubOption(documentSource).clickElement();
    await checkVrElementImage('dpInvoice', 'container', refFile);
  }
}
