import PARTY from '../../../enum/party';
import SideMenu from '../../../pages/sideMenu/sideMenu.page';

export async function navigateToDcListingPage(party: string) {
  const sideMenuPage = new SideMenu();

  const needToClickExportParty = [PARTY.BENEFICIARY, PARTY.CONFIRMING_BANK, PARTY.NOMINATED_BANK, PARTY.ADVISING_BANK];

  if (party in needToClickExportParty) {
    await sideMenuPage.getDcExportButton().clickElement();
  }
}
