import P2PMessageListing from '../../../pages/p2p/p2pMessageListing.page';
import { loginAndOpenCurrentDC } from '../../login/glue';
import { navigateFromDCToP2PSection } from './navigateFromDCToP2PSection';

export async function navigateToDcCancellationMessage(party: string, role: string) {
  await loginAndOpenCurrentDC(party, role);
  await navigateFromDCToP2PSection('p2pMessageListing', 'DC');
  const p2pMessageListing = new P2PMessageListing();
  await p2pMessageListing.getMessageBySubject('Request for cancellation').clickElement();
}
