import { AmendmentOverview } from '../../../pages/amendment/amendmentOverview.page';
import SubSideMenu from '../../../pages/sideMenu/subSideMenu.page';
import { navigateToCurrentDC } from './navigateToCurrentDC';

export async function navigateToViewIssuedAmendments(party: string, uniqueIdentifier: string) {
  const subSideMenu = new SubSideMenu();
  const amendmentOverview = new AmendmentOverview();

  navigateToCurrentDC(party, uniqueIdentifier);

  await subSideMenu.getSubMenuOption('Amendments').clickElement();
  await subSideMenu.getSubMenuSubOption('Overview').clickElement();
  await amendmentOverview.getViewIssuedAmendmentsButton().clickElement();
}
