import P2PMessage from '../../../pages/p2p/p2pMessage.page';
import { covertFileNameStringToFilePaths } from '../../../util/filePathUtil';

export function attachFilesToP2PMessage(fileNames: string) {
  const p2pMessagePage = new P2PMessage();
  if (fileNames !== '') {
    const filePathList = covertFileNameStringToFilePaths(fileNames);
    filePathList.forEach(async (fullFiePath) => {
      await p2pMessagePage.getAttachFileUpload().uploadFile(fullFiePath);
    });
  }
}
