import P2PMessageListing from '../../../pages/p2p/p2pMessageListing.page';
import * as stepVariableMap from '../../../util/stepVariableMap';

export async function checkOptionAtMessageBySubjectExists(subject, falseCase) {
  const replacedSubject = stepVariableMap.replaceWithSpecialKeyValue(subject);
  const p2pMessageListing = new P2PMessageListing();
  await p2pMessageListing.getListedMessageChildSubject(replacedSubject).moveToElement();
  await p2pMessageListing.getListedMessageChildOptionButton(replacedSubject).checkElementExists(falseCase);
}
