import P2PMessageView from '../../../pages/p2p/p2pMessageView.page';

export async function checkVRAtFilesTab(refFile: string) {
  const p2pMessageView = new P2PMessageView();

  const messageViewRoot = p2pMessageView.getMessageViewRoot();
  const attachedFileList = await p2pMessageView.getAttachedFilesAtFilesTab();
  const hideElements = [];
  for (let index = 1; index <= attachedFileList.length; ++index) {
    hideElements.push(p2pMessageView.getSentDateAtFilesTabByIndex(index));
  }

  await messageViewRoot.compareElementImage(refFile, { hideElements: hideElements });
}
