import P2PMessageView from '../../../pages/p2p/p2pMessageView.page';

export async function checkVRAtMessageView(refFile: string) {
  const p2pMessageView = new P2PMessageView();

  const messageViewRoot = p2pMessageView.getMessageViewRoot();
  const allMyBubbles = await p2pMessageView.getAllMyBubbles();
  const allOtherBubbles = await p2pMessageView.getAllOtherBubbles();

  const hideElements = [];
  allMyBubbles.forEach((currentBubble) => {
    hideElements.push(p2pMessageView.getBubbleDatetimeFromBubble(currentBubble));
    logger.debug(currentBubble.selector);
  });

  allOtherBubbles.forEach((currentBubble) => {
    hideElements.push(p2pMessageView.getBubbleDatetimeFromBubble(currentBubble));
    logger.debug(currentBubble.selector);
  });

  await messageViewRoot.compareElementImage(refFile, { hideElements: hideElements });
}
