import USER_ROLE from '../../enum/userRole';
import envConfig from '../../env/env-config';
import { uploadAttachment } from '../uploadAttachment';

export async function uploadAttachments(attachmentNum: number, dcScenario: any) {
  const attachments = [];

  for (let i = 0; i < attachmentNum; i++) {
    const bash = await uploadAttachment(
      envConfig.scenario[dcScenario].applicant,
      USER_ROLE.MAKER,
      './resources/pdfFiles/pdfDC' + (i + 1) + '.pdf'
    );
    attachments.push({
      name: 'pdfDc' + (i + 1) + '.pdf',
      id: bash
    });
  }
  return attachments;
}
