@VTX-6259 @Regression
Feature: DC Templates
    As an applicant, I would like to be able to create,save,view, search, prioritize and manage DC templates

    Scenario: Check template dc with attachment does not contain attached element
        Given I setup test scenario context
        And applicant's admin1 login to main page for scenario sc1
        And I navigate to create dc page
        And I fill & Save DC for scenario sc1 with following values
            | Applicant Address                           | #APPLICANT_ADDRESS#       |
            | Beneficiary                                 | #BENEFICIARY#             |
            | Beneficiary Address                         | #BENEFICIARY_ADDRESS#     |
            | Issuing Bank                                | #ISSUING_BANK#            |
            | Issuing Bank Address                        | #ISSUING_BANK_ADDRESS#    |
            | Allow Issuing Bank To Make Changes Directly |                           |
            | Advising Bank                               | #ADVISING_BANK#           |
            | Advising Bank Address                       | #ADVISING_BANK_ADDRESS#   |
            | Confirmation Instructions                   | Without                   |
            | Confirming Bank                             | #CONFIRMING_BANK#         |
            | Confirming Bank Address                     | #CONFIRMING_BANK_ADDRESS# |
            | Available With Bank                         | #NOMINATED_BANK#          |
            | Available With Bank Address                 | #NOMINATED_BANK_ADDRESS#  |
            | Available By Payment At Sight               | Check                     |
            | Applicable Rules                            | eUCP latest version       |
            | Selected Currency                           | USD                       |
            | Amount                                      | 15000.00                  |
            | Max Tolerance (Optional)                    | 15.00                     |
            | Min Tolerance (Optional)                    | 5.00                      |
            | Additional Amount Covered (Option)          |                           |
            | Description Of Goods And/Or Services        | Automation                |
            | Expiry Date (YY/MM/DD)                      | #RANDOM_DATE#             |
            | Expiry Place                                | Hong Kong                 |
            | Partial Shipments (optional)                | Allowed                   |
            | Transhipment (optional)                     | Not allowed               |
            | Shipment Date / Period                      | Latest date of shipment   |
            | Latest Date Of Shipment                     | 2022-12-10                |
        And I save template "DataStore.TemplateName" without priority
        Then importParty navigates to home page
        Then I navigate to create page
        Then I search and open template "DataStore.TemplateName"
        Then I scroll to element "dcForm"."attachmentUpload"
        Then the element "dcForm"."attachmentRow1" is not displayed
        Then importParty navigates to home page

        Then I navigate to create page
        Then I open template "DataStore.TemplateName"
        Then I check DC fields are editable
        And I pause for 2000ms
        When I enable network inspector
        And I click on the button "actionButton"."submitToIssuingBankButton" and submit
        When I get UUID for the DC submitted by admin1 for scenario sc1
        Then I can see the DC has main status "Application submitted"

        Then I navigate to create page
        When I open recent DC from Recents section
        Then I check DC fields are editable
        And I pause for 2000ms
        When I enable network inspector
        And I click on the button "actionButton"."submitToIssuingBankButton" and submit
        When I get UUID for the DC submitted by admin1 for scenario sc1
        Then I can see the DC has main status "Application submitted"
