@Regression
Feature: Test forgot password and reset password feature negative scenarios
    As a user, I want to test to test the forgot password and reset password user journey

    Background:
        Given I setup test scenario context for default node

    @ForgotPassword
    Scenario: Frogot password negative scenarios
        Given I click on the link "login"."forgotPasswordLink"
        When I submit the forgot password form with "<email>"
        And I expect the viewport to match reference "<vrRefImage>"

        Examples:
            | email               | vrRefImage                              |
            |                     | login/forgotPassword/emailRequiredError |
            | invalidEmailAddress | login/forgotPassword/invalidEmailError  |

    @ResetPassword
    Scenario Outline: Reset password negative scenarios
        Given I load reset password page with invalid token
        When I submit the reset password form with password "<password>" and confirm password "<confirmPassword>"
        # Then I expect field error matches the text "<errorMsg>"
        And I expect the viewport to match reference "<vrRefImage>"

        Examples:
            | password     | confirmPassword | errorMsg                                    | vrRefImage                         |
            | password     | password        | Password does not match policy requirements | login/resetPassword/pwdPolicyError |
            | P@ssw0rd@123 |                 | Your passwords do not match                 | login/resetPassword/pwdDoNotMatch  |
            |              | password        | Please enter new password                   | login/resetPassword/emptyNewPwd    |
