Feature: Test billing feature
    As a user, I want to test the billing component

 Background: I go to the billing page
    Given I login to bno page successfully
    When I click on the button "billing"."billingSubtab"


 Scenario: I'm in the billing page and check element of the billing 
    When I pause for 5000ms
    Then I expect the element "billing"."billingCardHeader" to match reference "BNO/billing/CardUIPage/billingCardHeader"
    Then I expect the element "billing"."billingContent" to match reference "BNO/billing/CardUIPage/billingContent"
    Then I expect the element "billing"."resultCardHeader" to match reference "BNO/billing/CardUIPage/resultCardHeader"
    When I scroll to element "billing"."resultContent"
    Then I expect the element "billing"."resultContent" to match reference "BNO/billing/CardUIPage/resultContent"
    Then the attribute "type" from element "billing"."startDateInput" is "text"
    Then the attribute "type" from element "billing"."endDateInput" is "text"
    Then I expect that element "billing"."submitBtn" is not enabled
    Then I expect that element "billing"."refreshBtn" is enabled
    

 
Scenario: Check element display when do action
    When I click on the button "billing"."startDateInput"
    Then I expect that element "billing"."datePicker" is enabled
    When I scroll to element "billing"."billingCardHeader"
    When I click on the element "billing"."messageHeader"
    Then I expect that element "billing"."datePicker" is not displayed 
    Then I click on the button "billing"."endDateInput"
    And I expect that element "billing"."datePicker" is enabled
    When I click on the element "billing"."messageHeader"
    Then I expect that element "billing"."datePicker" is not displayed


Scenario Outline: Check result billing collection after running
    When I set "<startDate>" to the inputfield "billing"."startDateInput"
    Then I click on the element "billing"."messageHeader"
    And I expect that element "billing"."submitBtn" is not enabled 
    When I set "<endDate>" to the inputfield "billing"."endDateInput"
    And I expect that element "billing"."submitBtn" is enabled
    When I click on the button "billing"."submitBtn"
    When I pause for 2000ms
    Then I expect that element "billing"."messageSubmit" is enabled
    And the element "billing"."messageSubmit" matches the text "Submitted successfully"
    When I pause for 120000ms
    Then I click on the button "billing"."refreshBtn"
    When I scroll to element "billing"."resultContent"
    Then I expect the element "billing"."resultContent" to match reference "<VRRef>"
    Examples:
        | startDate     | endDate       | VRRef                             |
        | 01/10/2020    | 30/10/2020    | BNO/billing/credential/Image1     |
        | 31/11/2020    | 15/11/2020    | BNO/billing/credential/Image2     |
        | 15/11/2020    | 19/11/2020    | BNO/billing/credential/Image3     |
        | 19/11/2020    | 19/11/2020    | BNO/billing/credential/Image4     |

