Feature: View Identity Details  #CTM-956
    As a BNO user, 
    I want to view the details of an identity
    So that I am able to retrieve information of the identity


#VTX-6078 - View identity details
 Scenario: View Active identity details from list of identities
    Given I login to bno page successfully
    Then I click on the element "bnoNavBar"."identitiesTab"
    Then I click on the element "bnoNavBar"."activeTab"
    Then I click on identity "Corp A" in the list of identities
    Then the following 12 identity fields and values are displayed
    |FieldName                   |Value                                           |
    |Identity name               |Corp A                                          |
    |Company legal name          |Corp A                                          |
    |Identity registered address |Corp A Address                                  |
    |Country                     |Singapore                                       |
    |Location                    |Singapore                                       |
    |Technical contact email     |--                                              |
    |SWIFT/BIC code              |--                                              |
    |LEI code                    |--                                              |
    |Product                     |DC                                              |
    |Order number                |--                                              |
    |Role                        |Corporate                                       |
    |Identity X500 name          |OU=Corp A, O=Contour - Corp A, L=Singapore, C=SG|
    Then the element "identity"."suspendIdentityButton" is displayed
# TO DO
#     And the following node information is displayed

#  Scenario: View suspended identity details from list of identities
#     #TO IMPLEMENT
#     Given I login to bno page successfully
#     When I click on the active subtab
#     And I click on Identity <identity> in the list of Identities
#     Then the following identity information is displayed
#     And the following node information is displayed
   
#  Scenario: View identity details from list of nodes
#    #TO IMPLEMENT
   
#  #VTX-6120 TO DO
#  Scenario: View list of identities under a node

#  Scenario: View identity details from list of identities page

#  Scenario: View Add Identity page from Nodes Page
    
   