Feature: DC Cancellation SC11 (Applicant initiates cancellation)
    As a QA, I want to test sc11 - (applicant in version 7.0)

    Scenario: Applicant creates a DC
        Given I setup custom test scenario context
            | partyRole      | party |
            | applicant      | corpc |
            | issuingBank    | banka |
            | confirmingBank | bankc |
            | nominatedBank  | bankd |
            | advisingBank   | bankb |
            | beneficiary    | corpb |
        Given advising bank advised dc for scenario sc11

    Scenario: Applicant initiates request for cancellation
        And applicant admin1 login and open current dc
        And I am at New p2p message under DC
        And I select message type as Request for cancellation
        When I set "Cancellation" to the inputfield "p2pMessage"."cancellationMessage"
        And I click on the button "p2pMessage"."sendButton"
        And I click on the button "sendMessagePopup"."confirmButton"
        Then the element "p2pMessage"."sendButton" does not exist

    Scenario Outline: All parties verify request for cancellation message
        Given <party> admin1 login and open current dc
        And I am at New p2p message under DC
        When I open p2p message which has subject "Request for cancellation" from listing
        And I click on the button "p2pMessage"."approveButton"
        And I click on the button "p2pMessage"."confirmApproveButton"
        Then the element "p2pMessage"."confirmApproveButton" does not exist
        Then the element "p2pMessage"."approveButton" does not exist
        Examples:
            | party          |
            | issuingBank    |
            | advisingBank   |
            | confirmingBank |
            | nominatedBank  |
            | beneficiary    |

    Scenario: Issuing bank cancels the DC
        And issuingBank admin1 login and open current dc
        Then I scroll to and click element "actionButton"."cancelLCButton"
        And I scroll to and click element "actionButton"."confirmButton"
        Then importParty refresh the browser
        Then I can see the dc has main status "Cancelled"