Feature: DC Issuance E2E sc3split (mixed node versions)
    As a QA, I want to test sc3split - (Issuing Bank/Nominated/Advising Bank and Beneficiary in version 7.0)

    Scenario: Applicant creates a DC
        Given I setup custom test scenario context
            | partyRole     | party |
            | applicant     | corpa |
            | issuingBank   | banke |
            | nominatedBank | banke |
            | advisingBank  | banke |
            | beneficiary   | corpc |
        Given applicant created dc for scenario sc3split proceeded by "admin1"

    Scenario: Issuing bank advise DC
        When issuingBank's admin1 login to main page for scenario sc3split
        And issuingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."issueButton"
        When I set "BWC_DI_10" to the inputfield "dcForm"."issuedDcRefenceInput"
        And I set "Additional clause from issuing bank" to the inputfield "dcForm"."additionalConditionsFromIssuingBankInput"
        And I set "Instructions to paying bank" to the inputfield "dcForm"."instructionToPayingBankInput"
        And I click on the button "actionButton"."previewButton" and submit
        Then I can see the dc has main status "Issued"

    Scenario: Nominated bank advise DC
        And nominatedBank's admin1 login to main page for scenario sc3split
        And nominatedBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."adviseButton"
        When I set "BWC_DI_10" to the inputfield "dcForm"."nominatedDcReferenceInput"
        And I click on the button "actionButton"."previewButton" and submit
        Then I can see the dc has main status "Issued and advised"