Feature: Applicant create DC sc1

    As a QA,
    I want to create DC with document source and check for each step
    so that DC can be submitted with expected document source
    Background: Set up scenario context
        Given I setup test scenario context

    @VTX-3564
    Scenario: Applicant create DC for SC1
        When applicant's admin1 login to main page for scenario sc1
        And I navigate to create dc page
        And I fill in dc for scenario sc1 with following values
            | Beneficiary                                 | #BENEFICIARY#          |
            | Issuing Bank                                | #ISSUING_BANK#         |
            | Allow Issuing Bank To Make Changes Directly | true                   |
        And I click on the button "actionButton"."submitToIssuingBankButton" and submit
        And I save the latest UUID in DC list page
        And beneficiary's maker login to main page for scenario sc1
        And beneficiary navigate to current dc using contour uuid
        Then I can see the page as following screenshots
            | page   | element             | refImage                                           |
            | dcForm | corporatesContainer | create_dc/without_advisingBank/corporatesContainer |
            | dcForm | banksContainer      | create_dc/without_advisingBank/banksContainer      |

