Feature: DC Issuance (Happy) Feature

    As a QA,
    I want to create DC and check each steps
    so that DC can be submitted with expected value

    Background: Clear random date and setup test scenario context
        Given I setup test scenario context

    @ISS_FLOW_C1T18
    Scenario: Advising bank's maker advise (Previous Party = Issuing Bank)
        Given issuingBank issued dc for scenario sc1 proceeded by "maker.checkerApprover"
        And advisingBank's maker login to main page for scenario sc1
        And advisingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."adviseButton"
        When I set "123" to the inputfield "dcForm"."advisedDcReferenceInput"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        And I expect that element "actionButton"."submitButton" does not exist
        And advisingBank's checkerApprover login to main page for scenario sc1
        And advisingBank navigate to current dc using contour uuid
        Then I can see the page as following screenshots
            | page   | element                  | refImage                                                  |
            | dcForm | corporatesContainer      | dc_issuance_happy/ISS_FLOW_C1T18/corporatesContainer      |
            | dcForm | banksContainer           | dc_issuance_happy/ISS_FLOW_C1T18/banksContainer           |
            | dcForm | keyTermsContainer        | dc_issuance_happy/ISS_FLOW_C1T18/keyTermsContainer        |
            | dcForm | shipmentDetailsContainer | dc_issuance_happy/ISS_FLOW_C1T18/shipmentDetailsContainer |
            | dcForm | dcDetailsContainer       | dc_issuance_happy/ISS_FLOW_C1T18/dcDetailsContainer       |
            | dcForm | attachmentsContainer     | dc_issuance_happy/ISS_FLOW_C1T18/attachmentsContainer     |

    @ISS_FLOW_C1T21
    Scenario: Advising bank's checker-approver approve
        Given advisingBank advised dc for scenario sc1 proceeded by "maker"
        And advisingBank's checkerApprover login to main page for scenario sc1
        And advisingBank navigate to current dc using contour uuid
        When I click on the button "actionButton"."verifyButton"
        And I click on the button "actionButton"."confirmButton"
        And I expect that element "actionButton"."verifyButton" does not exist
        Then I can see the dc has main status "Issued and advised"
        And applicant's maker login to main page for scenario sc1
        And applicant navigate to current dc using contour uuid
        Then I can see the page as following screenshots
            | page   | element                   | refImage                                                   |
            | dcForm | corporatesContainer       | dc_issuance_happy/ISS_FLOW_C1T21/corporatesContainer       |
            | dcForm | banksContainer            | dc_issuance_happy/ISS_FLOW_C1T21/banksContainer            |
            | dcForm | keyTermsContainer         | dc_issuance_happy/ISS_FLOW_C1T21/keyTermsContainer         |
            | dcForm | shipmentDetailsContainer  | dc_issuance_happy/ISS_FLOW_C1T21/shipmentDetailsContainer  |
            | dcForm | dcDetailsContainer        | dc_issuance_happy/ISS_FLOW_C1T21/dcDetailsContainer        |
            | dcForm | attachmentsContainer      | dc_issuance_happy/ISS_FLOW_C1T21/attachmentsContainer      |
            | dcForm | internalCommentsContainer | dc_issuance_happy/ISS_FLOW_C1T21/internalCommentsContainer |