Feature: DC Issuance (Happy) Feature

    As a QA,
    I want to create DC and check each steps
    so that DC can be submitted with expected value

    Background: Clear random date and setup test scenario context
        Given I setup test scenario context

    @ISS_FLOW_C1T4
    Scenario: Applicant checker-approver approve
        Given applicant created dc for scenario sc1 proceeded by "maker"
        And applicant's checkerApprover login to main page for scenario sc1
        And applicant navigate to current dc using contour uuid
        When I click on the button "actionButton"."verifyButton"
        And I click on the button "actionButton"."confirmButton"
        And I expect that element "actionButton"."verifyButton" does not exist
        And issuingBank's maker login to main page for scenario sc1
        And issuingBank navigate to current dc using contour uuid
        Then I can see the page as following screenshots
            | page   | element                  | refImage                                                 |
            | dcForm | corporatesContainer      | dc_issuance_happy/ISS_FLOW_C1T4/corporatesContainer      |
            | dcForm | banksContainer           | dc_issuance_happy/ISS_FLOW_C1T4/banksContainer           |
            | dcForm | keyTermsContainer        | dc_issuance_happy/ISS_FLOW_C1T4/keyTermsContainer        |
            | dcForm | shipmentDetailsContainer | dc_issuance_happy/ISS_FLOW_C1T4/shipmentDetailsContainer |
            | dcForm | dcDetailsContainer       | dc_issuance_happy/ISS_FLOW_C1T4/dcDetailsContainer       |
            | dcForm | attachmentsContainer     | dc_issuance_happy/ISS_FLOW_C1T4/attachmentsContainer     |
