Feature: DC Issuance (Happy) Feature

    As a QA,
    I want to create DC and check each steps
    so that DC can be submitted with expected value

    Background: Clear random date and setup test scenario context
        Given I setup test scenario context

    #Pending Local

    @ISS_FLOW_C1T23
    Scenario: Nominated bank's maker advise (Previous Party = Confirming Bank)
        Given confirmingBank advised with confirmation dc for scenario sc11 proceeded by "maker.checkerApprover"
        And nominatedBank's maker login to main page for scenario sc11
        And nominatedBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."adviseButton"
        When I set "123" to the inputfield "dcForm"."nominatedDcReferenceInput"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        And I expect that element "actionButton"."submitButton" does not exist
        And nominatedBank's checkerApprover login to main page for scenario sc11
        And nominatedBank navigate to current dc using contour uuid
        Then I can see the page as following screenshots
            | page   | element                  | refImage                                                  |
            | dcForm | corporatesContainer      | dc_issuance_happy/ISS_FLOW_C1T23/corporatesContainer      |
            | dcForm | banksContainer           | dc_issuance_happy/ISS_FLOW_C1T23/banksContainer           |
            | dcForm | keyTermsContainer        | dc_issuance_happy/ISS_FLOW_C1T23/keyTermsContainer        |
            | dcForm | shipmentDetailsContainer | dc_issuance_happy/ISS_FLOW_C1T23/shipmentDetailsContainer |
            | dcForm | dcDetailsContainer       | dc_issuance_happy/ISS_FLOW_C1T23/dcDetailsContainer       |
            | dcForm | attachmentsContainer     | dc_issuance_happy/ISS_FLOW_C1T23/attachmentsContainer     |

    @ISS_FLOW_C1T24
    Scenario: Nominated bank's checker-approver verify
        Given nominatedBank advised dc for scenario sc11 proceeded by "maker"
        And nominatedBank's checkerApprover login to main page for scenario sc11
        And nominatedBank navigate to current dc using contour uuid
        When I click on the button "actionButton"."verifyButton"
        And I click on the button "actionButton"."confirmButton"
        And I expect that element "actionButton"."verifyButton" does not exist
        Then I can see the dc has sub status "Advising bank to review"
        And advisingBank's maker login to main page for scenario sc11
        And advisingBank navigate to current dc using contour uuid
        Then I can see the page as following screenshots
            | page   | element                   | refImage                                                   |
            | dcForm | corporatesContainer       | dc_issuance_happy/ISS_FLOW_C1T24/corporatesContainer       |
            | dcForm | banksContainer            | dc_issuance_happy/ISS_FLOW_C1T24/banksContainer            |
            | dcForm | keyTermsContainer         | dc_issuance_happy/ISS_FLOW_C1T24/keyTermsContainer         |
            | dcForm | shipmentDetailsContainer  | dc_issuance_happy/ISS_FLOW_C1T24/shipmentDetailsContainer  |
            | dcForm | dcDetailsContainer        | dc_issuance_happy/ISS_FLOW_C1T24/dcDetailsContainer        |
            | dcForm | attachmentsContainer      | dc_issuance_happy/ISS_FLOW_C1T24/attachmentsContainer      |
            | dcForm | internalCommentsContainer | dc_issuance_happy/ISS_FLOW_C1T24/internalCommentsContainer |