@DCPresentation
Feature: Issuing bank's chacker/approver role can reject pending DP acceptance

    Issuing bank's checker and approver role account can reject DP acceptance

    Background: Setup scenario context
        Given I setup test scenario context

    @VTX-1812
    @DP-IssuingBank-Reject-1
    Scenario Outline: Issuing bank's checker/approver role can reject pending DP acceptance
        Given beneficiary present DP to "issuingBank" through "null" at dc sc1
        Given issuingBank's admin1 login to main page for scenario sc1
        Then I click on the element "sideMenu"."dcExport"
        And issuingBank navigate to current dc using contour uuid
        And I click sub side menu option "DP 1"
        And I set "NominatedBankRef" to the inputfield "dpOverview"."bankReferenceNumber"
        And I click on the button "actionButton"."forwardButton"
        And I click sub side menu sub-option "Cover letter by Nominated bank"
        Then the element "dpInvoice"."principalAmount" is empty
        When I set "10001" to the inputfield "dpInvoice"."principalAmount"
        And I click on the button "actionButton"."saveButton"
        Then the element "dpInvoice"."errorMessage" contains the text "Please complete the cover letter"
        When I set "101" to the inputfield "dpInvoice"."totalAmount"
        And I click on the button "actionButton"."saveButton"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        Then I can see the dc has dp status "Bank review"
        And issuingBank <AcceptRole> login and Accept DP1 at current DC
        And issuingBank <RejectRole> login and open DP1 at current DC
        When I click on the button "actionButton"."declineButton"
        And I set "Issuing bank checker/approver rejects DP acceptance comment" to the inputfield "declinePopup"."commentInput"
        And I click on the button "declinePopup"."confirmButton"
        Then I can see the dc has dp status "Bank review"
        And I can see the dc has dp sub status "<SubStatus>"
        Examples:
            | AcceptRole   | RejectRole | SubStatus            |
            | maker        | checker    | Your Maker to review |
            | makerChecker | approver   | Your Maker to review |

