@DCPresentation
Feature: Issuing bank update rejected DP acceptance

    Issuing bank can accept holding DP forwarded by other parties

    Background: Setup scenario context
        Given I setup test scenario context

    @VTX-1812
    @DP-IssuingBank-Update-1
    Scenario Outline: After DP acceptance is rejected by checker/approver role, only maker can see Update buttton in the UI
        Given beneficiary present DP to "issuingBank" through "null" at dc sc1
        Given issuingBank's admin1 login to main page for scenario sc1
        Then I click on the element "sideMenu"."dcExport"
        And issuingBank navigate to current dc using contour uuid
        And I click sub side menu option "DP 1"
        And I set "NominatedBankRef" to the inputfield "dpOverview"."bankReferenceNumber"
        And I scroll to and click element "actionButton"."forwardButton"
        And I click sub side menu sub-option "Cover letter by Nominated bank"
        Then the element "dpInvoice"."principalAmount" is empty
        When I set "10001" to the inputfield "dpInvoice"."principalAmount"
        And I click on the button "actionButton"."saveButton"
        Then the element "dpInvoice"."errorMessage" contains the text "Please complete the cover letter"
        When I set "101" to the inputfield "dpInvoice"."totalAmount"
        And I click on the button "actionButton"."saveButton"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        Then I can see the dc has dp status "Bank review"
        And issuingBank <AcceptRole> login and Accept DP1 at current DC
        And issuingBank <DeclineRole> login and Decline pending DP1 at current DC
        And issuingBank <UpdateRole> login and open DP1 at current DC
        When I scroll to element "dpOverview"."auditLogSection"
        Then I expect that element "actionButton"."discardButton" does exist
        And I expect that element "actionButton"."updateButton" does exist
        Examples:
            | AcceptRole | DeclineRole | UpdateRole |
            | maker      | checker     | maker      |

    @DP-IssuingBank-Update-2
    Scenario Outline: After DP acceptance is rejected by checker/approver role, maker can update draft
        Given beneficiary present DP to "issuingBank" through "null" at dc sc1
        Given issuingBank's admin1 login to main page for scenario sc1
        Then I click on the element "sideMenu"."dcExport"
        And issuingBank navigate to current dc using contour uuid
        And I click sub side menu option "DP 1"
        And I set "NominatedBankRef" to the inputfield "dpOverview"."bankReferenceNumber"
        And I scroll to and click element "actionButton"."forwardButton"
        And I click sub side menu sub-option "Cover letter by Nominated bank"
        Then the element "dpInvoice"."principalAmount" is empty
        When I set "10001" to the inputfield "dpInvoice"."principalAmount"
        And I click on the button "actionButton"."saveButton"
        Then the element "dpInvoice"."errorMessage" contains the text "Please complete the cover letter"
        When I set "101" to the inputfield "dpInvoice"."totalAmount"
        And I click on the button "actionButton"."saveButton"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        Then I can see the dc has dp status "Bank review"
        And issuingBank <AcceptRole> login and Accept DP1 at current DC
        And issuingBank <DeclineRole> login and Decline pending DP1 at current DC
        And issuingBank <UpdateRole> login and open DP1 at current DC
        When I click on the button "actionButton"."updateButton" and submit
        Then I can see the dc has dp status "Bank review"
        And I can see the dc has dp sub status "<SubStatus>"
        Examples:
            | AcceptRole   | DeclineRole | UpdateRole   | SubStatus               |
            | maker        | checker     | maker        | Your Checker to review  |
            | makerChecker | approver    | makerChecker | Your Approver to review |

    @DP-IssuingBank-Update-3
    Scenario Outline: After DP acceptance is rejected by checker/approver role, maker can discard draft. Then DC status back to maker to review and Accept and Return buttons are back.
        Given beneficiary present DP to "issuingBank" through "null" at dc sc1
        Given issuingBank's admin1 login to main page for scenario sc1
        Then I click on the element "sideMenu"."dcExport"
        And issuingBank navigate to current dc using contour uuid
        And I click sub side menu option "DP 1"
        And I set "NominatedBankRef" to the inputfield "dpOverview"."bankReferenceNumber"
        And I scroll to and click element "actionButton"."forwardButton"
        And I click sub side menu sub-option "Cover letter by Nominated bank"
        Then the element "dpInvoice"."principalAmount" is empty
        When I set "10001" to the inputfield "dpInvoice"."principalAmount"
        And I click on the button "actionButton"."saveButton"
        Then the element "dpInvoice"."errorMessage" contains the text "Please complete the cover letter"
        When I set "101" to the inputfield "dpInvoice"."totalAmount"
        And I click on the button "actionButton"."saveButton"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        Then I can see the dc has dp status "Bank review"
        And issuingBank <AcceptRole> login and Accept DP1 at current DC
        And issuingBank <DeclineRole> login and Decline pending DP1 at current DC
        And issuingBank <DiscardRole> login and open DP1 at current DC
        When I click on the button "actionButton"."discardButton" and confirm
        Then I can see the dc has dp status "Bank review"
        And I can see the dc has dp sub status "<SubStatus>"
        Given issuingBank maker login and open DP1 at current DC
        Then I expect that element "actionButton"."acceptButton" does exist
        And I expect that element "actionButton"."returnButton" does exist
        Examples:
            | AcceptRole   | DeclineRole | DiscardRole  | SubStatus     |
            | maker        | checker     | maker        | Please review |
            | makerChecker | approver    | makerChecker | Please review |
