@P2PMsg
@VTX-1906
@VTX-1908
Feature: Maker role account can discard rejected p2p General message

  As a maker role account, I would like to discard rejected p2p General message

  Background: Setup scenario context and dc to create p2p message at
    Given I setup test scenario context
    And issuingBank issued dc for scenario sc1 proceeded by "admin1"

   @P2PDC-Creation-Discard-1
  Scenario Outline: Only maker role account can discard rejected message with/without attachments for approval
    Given <Party> <CreateRole> login and create p2p General message at current dc under DC with the following values
      | Subject    | <Subject>                                      |
      | To         | applicant,beneficiary,issuingBank,advisingBank |
      | Message    | <Message>                                      |
      | Attachment | <AttachedFiles>                                |
    And <Party> <VerifyRole> login and Reject p2p message "<Message>" with subject "#P2P_LATEST_SUBJECT#" at current dc under DC
    And <Party> <DiscardRole> login and open current dc
    And I am at P2P message listing under DC
    When I open p2p message which has subject "#P2P_LATEST_SUBJECT#" from listing
    And I click on the button Discard at message "<Message>"
    And I click on the button "discardPopup"."confirmButton"
    Then I cannot see p2p General message which has subject "#P2P_LATEST_SUBJECT#" from listing
    Examples:
      | Party     | CreateRole   | Subject                       | Message          | AttachedFiles              | VerifyRole | DiscardRole  |
      | applicant | maker        | Test discard rejected message | original message | Doc1_1MB.pdf,Doc2_62KB.pdf | checker    | maker        |
      | applicant | maker        | Test discard rejected message | original message |                            | checker    | maker        |
      | applicant | makerChecker | Test discard rejected message | original message | Doc1_1MB.pdf,Doc2_62KB.pdf | approver   | makerChecker |
      | applicant | makerChecker | Test discard rejected message | original message |                            | approver   | makerChecker |