@P2PMsg
@VTX-1906
@VTX-1908
Feature: Maker role account can discard rejected reply at p2p General message

  As a maker role account, I would like to discard rejected reply at p2p General message

  Background: Setup scenario context and dc to create p2p message at
    Given I setup test scenario context
    And issuingBank issued dc for scenario sc1 proceeded by "maker.checkerApprover"

  @P2PDC-Reply-Discard-1
  Scenario Outline: Only maker role account can discard rejected reply with/without attachments for approval
    Given <MessageParty> admin1 login and create p2p General message at current dc under DC with the following values
      | Subject    | <Subject>                                      |
      | To         | applicant,beneficiary,issuingBank,advisingBank |
      | Message    | <Message>                                      |
      | Attachment | <AttachedFiles>                                |
    And <ReplyParty> <ReplyRole> login and Reply to message subject "<Subject>" at current dc under DC with the following values
      | Message | <ReplyMessage> |
    And <ReplyParty> <RejectRole> login and Reject p2p message "<ReplyMessage>" with subject "#P2P_LATEST_SUBJECT#" at current dc under DC
    And <ReplyParty> <DiscardRole> login and open current dc
    And I am at P2P message listing under DC
    When I open p2p message which has subject "<Subject>" from listing
    And I click on the button Discard at message "<ReplyMessage>"
    And I click on the button "discardPopup"."confirmButton"
    Then I can view body of General message and see the following messages
      | UI Type         | Sender         | Message   | Attachment      | Buttons |
      | <MessageBubble> | <MessageParty> | <Message> | <AttachedFiles> |         |

    Examples:
      | MessageParty | Subject                     | Message           | AttachedFiles              | MessageBubble  | ReplyParty   | ReplyRole    | ReplyMessage      | RejectRole      | DiscardRole  |
      | applicant    | Test discard rejected reply | Original message  | Doc1_1MB.pdf,Doc2_62KB.pdf | #MY_BUBBLE#    | applicant    | maker        | Original reply #1 | checker         | maker        |
      | applicant    | Test discard rejected reply | Original message  |                            | #OTHER_BUBBLE# | beneficiary  | maker        | Original reply #1 | checker         | makerChecker |
      | issuingBank  | Test discard rejected reply | Original message  | Doc1_1MB.pdf,Doc2_62KB.pdf | #MY_BUBBLE#    | issuingBank  | makerChecker | Original reply #1 | checkerApprover | makerChecker |
      | issuingBank  | Test discard rejected reply | Original messagef |                            | #OTHER_BUBBLE# | advisingBank | makerChecker | Original reply #1 | checkerApprover | admin1       |