@P2PMsg
@VTX-1812
Feature: Maker role account can edit rejected p2p Notice of discrepancy message and send again

    As a maker role account, I would like to edit and submit rejected Notice of discrepancy
    Background: Setup screen size and setup DC to be used for testing
        Given I setup test scenario context
        And beneficiary present DP to "issuingBank" through "null" at dc sc1

    @P2PNod-Creation-Edit-1
    Scenario Outline: Maker role account can edit all fields rejected Notice of discrepancy message
        Given <SendParty> <SendRole> login and send Notice of discrepancy at DP1 of current DC with the following values
            | To                      | applicant,beneficiary,issuingBank,advisingBank |
            | Principal amount        | 1000                                           |
            | Notice of discrepancies | Original notice of discrepancies               |
        And <SendParty> <RejectRole> login and Reject pending Notice of discrepancy message at DP1 of current DC
        And <SendParty> <EditRole> login and open DP1 at current DC
        And I am at P2P message listing under DP
        When I open p2p message which has subject "Notice of discrepancy" from listing
        And I click on the button Edit at pending message
        And I fill in p2p Notice of discrepancy with the following values
            | Principal amount                    | 2000                                                                                                                                                                                |
            | Additional amount                   | 2000                                                                                                                                                                                |
            | Charges to be deducted              | #CHECKED#                                                                                                                                                                           |
            | Charges to be deducted Amount       | 2000                                                                                                                                                                                |
            | Charges to be deducted Charges code | #AGENT#,#COMM#,#CORCOM#,#DISC#,#INSUR#,#POST#,#STAMP#,#TELECHAR#,#WAREHOUS#                                                                                                         |
            | Charges to be deducted Details      | Updated Details of charges to be deducted                                                                                                                                           |
            | Charges to be added                 | #CHECKED#                                                                                                                                                                           |
            | Charges to be added Amount          | 2000                                                                                                                                                                                |
            | Charges to be added Charges code    | #ACCPTCOM#,#ADVCOM#,#AMNDCOM#,#CONFCOM#,#CORCOM#,#DEFCOM#,#DSCRPCOM#,#HANDLCOM#,#INTEREST#,#MISC#,#NEGCOM#,#NOTFCOM#,#PAYCOM#,#POST#,#PREADCOM#,#SEE72Z#,#SEE77#,#STAMP#,#TELECHAR# |
            | Charges to be added Details         | Updated Details of charges to be addded                                                                                                                                             |
            | Total amount to be paid             | 2000                                                                                                                                                                                |
            | Account with bank                   | Updated Acount1234567890                                                                                                                                                            |
            | Sender to receiver information      | Updated Info from sender to receiver                                                                                                                                                |
            | Notice of discrepancies             | Updated Notice of discrepancies                                                                                                                                                     |
        And I click on the button "actionButton"."p2pUpdateDraftButton" and confirm
        When I open p2p message which has subject "Notice of discrepancy" from listing
        * I scroll to element "noticeOfDiscrepancyView"."firstSnapshotSection"
        * I expect the element "p2pMessage"."messageRoot" to match reference "<VRRef1>"
        * I scroll to element "noticeOfDiscrepancyView"."secondSnapshotSection"
        * I expect the element "p2pMessage"."messageRoot" to match reference "<VRRef2>"
        * I scroll to element "noticeOfDiscrepancyView"."thirdSnapshotSection"
        * I expect the element "p2pMessage"."messageRoot" to match reference "<VRRef3>"
        * I scroll to element "noticeOfDiscrepancyView"."fourthSnapshotSection"
        * I expect the element "p2pMessage"."messageRoot" to match reference "<VRRef4>"
        Examples:
            | SendParty    | SendRole | RejectRole | EditRole | VRRef1                                                  | VRRef2                                                  | VRRef3                                                  | VRRef4                                                  |
            | advisingBank | maker    | checker    | maker    | p2p/dp/p2pnod-creation-edit-1/e1/updatedNodSnapSection1 | p2p/dp/p2pnod-creation-edit-1/e1/updatedNodSnapSection2 | p2p/dp/p2pnod-creation-edit-1/e1/updatedNodSnapSection3 | p2p/dp/p2pnod-creation-edit-1/e1/updatedNodSnapSection4 |


    @P2PNod-Creation-Edit-2
    Scenario Outline: Maker role account can edit only mandatory fields at rejected Notice of discrepancy
        Given <SendParty> <SendRole> login and send Notice of discrepancy at DP1 of current DC with the following values
            | To                      | applicant,beneficiary,issuingBank,advisingBank |
            | Principal amount        | 1000                                           |
            | Notice of discrepancies | Original notice of discrepancies               |
        And <SendParty> <RejectRole> login and Reject pending Notice of discrepancy message at DP1 of current DC
        And <SendParty> <EditRole> login and open DP1 at current DC
        And I am at P2P message listing under DP
        When I open p2p message which has subject "Notice of discrepancy" from listing
        And I click on the button Edit at pending message
        And I fill in p2p Notice of discrepancy with the following values
            | Principal amount        | 2000                             |
            | Notice of discrepancies | Original notice of discrepancies |
        And I click on the button "actionButton"."p2pUpdateDraftButton" and confirm
        When I open p2p message which has subject "Notice of discrepancy" from listing
        * I scroll to element "noticeOfDiscrepancyView"."firstSnapshotSection"
        * I expect the element "p2pMessage"."messageRoot" to match reference "<VRRef1>"
        * I scroll to element "noticeOfDiscrepancyView"."secondSnapshotSection"
        * I expect the element "p2pMessage"."messageRoot" to match reference "<VRRef2>"
        * I scroll to element "noticeOfDiscrepancyView"."thirdSnapshotSection"
        * I expect the element "p2pMessage"."messageRoot" to match reference "<VRRef3>"
        * I scroll to element "noticeOfDiscrepancyView"."fourthSnapshotSection"
        * I expect the element "p2pMessage"."messageRoot" to match reference "<VRRef4>"
        Examples:
            | SendParty    | SendRole | RejectRole | EditRole | VRRef1                                                               | VRRef2                                                               | VRRef3                                                               | VRRef4                                                               |
            | advisingBank | maker    | checker    | maker    | p2p/dp/p2pnod-creation-edit-2/e1/onlyMandatoryUpdatedNodSnapSection1 | p2p/dp/p2pnod-creation-edit-2/e1/onlyMandatoryUpdatedNodSnapSection2 | p2p/dp/p2pnod-creation-edit-2/e1/onlyMandatoryUpdatedNodSnapSection3 | p2p/dp/p2pnod-creation-edit-2/e1/onlyMandatoryUpdatedNodSnapSection4 |

    @P2PNod-Creation-Edit-3
    Scenario Outline: Only maker can see edit UI at rejected Notice of discrepancy
        Given <SendParty> <SendRole> login and send Notice of discrepancy at DP1 of current DC with the following values
            | To                      | applicant,beneficiary,issuingBank,advisingBank |
            | Principal amount        | 1000                                           |
            | Notice of discrepancies | Original notice of discrepancies               |
        And <SendParty> <RejectRole> login and Reject pending Notice of discrepancy message at DP1 of current DC
        And <SendParty> <ViewRole> login and open DP1 at current DC
        And I am at P2P message listing under DP
        When I open p2p message which has subject "Notice of discrepancy" from listing
        Then I expect the element "noticeOfDiscrepancyView"."pendingNoticeOfDiscrepancyRoot" to match reference "<VRRef>"
        Examples:
            | SendParty    | SendRole | RejectRole | ViewRole | VRRef                                                             |
            | advisingBank | maker    | checker    | maker    | p2p/dp/p2pnod-creation-edit-3/e1/noticeOfDiscrepancyWithEditUI    |
            | advisingBank | maker    | checker    | approver | p2p/dp/p2pnod-creation-edit-3/e2/noticeOfDiscrepancyWithoutEditUI |
            | advisingBank | maker    | checker    | checker  | p2p/dp/p2pnod-creation-edit-3/e3/noticeOfDiscrepancyWithoutEditUI |

    @P2PNod-Creation-Edit-4
    Scenario Outline: Only maker can discard rejected Notice of discrepancy
        Given <SendParty> <SendRole> login and send Notice of discrepancy at DP1 of current DC with the following values
            | To                      | applicant,beneficiary,issuingBank,advisingBank |
            | Principal amount        | 1000                                           |
            | Notice of discrepancies | Original notice of discrepancies               |
        And <SendParty> <RejectRole> login and Reject pending Notice of discrepancy message at DP1 of current DC
        And <SendParty> <DiscardRole> login and open DP1 at current DC
        And I am at P2P message listing under DP
        When I open p2p message which has subject "Notice of discrepancy" from listing
        And I click on the button Discard at pending message
        And I click on the button "discardPopup"."confirmButton"
        Then I cannot see p2p General message which has subject "Notice of discrepancy" from listing
        Examples:
            | SendParty    | SendRole | RejectRole | DiscardRole |
            | advisingBank | maker    | checker    | maker       |
