@VTX-197
Feature: DC Issuance (DC Form) UI Components
    As a QA,
    I want to see the DC form with correct format and option,
    so that user can input text length and value as expected

    @VTX-3617
    Scenario: Autofill entity infomation when create template
        Given I setup test scenario context
        And applicant's admin1 login to main page for scenario sc1
        And I navigate to create template page
        When I fill in dc for scenario sc11 with following values
            | Beneficiary  | #BENEFICIARY#  |
            | Issuing Bank | #ISSUING_BANK# |

            | Advising Bank       | #ADVISING_BANK#  |
            | Available With Bank | #NOMINATED_BANK# |

            | Confirmation Instructions | Confirm           |
            | Confirming Bank           | #CONFIRMING_BANK# |

            | Available By   | Negotiation |
            | Check Draft At | Check       |
            | Drafts At      | 123         |
            | Drawee Bank    | #BANKA#     |
        Then I expect the document to match reference "dc_form/autofillEntityInfo/createTemplate/applicant_createDC1"
        When I fill in dc for scenario sc11 with following values
            | Beneficiary         | #BENEFICIARY#     |
            | Issuing Bank        | #ADVISING_BANK#   |
            | Advising Bank       | #ISSUING_BANK#    |
            | Available With Bank | #CONFIRMING_BANK# |

            | Confirmation Instructions | Without          |
            | Available By              | Deferred payment |
        Then I expect the document to match reference "dc_form/autofillEntityInfo/createTemplate/applicant_createDC2"
        When I fill in dc for scenario sc11 with following values
            | Beneficiary         | #BENEFICIARY#       |
            | Beneficiary Address | Beneficiary Address |

            | Issuing Bank         | #ISSUING_BANK#       |
            | Issuing Bank Address | Issuing Bank Address |

            | Advising Bank       | #ADVISING_BANK#  |
            | Available With Bank | #NOMINATED_BANK# |

            | Confirmation Instructions | May add           |
            | Confirming Bank           | #CONFIRMING_BANK# |

            | Available By Acceptance | check   |
            | Drafts At               | 123     |
            | Drawee Bank             | #BANKB# |

            | Amount       | 10000.00  |
            | Expiry Place | Hong Kong |

            | Description Of Goods And/Or Services | Automation      |
            | Shipment Date / Period               | Shipment period |
            | Shipment Period                      | 12              |
        Then I expect the document to match reference "dc_form/autofillEntityInfo/createTemplate/applicant_createDC3"
        And I click on the button "actionButton"."sendToBeneficiaryButton" and submit
        And I save the latest UUID in DC list page

