Feature: Workflow-BeneficiaryConfirmation-3 - @VTX5722
As a QA, I want to test Workflow-BeneficiaryConfirmation-3 where beneficiary should not be allowed to request for confirmation

Scenario: Applicant creates a DC
        Given I setup test scenario context
        Given applicant created dc for scenario sc3split proceeded by "admin1"

Scenario: Issuing Bank issues the DC
        And issuingBank's admin1 login to main page for scenario sc3split
        And issuingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."issueButton"
        When I set "beneConfirm-3" to the inputfield "dcForm"."issuedDcRefenceInput"
        And I set "Additional clause from issuing bank" to the inputfield "dcForm"."additionalConditionsFromIssuingBankInput"
        And I set "Instructions to paying bank" to the inputfield "dcForm"."instructionToPayingBankInput"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        Then I can see the dc has main status "Issued"

Scenario: Nominated/Advising bank advises the dc
        And nominatedBank's admin1 login to main page for scenario sc3split
        And nominatedBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."adviseButton"
        When I set "beneConfirm-3" to the inputfield "dcForm"."nominatedDcReferenceInput"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        Then I can see the dc has main status "Issued and advised"


Scenario: Check beneficiary is unable to request for confirmation
        And beneficiary's admin1 login to main page for scenario sc3split
        And beneficiary navigate to current dc using contour uuid
        And I pause for 3000ms
        Then the element "actionButton"."requestConfirmationButton" is not displayed

        
      

