Feature: Workflow-Amendment66(mca1) - @VTX5754
As a QA, I want to test Workflow-Amendment66 where amendment is advised without confirmation(MCA-1) and accepted
Scenario: Applicant creates an amendment
        Given I setup test scenario context
        Given applicant created amendment for scenario sc11 submit to issuingBank proceeded by "admin1"
     
Scenario: Issuing bank issues the amended dc
        And issuingBank's admin1 login to main page for scenario sc11
        And issuingBank navigate to current dc using contour uuid
        Then I open Draft Text 1
        And I click on the button "actionButton"."issueButton" and submit

Scenario: Confirming bank advises the amendment without confirmation(MCA-1)
        And confirmingBank's maker login to main page for scenario sc11
        And confirmingBank navigate to current dc using contour uuid
        Then I open Amendment 1
        And I click on the button "actionButton"."adviseWithoutConfirmationButton" and submit
        Then confirmingBank completes the following amendment MCA flow for sc11
        | role     | buttons                     | 
        | checker  | declineButton,confirmButton | 
        | maker    | updateButton,submitButton   | 
        | checker  | verifyButton,confirmButton  | 
        | approver | declineButton,confirmButton | 
        | maker    | updateButton,submitButton   | 
        | checker  | verifyButton,confirmButton  | 
        | approver | approveButton,confirmButton |

Scenario: Nominated bank advises the amendment
        And nominatedBank's admin1 login to main page for scenario sc11
        And nominatedBank navigate to current dc using contour uuid
        Then I open Amendment 1
        And I click on the button "actionButton"."adviseButton" and submit
        
Scenario: Advising bank advises the amendment
        And advisingBank's admin1 login to main page for scenario sc11
        And advisingBank navigate to current dc using contour uuid
        Then I open Amendment 1
        And I click on the button "actionButton"."adviseButton" and submit        

Scenario: Beneficiary accepts the amendment
        And beneficiary's admin1 login to main page for scenario sc11
        And beneficiary navigate to current dc using contour uuid
        Then I open Amendment 1
        And I click on the button "actionButton"."acceptButton" and submit
        Then I can see the dc has amendment status "Amended"
 


