Feature: Workflow-Amendment81(mca1) - @VTX5723
        As a QA, I want to test Workflow-Amendment81 where amendment is advised and rejected(MCA-1)
        Scenario: Applicant creates an amendment
                Given I setup test scenario context
                Given applicant created amendment for scenario sc11 submit to issuingBank proceeded by "admin1"

        Scenario: Issuing bank issues the amended dc
                And issuingBank's admin1 login to main page for scenario sc11
                And issuingBank navigate to current dc using contour uuid
                Then I open Draft Text 1
                And I click on the button "actionButton"."issueButton" and submit

        Scenario: Confirming bank rejects the amendment with confirmation(MCA-1)
                And confirmingBank's maker login to main page for scenario sc11
                And confirmingBank navigate to current dc using contour uuid
                Then I open Amendment 1
                And I click on the button "actionButton"."rejectButton" and submit
                Then confirmingBank completes the following amendment MCA flow for sc11
                        | role     | buttons                     |
                        | checker  | declineButton,confirmButton |
                        | maker    | updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton  |
                        | approver | declineButton,confirmButton |
                        | maker    | updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton  |
                        | approver | approveButton,confirmButton |

        Scenario: Nominated bank rejects the amendment(MCA-1)
                And nominatedBank's maker login to main page for scenario sc11
                And nominatedBank navigate to current dc using contour uuid
                Then I open Amendment 1
                And I click on the button "actionButton"."rejectButton" and submit
                Then nominatedBank completes the following amendment MCA flow for sc11
                        | role     | buttons                     |
                        | checker  | declineButton,confirmButton |
                        | maker    | updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton  |
                        | approver | declineButton,confirmButton |
                        | maker    | updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton  |
                        | approver | approveButton,confirmButton |

        Scenario: Advising bank rejects the amendment(MCA-1)
                And advisingBank's maker login to main page for scenario sc11
                And advisingBank navigate to current dc using contour uuid
                Then I open Amendment 1
                And I click on the button "actionButton"."rejectButton" and submit
                Then the advisingBank proceeds to submit the Amendment to beneficiary to complete the flow using mca1 for scenario sc11
                Then advisingBank completes the following amendment MCA flow for sc11
                        | role     | buttons                     |
                        | checker  | declineButton,confirmButton |
                        | maker    | updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton  |
                        | approver | declineButton,confirmButton |
                        | maker    | updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton  |
                        | approver | approveButton,confirmButton |

        Scenario: Beneficiary accepts the amendment(MCA-1)
                And beneficiary's maker login to main page for scenario sc11
                And beneficiary navigate to current dc using contour uuid
                Then I open Amendment 1
                And I click on the button "actionButton"."rejectButton" and submit
                Then the beneficiary proceeds to submit the Amendment to acceptedAmendment to complete the flow using mca1 for scenario sc11
                Then beneficiary completes the following amendment MCA flow for sc11
                        | role     | buttons                     |
                        | checker  | declineButton,confirmButton |
                        | maker    | updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton  |
                        | approver | declineButton,confirmButton |
                        | maker    | updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton  |
                        | approver | approveButton,confirmButton |
                Then exportParty refresh the browser
                Then I can see the dc has amendment status "Amendment rejected"