Feature: Workflow-Amendment82-MCA1 - @VTX5755
        As a QA, I want to test Workflow-Amendment82-MCA1 wherea DC in sc12 is amended, advised by banks  but accepted by beneficiary
        Scenario: A DC is issued and advised in SC12
                Given I setup test scenario context
                Given nominated bank advised dc for scenario sc12

        Scenario: Applicant amends the DC
                And applicant's admin1 login to main page for scenario sc12
                And applicant navigate to current dc using contour uuid
                And I click on the button "actionButton"."amendButton"
                And I fill in dc for scenario sc1 with following values
                        | Applicant Address | Updated |
                And I click on the button "actionButton"."submitToIssuingBankButton" and submit

        Scenario: Issuing Bank issues amendment- MCA1
                And issuingBank's maker login to main page for scenario sc12
                And issuingBank navigate to current dc using contour uuid
                Then I open Draft Text 1
                And I click on the button "actionButton"."issueButton" and submit
                Then issuingBank completes the following draftText MCA flow for sc11
                        | role     | buttons                     |
                        | checker  | declineButton,confirmButton |
                        | maker    | updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton  |
                        | approver | declineButton,confirmButton |
                        | maker    | updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton  |
                        | approver | approveButton,confirmButton |
                Then importParty refresh the browser
                Then I can see the dc has amendment status "Amended"

        Scenario: Nominated Bank advises amendment
                And nominatedBank's admin1 login to main page for scenario sc12
                And nominatedBank navigate to current dc using contour uuid
                Then I open Amendment 1
                And I click on the button "actionButton"."adviseButton" and submit

        Scenario: Beneficiary accepts the amendment
                And beneficiary's admin1 login to main page for scenario sc12
                And beneficiary navigate to current dc using contour uuid
                Then I open Amendment 1
                And I click on the button "actionButton"."acceptButton" and submit
                Then exportParty refresh the browser
                Then I can see the dc has amendment status "Amended"