Feature: Workflow-Amendment-ChangeBanksS1-1 - @VTX5754
As a QA, I want to test Workflow-Amendment-ChangeBanksS1-1 advising bank rejects the DC and a new advising bank is added in the amendment
Scenario: Advising Bank rejects DC
        Given I setup test scenario context
        Given issuingBank issued dc for scenario sc1 proceeded by "maker.checkerApprover" 
        And advisingBank's admin1 login to main page for scenario sc1
        And advisingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."rejectButton" and submit
        Then I can see the dc has main status "Issued and rejected"
     
Scenario: Applicant amends advising bank
        And applicant's admin1 login to main page for scenario sc1
        And applicant navigate to current dc using contour uuid
        And I click on the button "actionButton"."amendButton"
        And I fill in dc for scenario sc1 with following values
        |  New Advising Bank                               | #NEW_ADVISING_BANK#           |
        |  New Advising Bank Address                       | #NEW_ADVISING_BANK_ADDRESS#   |
        And I click on the button "actionButton"."submitToIssuingBankButton" and submit   
        
Scenario: Issuing Bank issues amendment
        And issuingBank's admin1 login to main page for scenario sc1
        And issuingBank navigate to current dc using contour uuid
        Then I open Draft Text 1
        And I click on the button "actionButton"."issueButton" and submit
        Then I can see the dc has amendment status "Amended"

Scenario: New advising bank advises the amendment
        And newAdvisingBank's admin1 login to main page for scenario sc1  
        Then exportParty refresh the browser
        Then I can see the dc has main status "Unavailable"
        And newAdvisingBank navigate to current dc using contour uuid  
        Then I open Amendment 1
        And I click on the button "actionButton"."adviseButton"
        When I set "VTX-5754" to the inputfield "dcForm"."advisedDcReferenceInput"
        And I click on the button "actionButton"."previewButton" and submit
        Then I can see the dc has amendment status "Amended"

Scenario: Beneficiary accepts amendment
        And beneficiary's admin1 login to main page for scenario sc1
        And beneficiary navigate to current dc using contour uuid
        Then I open Amendment 1
        And I click on the button "actionButton"."acceptButton" and submit
        Then I can see the dc has amendment status "Amended"

Scenario: Check new DC status is reflected in new advising bank
        And newAdvisingBank's admin1 login to main page for scenario sc1
        Then exportParty refresh the browser
        Then I can see the dc has main status "Issued and advised"


