Feature: @VTX-5814 Applicant initiates a Request for Cancellation Message in SC12 and Issuing bank declines MCA2

    Scenario: Setup scenario context and dc to create request for cancellation
        Given I setup test scenario context
        And advisingBank advised dc for scenario sc12 proceeded by "maker.checkerApprover"

    Scenario: applicant initiates request for cancellation
        And applicant admin1 login and open current dc
        And I am at New p2p message under DC
        And I select message type as Request for cancellation
        When I set "Cancellation" to the inputfield "p2pMessage"."cancellationMessage"
        And I click on the button "p2pMessage"."sendButton"
        And I click on the button "sendMessagePopup"."confirmButton"
        Then the element "p2pMessage"."sendButton" does not exist


    Scenario Outline: All parties verify request for cancellation
        Given <party> admin1 login and open current dc
        And I am at New p2p message under DC
        When I open p2p message which has subject "Request for cancellation" from listing
        And I click on the button "p2pMessage"."approveButton"
        And I click on the button "p2pMessage"."confirmApproveButton"
        Then the element "p2pMessage"."confirmApproveButton" does not exist
        Then the element "p2pMessage"."approveButton" does not exist
        Examples:
            | party       |
            | beneficiary |

    Scenario: issuingBank declines request for cancellation MCA2
        And issuingBank makerChecker login and open current dc
        And I am at New p2p message under DC
        When I open p2p message which has subject "Request for cancellation" from listing
        And I click on the button "p2pMessageView"."rejectRequestButton"
        And I click on the button "p2pMessageView"."confirmApproveButton"
        Then issuingBank completes the following cancellation MCA flow for sc12
            | role            | buttons                                  |
            | approver        | rejectLabel,confirmButton                |
            | maker           | discardP2PButton,discardConfirmButton    |
            | maker           | rejectRequestButton,confirmApproveButton |
            | checkerApprover | rejectLabel,confirmButton                |
            | admin1          | discardP2PButton,discardConfirmButton    |
            | admin1          | rejectRequestButton,confirmApproveButton |


    Scenario: Issuing bank cannot see Cancel button in DC
        And issuingBank admin1 login and open current dc
        Then the element "actionButton"."cancelLCButton" does not exist
