Feature: Workflow-Presentation-WithoutReturnS11-8 - VTX-6315

    Background: Setup scenario context
        Given I setup test scenario context

    Scenario:  Issuing bank sets payment date and releases documents to applicant

        Given beneficiary present DP to "nominatedBank" through "advisingBank" at dc sc11
        Given advisingBank's admin1 login to main page for scenario sc4
        Then I click on the element "sideMenu"."dcExport"
        And advisingBank navigate to current dc using contour uuid
        And I click sub side menu option "DP 1"

        And I click on the button "actionButton"."forwardButton"
        And I click sub side menu sub-option "Cover letter by Presenting bank"
        Then the element "dpInvoice"."principalAmount" is empty
        When I set "10001" to the inputfield "dpInvoice"."principalAmount"
        And I click on the button "actionButton"."saveButton"
        Then the element "dpInvoice"."errorMessage" contains the text "Please complete the cover letter"
        When I set "101" to the inputfield "dpInvoice"."totalAmount"
        And I click on the button "actionButton"."saveButton"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        Then I can see the dc has dp status "Bank review"

        Given nominatedBank's admin1 login to main page for scenario sc11
        Then I click on the element "sideMenu"."dcExport"
        And nominatedBank navigate to current dc using contour uuid
        And I click sub side menu option "DP 1"
        And I pick "Bank A" to the contourSelect "dpOverview"."selectPresentTo"
        And I click on the button "actionButton"."forwardButton"
        And I click sub side menu sub-option "Cover letter by Nominated bank"
        Then the element "dpInvoice"."principalAmount" is empty
        When I set "10001" to the inputfield "dpInvoice"."principalAmount"
        And I click on the button "actionButton"."saveButton"
        Then the element "dpInvoice"."errorMessage" contains the text "Please complete the cover letter"
        When I set "101" to the inputfield "dpInvoice"."totalAmount"
        And I click on the button "actionButton"."saveButton"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        Then I can see the dc has dp status "Bank review"

        And issuingBank admin1 login and Accept DP1 at current DC
        Then importParty refresh the browser
        Then I can see the dc has dp status "Accepted"
        And I can see the dc has dp sub status "Please review"

        #set payment date and release documents
        And issuingBank's admin1 logs in to setPaymentDueDate for DP1 at current DC
        Then importParty refresh the browser
        And issuingBank's admin1 logs in to releaseDocuments for DP1 at current DC
        Then importParty refresh the browser

        #Applicant sees the auditlog entries after issuing bank releases the documents
        Given applicant's admin1 login to main page for scenario sc1
        And applicant navigate to current dc using contour uuid
        Then I expect the audit log as follow for scenario sc1
            | #ISSUING_BANK# | Accepted | Documents released   |
            | #ISSUING_BANK# | Accepted | Payment due date set |


