Feature: Workflow-DraftAmendment6(MCA-1) - @VTX5450
As a QA, I want to test Workflow-DraftAmendment6 where applicant initiates an amendment.Send to beneficiary
beneficiary returns, applicant discards

Scenario: Applicant creates a DC
        Given I setup test scenario context
        Given advisingBank advised dc for scenario sc11 proceeded by "maker.checkerApprover"
        
Scenario: Applicant creates a draft amendment and sends to beneficiary
        Given applicant's admin1 login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        Then I expect the element "hint"."hintMessage" to match reference "draftamendment/corp/reqamendment"
        And I click on the button "actionButton"."amendButton"
          And I fill in dc for scenario sc11 with following values
            | Check Negotiation Payment Details    | Check    |
            | Negotiation Payment Details          | Updated  |
            | Amount                               | 25000.00 |
            | Max Tolerance (Optional)             | 17.00    |
            | Min Tolerance (Optional)             | 8.00     |
            | Expiry Place                         | Updated  |
            | Place Of Taking In Charge / Dispatch Form / Place Of Receipt (optional)| Updated |
            | Port Of Loading / Airport Of Departure (optional)                      | Updated |
        And I click on the button "actionButton"."sendToBeneficiaryButton" and submit
        Then I can see the dc has amendment status "Draft text"
        Then I can see the dc has amendment sub status "Beneficiary to review"
        And applicant navigate to current dc using contour uuid       
        When I open 1 row of the amendment overview
        Then I expect 1 row detail of the amendment overview to match reference "draftamendment/corp/overviewRowDetails"

        
Scenario: Beneficiary returns the draft amendment(mca-1)
        And beneficiary's maker login to main page for scenario sc11
        And beneficiary navigate to current dc using contour uuid
        Then I open Draft Text 1
        Then I expect the element "hint"."hintMessage" to match reference "draftamendment/beneficiary/reqamendment"
        And I click on the button "actionButton"."returnButton" and submit
        Then beneficiary completes the following draftText MCA flow for sc11
                        | role     | buttons                     |
                        | checker  | declineButton,confirmButton |
                        | maker    | updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton  |
                        | approver | declineButton,confirmButton |
                        | maker    | updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton  |
                        | approver | approveButton,confirmButton |
        Then I can see the dc has amendment status "Draft text returned"

  Scenario: Applicant discards the draft amendment
        Given applicant's admin1 login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        When I open 1 row of the amendment overview
        Then I expect 1 row detail of the amendment overview to match reference "draftamendment/corp/amendmentReturnedByBene"
        When I click on 1 row view button of the amendment overview
        Then I expect the element "hint"."hintMessage" to match reference "draftamendment/corp/amendmentReturnedByBeneHint"
        And I click on the button "actionButton"."discardButton" and submit
        Then I can see the dc has amendment status "Discarded"
        

  Scenario: Applicant is unable to edit discarded amendment draft
        And applicant navigate to current dc using contour uuid
        When I open 1 row of the amendment overview
        When I click on 1 row view button of the amendment overview
        Then the element "actionButton"."editButton" is not displayed
        Then the element "actionButton"."discardButton" is not displayed
        