Feature: Workflow-DraftAmendment11 MCA2 - @VTX5451
        As a QA, I want to test Workflow-DraftAmendment11 mca-2
        #Workflow-DraftAmendment-11 Draft amendment Beneficiary	Send to applicant	Applicant	Return (MCA-1),(MCA-2)	Beneficiary	Discard
       Scenario: Applicant creates a DC
            Given I setup test scenario context
            Given advisingBank advised dc for scenario sc11 proceeded by "maker.checkerApprover"

        Scenario: Beneficiary creates a draft amendment and sends to Applicant
                Given beneficiary's admin1 login to main page for scenario sc11
                And beneficiary navigate to current dc using contour uuid
                And I click on the button "actionButton"."amendButton"
                And I fill in dc for scenario sc11 with following values
                        | Check Negotiation Payment Details                                       | Check    |
                        | Negotiation Payment Details                                             | Updated  |
                        | Amount                                                                  | 25000.00 |
                        | Max Tolerance (Optional)                                                | 17.00    |
                        | Min Tolerance (Optional)                                                | 8.00     |
                        | Expiry Place                                                            | Updated  |
                        | Place Of Taking In Charge / Dispatch Form / Place Of Receipt (optional) | Updated  |
                        | Port Of Loading / Airport Of Departure (optional)                       | Updated  |
                And I click on the button "actionButton"."sendToApplicantButton" and submit
                Then I can see the dc has amendment status "Draft text"
                Then I can see the dc has amendment sub status "Applicant to review"



         Scenario: Applicant returns the draft amendment back to beneficiary [MCA-2]
                And applicant's makerChecker login to main page for scenario sc11
                And applicant navigate to current dc using contour uuid
                When I open 1 row of the amendment overview
                When I click on 1 row view button of the amendment overview
                Then I expect the element "hint"."hintMessage" to match reference "draftamendment/applicant/reviewAmendment"
                And I click on the button "actionButton"."returnButton"
                And I click on the button "actionButton"."submitButton"
                Then applicant completes the following draftText MCA flow for sc11
                | role           | buttons                      | 
                | approver       | declineButton,confirmButton  | 
                | maker          | updateButton,submitButton    | 
                | checkerApprover| declineButton,confirmButton  | 
                | admin1         | updateButton,submitButton    |
                Then importParty refresh the browser
                Then I can see the dc has amendment status "Draft text returned"
                Then I can see the dc has amendment sub status "Beneficiary to review"

        Scenario: Beneficiary discards the amendment
                Given beneficiary's admin1 login to main page for scenario sc11
                And beneficiary navigate to current dc using contour uuid
                When I click sub side menu option "Amendments"
                When I open 1 row of the amendment overview
                Then I expect 1 row detail of the amendment overview to match reference "draftamendment/beneficiary/draftAmendmentReturned"
                When I click on 1 row view button of the amendment overview
                Then I expect the element "hint"."hintMessage" to match reference "draftamendment/beneficiary/draftAmendmentReturnedHint"
                And I click on the button "actionButton"."discardButton" and submit
                Then I can see the dc has amendment status "Discarded"

