Feature: Workflow-DraftAmendment12 -MCA1 - @VTX5451
        As a QA, I want to test Workflow-DraftAmendment11
        #Workflow-DraftAmendment-12 Draft amendment Beneficiary	Send to applicant(MCA1,MCA2)	Applicant	Edit and Return (MCA-1),(MCA-2)	Beneficiary	Discard(MCA1,MCA2)
        Scenario: Applicant creates a DC
            Given I setup test scenario context
            Given advisingBank advised dc for scenario sc11 proceeded by "maker.checkerApprover"

        Scenario: Beneficiary creates a draft amendment and sends to Applicant[MCA1]
                Given beneficiary's maker login to main page for scenario sc11
                And beneficiary navigate to current dc using contour uuid
                And I click on the button "actionButton"."amendButton"
                And I fill in dc for scenario sc11 with following values
                        | Check Negotiation Payment Details                                       | Check    |
                        | Negotiation Payment Details                                             | Updated  |
                        | Amount                                                                  | 25000.00 |
                        | Max Tolerance (Optional)                                                | 17.00    |
                        | Min Tolerance (Optional)                                                | 8.00     |
                        | Expiry Place                                                            | Updated  |
                        | Place Of Taking In Charge / Dispatch Form / Place Of Receipt (optional) | Updated  |
                        | Port Of Loading / Airport Of Departure (optional)                       | Updated  |
                And I click on the button "actionButton"."sendToApplicantButton" and submit
                Then beneficiary completes the following draft MCA flow for sc11
                        | role     | buttons                                  |
                        | checker  | declineButton,confirmButton              |
                        | maker    | updateButton,updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton               |
                        | approver | declineButton,confirmButton              |
                        | maker    | updateButton,updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton               |
                        | approver | approveButton,confirmButton              |
                Then I can see the dc has amendment status "Draft text"
                Then I can see the dc has amendment sub status "Applicant to review"
                And beneficiary navigate to current dc using contour uuid
                When I click sub side menu option "Amendments"
                When I open 1 row of the amendment overview
                Then I expect 1 row detail of the amendment overview to match reference "draftamendment/beneficiary/overviewRowDetails"



        Scenario: Applicant edits and returns the draft amendment back to beneficiary [MCA-1]
                And applicant's maker login to main page for scenario sc11
                And applicant navigate to current dc using contour uuid
                When I open 1 row of the amendment overview
                When I click on 1 row view button of the amendment overview
                Then I expect the element "hint"."hintMessage" to match reference "draftamendment/applicant/reviewAmendment"
                And I click on the button "actionButton"."editButton"
                And I fill in dc for scenario sc11 with following values
                        | Amount       | 205000.00             |
                        | Expiry Place | Updated  by applicant |
                And I click on the button "actionButton"."sendToBeneficiaryButton"
                And I click on the button "actionButton"."submitButton"
                Then applicant completes the following draftText MCA flow for sc11
                        | role     | buttons                                  |
                        | checker  | declineButton,confirmButton              |
                        | maker    | updateButton,updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton               |
                        | approver | declineButton,confirmButton              |
                        | maker    | updateButton,updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton               |
                        | approver | approveButton,confirmButton              |
                Then I can see the dc has amendment status "Draft text edited"
                Then I can see the dc has amendment sub status "Beneficiary to review"

        Scenario: Beneficiary discards the amendment[MCA-1]
                Given beneficiary's maker login to main page for scenario sc11
                And beneficiary navigate to current dc using contour uuid
                When I click sub side menu option "Amendments"
                When I open 1 row of the amendment overview
                Then I expect 1 row detail of the amendment overview to match reference "draftamendment/beneficiary/draftAmendmentEdited"
                When I click on 1 row view button of the amendment overview
                Then I expect the element "hint"."hintMessage" to match reference "draftamendment/beneficiary/draftAmendmentEditedHint"
                And I click on the button "actionButton"."discardButton" and submit
                Then beneficiary completes the following draftText MCA flow for sc11
                        | role     | buttons                     |
                        | checker  | declineButton,confirmButton |
                        | maker    | updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton  |
                        | approver | declineButton,confirmButton |
                        | maker    | updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton  |
                        | approver | approveButton,confirmButton |
                Then I can see the dc has amendment status "Discarded"