Feature: Workflow-DraftAmendment13 -MCA2 - @VTX5451
        As a QA, I want to test Workflow-DraftAmendment11
        #Workflow-DraftAmendment-13	Draft amendment	Beneficiary	Send to applicant	Applicant	Send to issuing bank (MCA-1) (MCA-2)	Issuing Bank	Issue
        Scenario: Applicant creates a DC
            Given I setup test scenario context
            Given advisingBank advised dc for scenario sc11 proceeded by "maker.checkerApprover"

        Scenario: Beneficiary creates a draft amendment and sends to Applicant
                Given beneficiary's admin1 login to main page for scenario sc11
                And beneficiary navigate to current dc using contour uuid
                And I click on the button "actionButton"."amendButton"
                And I fill in dc for scenario sc11 with following values
                        | Check Negotiation Payment Details                                       | Check    |
                        | Negotiation Payment Details                                             | Updated  |
                        | Amount                                                                  | 25000.00 |
                        | Max Tolerance (Optional)                                                | 17.00    |
                        | Min Tolerance (Optional)                                                | 8.00     |
                        | Expiry Place                                                            | Updated  |
                        | Place Of Taking In Charge / Dispatch Form / Place Of Receipt (optional) | Updated  |
                        | Port Of Loading / Airport Of Departure (optional)                       | Updated  |
                And I click on the button "actionButton"."sendToApplicantButton" and submit
                Then I can see the dc has amendment status "Draft text"
                Then I can see the dc has amendment sub status "Applicant to review"
                And beneficiary navigate to current dc using contour uuid
                When I click sub side menu option "Amendments"
                When I open 1 row of the amendment overview
                Then I expect 1 row detail of the amendment overview to match reference "draftamendment/beneficiary/overviewRowDetails"



        Scenario: Applicant sends the draft amendment to Issuingbank [MCA-2]
                And applicant's makerChecker login to main page for scenario sc11
                And applicant navigate to current dc using contour uuid
                When I open 1 row of the amendment overview
                When I click on 1 row view button of the amendment overview
                Then I expect the element "hint"."hintMessage" to match reference "draftamendment/applicant/reviewAmendment"
                And I click on the button "actionButton"."submitToIssuingBankButton"
                And I click on the button "actionButton"."submitButton"
                Then applicant completes the following draftText MCA flow for sc11
                | role           | buttons                                   | 
                | approver       | declineButton,confirmButton               | 
                | maker          | updateButton,updateButton,submitButton    | 
                | checkerApprover| declineButton,confirmButton               | 
                | admin1         | updateButton,updateButton,submitButton    |
                Then importParty refresh the browser
                Then I can see the dc has amendment status "Amendment requested"
                Then I can see the dc has amendment sub status "Issuing bank to review"

        Scenario: Issuing bank issues the amended dc
                And issuingBank's admin1 login to main page for scenario sc11
                And issuingBank navigate to current dc using contour uuid
                When I open 1 row of the amendment overview
                When I click on 1 row view button of the amendment overview
                Then I expect the element "hint"."hintMessage" to match reference "draftamendment/issbank/reqamendment"
                And I click on the button "actionButton"."issueButton"
                And I click on the button "actionButton"."submitButton"
                Then I can see the dc has amendment status "Amended"

