@VTX_5202
Feature: Draft Issuance 1(Applicant creates draft dc and discards dc application)


Scenario: Applicant creates DC draft
       Given I setup test scenario context
        And applicant's maker login to main page for scenario sc11
        And I navigate to create dc page
        And I fill in dc for scenario sc11 with following values
            | Applicant Address                           | #APPLICANT_ADDRESS#       |
            | Beneficiary                                 | #BENEFICIARY#             |
            | Beneficiary Address                         | #BENEFICIARY_ADDRESS#     |
            | Issuing Bank                                | #ISSUING_BANK#            |
            | Issuing Bank Address                        | #ISSUING_BANK_ADDRESS#    |
            | Allow Issuing Bank To Make Changes Directly |                           |
            | Advising Bank                               | #ADVISING_BANK#           |
            | Advising Bank Address                       | #ADVISING_BANK_ADDRESS#   |
            | Confirmation Instructions                   | Confirm                   |
            | Confirming Bank                             | #CONFIRMING_BANK#         |
            | Confirming Bank Address                     | #CONFIRMING_BANK_ADDRESS# |
            | Available With Bank                         | #NOMINATED_BANK#          |
            | Available With Bank Address                 | #NOMINATED_BANK_ADDRESS#  |
            | Available By Negotiation          | Check                                  |
            | Check Negotiation Payment Details | Check                                  |
            | Negotiation Payment Details       | Negotiation / Deferred Payment Details |
            | Applicable Rules                     | eUCP latest version |
            | Selected Currency                    | USD                 |
            | Amount                               | 15000.00            |
            | Max Tolerance (Optional)             | 15.00               |
            | Min Tolerance (Optional)             | 5.00                |
            | Additional Amount Covered (Option)   |                     |
            | Description Of Goods And/Or Services | Automation          |
            | Expiry Date (YY/MM/DD)               | #RANDOM_DATE#       |
            | Expiry Place                         | Hong Kong           |
            | Partial Shipments (optional) | Allowed     |
            | Transhipment (optional)      | Not allowed |
            | Shipment Date / Period  | Latest date of shipment |
            | Latest Date Of Shipment | 2023-12-10              |
            | Shipment Period | 12 |
            | Period Of Presentation                                                            | 123 |
            | Type Of Presentation                                                              | 123 |
            | Place Of Taking In Charge / Dispatch Form / Place Of Receipt (optional)           | 123 |
            | Port Of Loading / Airport Of Departure (optional)                                 | 123 |
            | Port Of Discharge / Airport Of Destination (optional)                             | 123 |
            | Place Of Final Destination / For Transportation To / Place Of Delivery (optional) | 123 |
        When I enable network inspector
        And I click on the button "actionButton"."submitToIssuingBankButton" and submit     
        When I get UUID from applicant maker submit response for scenario sc11
        And applicant's checker login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        And I click on the button "actionButton"."declineButton" and confirm

Scenario: Applicant discards DC draft
        And applicant's maker login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        And I click on the button "actionButton"."discardButton" and confirm
     
Scenario: Check draft record does not exist
         When I set contour-id to the inputfield "dcListing"."searchDCInput"
         Then I press the enter key
         Then the element "dcListing"."noRecordsDisplay" does exist
         Then the element "dcListing"."noRecordsDisplay" contains the text "No records found"

    
      