@VTX_5664
Feature: Draft Issuance 6(MCA-1)

Scenario: Applicant creates DC draft(MCA-1)
       Given I setup test scenario context
       Given applicant created dc for scenario sc11 proceeded by "maker" 

Scenario Outline: Applicant MCA-<user>
       Then applicant's <user> login to main page for scenario sc11
       Then applicant navigate to current dc using contour uuid
       Then applicant's dc form with contour uuid is loaded with "actionButton"."<actionbuttonOne>" visible
       And I scroll to and click element "actionButton"."<actionbuttonOne>"
       And I scroll to and click element "actionButton"."<actionButtonTwo>"  
         Examples:
                | user         | actionbuttonOne     | actionButtonTwo |
                | checker      | declineButton       | confirmButton   |
                | maker        | updateButton        | submitButton    |
                | checker      | verifyButton        | confirmButton   |
                | approver     | declineButton       | confirmButton   |
                | maker        | updateButton        | submitButton    |
                | checker      | verifyButton        | confirmButton   |
                | approver     | approveButton       | confirmButton   |
 
 Scenario:  Check DC status    
        Then importParty refresh the browser
        Then I can see the dc has main status "Application submitted"



Scenario: Issuing bank returns DC(MCA-1)
        And issuingBank's maker login to main page for scenario sc11
        And issuingBank navigate to current dc using contour uuid  
        Then issuingBank's dc form with contour uuid is loaded with "dcForm"."internalCommentsButton" visible 
        And I click on the element "dcForm"."internalCommentsButton"
        And I click on the element "dcForm"."internalCommentsTextArea"
        And I set "return dc" to the inputfield "dcForm"."internalCommentsTextArea"
        And I click on the button "actionButton"."attachCommentButton" 
        And I click on the button "actionButton"."returnButton"
        And I click on the button "actionButton"."submitButton"

Scenario Outline: Issuing Bank MCA-<user>
        Then issuingBank's <user> login to main page for scenario sc11
        Then issuingBank navigate to current dc using contour uuid
        Then issuingBank's dc form with contour uuid is loaded with "actionButton"."<actionbuttonOne>" visible
        And I scroll to and click element "actionButton"."<actionbuttonOne>"
        And I scroll to and click element "actionButton"."<actionButtonTwo>"
        Examples:
            | user         | actionbuttonOne     | actionButtonTwo |
            | checker      | declineButton       | confirmButton   |
            | maker        | updateButton        | submitButton    |
            | checker      | verifyButton        | confirmButton   |
            | approver     | declineButton       | confirmButton   |
            | maker        | updateButton        | submitButton    |
            | checker      | verifyButton        | confirmButton   |
            | approver     | approveButton       | confirmButton   |

Scenario:  Check DC status    
        Then importParty refresh the browser
        Then I can see the dc has main status "Application returned"
        
Scenario: Applicant edit DC and submit to beneficiary(MCA-1)
        And applicant's maker login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid  
        Then applicant's dc form with contour uuid is loaded with "actionButton"."editButton" visible
        And I scroll to and click element "actionButton"."editButton"
        And I click on the button "actionButton"."sendToBeneficiaryButton" and submit

Scenario Outline: Applicant MCA-<user>
        Then applicant's <user> login to main page for scenario sc11
        Then applicant navigate to current dc using contour uuid
        Then applicant's dc form with contour uuid is loaded with "actionButton"."<actionbuttonOne>" visible
        And I scroll to and click element "actionButton"."<actionbuttonOne>"
        And I scroll to and click element "actionButton"."<actionButtonTwo>"
        Examples:
            | user         | actionbuttonOne     | actionButtonTwo |
            | checker      | declineButton       | confirmButton   |
            | maker        | updateButton        | submitButton    |
            | checker      | verifyButton        | confirmButton   |
            | approver     | declineButton       | confirmButton   |
            | maker        | updateButton        | submitButton    |
            | checker      | verifyButton        | confirmButton   |
            | approver     | approveButton       | confirmButton   |

Scenario:  Check DC status    
        Then importParty refresh the browser
        Then I can see the dc has main status "Draft text"

Scenario: Beneficiary edit and return(MCA-1)
        And beneficiary's maker login to main page for scenario sc11
        And beneficiary navigate to current dc using contour uuid
        Then beneficiary's dc form with contour uuid is loaded with "actionButton"."editButton" visible
        And I scroll to and click element "actionButton"."editButton"
        And I click on the button "actionButton"."returnButton"
        And I click on the button "actionButton"."submitButton"

Scenario Outline: Beneficiary MCA-<user>
        Then beneficiary's <user> login to main page for scenario sc11
        Then beneficiary navigate to current dc using contour uuid
        Then beneficiary's dc form with contour uuid is loaded with "actionButton"."<actionbuttonOne>" visible
        And I scroll to and click element "actionButton"."<actionbuttonOne>"
        And I scroll to and click element "actionButton"."<actionButtonTwo>"
        Examples:
            | user         | actionbuttonOne     | actionButtonTwo |
            | checker      | declineButton       | confirmButton   |
            | maker        | updateButton        | submitButton    |
            | checker      | verifyButton        | confirmButton   |
            | approver     | declineButton       | confirmButton   |
            | maker        | updateButton        | submitButton    |
            | checker      | verifyButton        | confirmButton   |
            | approver     | approveButton       | confirmButton   |

Scenario:  Check DC status    
        Then exportParty refresh the browser
        Then I can see the dc has main status "Draft text edited"

Scenario: Applicant submit DC to issuing bank
        And applicant's admin1 login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid   
        Then applicant's dc form with contour uuid is loaded with "actionButton"."editButton" visible
        And I click on the button "actionButton"."editButton" 
        And I click on the button "actionButton"."submitToIssuingBankButton" and submit
        Then importParty refresh the browser
        Then I can see the dc has main status "Application submitted"


Scenario: Issuing bank issues DC(MCA-1)
        And issuingBank's maker login to main page for scenario sc11
        And issuingBank navigate to current dc using contour uuid
        Then issuingBank's dc form with contour uuid is loaded with "actionButton"."issueButton" visible
        And I click on the button "actionButton"."issueButton"
        When I set "DraftIssuance6" to the inputfield "dcForm"."issuedDcRefenceInput"
        And I set "Additional clause from issuing bank" to the inputfield "dcForm"."additionalConditionsFromIssuingBankInput"
        And I set "Instructions to paying bank" to the inputfield "dcForm"."instructionToPayingBankInput"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        And I expect that element "actionButton"."submitButton" does not exist

Scenario Outline: MCA
        Then issuingBank's <user> login to main page for scenario sc11
        Then issuingBank navigate to current dc using contour uuid
        Then issuingBank's dc form with contour uuid is loaded with "actionButton"."<actionbuttonOne>" visible
        And I scroll to and click element "actionButton"."<actionbuttonOne>"
        And I scroll to and click element "actionButton"."<actionButtonTwo>"
        Examples:
            | user         | actionbuttonOne     | actionButtonTwo |
            | checker      | declineButton       | confirmButton   |
            | maker        | updateButton        | submitButton    |
            | checker      | verifyButton        | confirmButton   |
            | approver     | declineButton       | confirmButton   |
            | maker        | updateButton        | submitButton    |
            | checker      | verifyButton        | confirmButton   |
            | approver     | approveButton       | confirmButton   |

Scenario:  Check DC status    
        Then importParty refresh the browser
        Then I can see the dc has main status "Issued"