Feature: Flexible workflow7 with waiver for mca2 scenario - @VTX5402
    As a QA, I want to test flexible workflow with waiver added[Workflow-Flexible-7]
    #https://voltrontrade.sharepoint.com/:x:/r/sites/CC-Team-QA/_layouts/15/doc2.aspx?sourcedoc=%7B60978D58-62A7-4D6C-A389-8234B527738B%7D&file=Manual_Test_Cases.xlsx&action=default&mobileredirect=true&cid=da90addf-7ac0-4563-9e2c-98f5f78dc9bf
    Background: Workflow-Flexible-7-Applicant-Add waiver and only selects issuing bank and beneficiary-Beneficiary Bank-Edit and return(MCA-2)-Applicant-Discard
    Scenario: Applicant create DC with waiver and only selects issuing bank and beneficiary
        Given I setup test scenario context
        Given applicant's admin1 login to main page for scenario sc1
        And I navigate to create dc page
        And I fill in dc for scenario sc1 with following values
            | Beneficiary                                 | #BENEFICIARY#          |
            | Beneficiary Address                         | #BENEFICIARY_ADDRESS#  |
            | Issuing Bank                                | #ISSUING_BANK#         |
            | Issuing Bank Address                        | #ISSUING_BANK_ADDRESS# |
            | Allow Issuing Bank To Make Changes Directly | Check                  |
        When I enable network inspector
        And I click on the button "actionButton"."sendToBeneficiaryButton" and submit 
        When I get UUID from applicant admin1 submit response for scenario sc1
        Then importParty refreshes the browser until the main status matches the text "Draft text"

    Scenario: Applicant checks hint in DC overview and Waiver checkbox in DC form
        And applicant navigate to current dc using contour uuid
        And I click on the button "dcForm"."dcForm"
        Then the element "dcForm"."waiverCheckBox" is checked
        And I click on the button "dcOverview"."overviewLink"

    Scenario: Beneficiary returns the DC [mca-2]
        And beneficiary's makerChecker login to main page for scenario sc11
        And beneficiary navigate to current dc using contour uuid
        And I click on the element "dcForm"."internalCommentsButton"
        And I click on the element "dcForm"."internalCommentsTextArea"
        And I set "return dc with waiver" to the inputfield "dcForm"."internalCommentsTextArea"
        And I click on the button "actionButton"."attachCommentButton"
        And I click on the button "actionButton"."returnButton"
        And I click on the button "actionButton"."submitButton"

    Scenario Outline: Beneficiary MCA-<user>
        Then beneficiary's <user> login to main page for scenario sc11
        Then beneficiary navigate to current dc using contour uuid
        Then beneficiary's dc form with contour uuid is loaded with "actionButton"."<actionbuttonOne>" visible
        And I scroll to and click element "actionButton"."<actionbuttonOne>"
        And I scroll to and click element "actionButton"."<actionButtonTwo>"
         Examples:
                | user           | actionbuttonOne     | actionButtonTwo |
                | approver       | declineButton       | confirmButton   |
                | maker          | updateButton        | submitButton    |
                | checkerApprover| declineButton       | confirmButton   |
                | admin1         | updateButton        | submitButton    |
      
    Scenario: Check dc is returned
        Then exportParty refreshes the browser until the main status matches the text "Draft text returned"

    Scenario: Applicant discards dc draft
        And applicant's admin1 login to main page for scenario sc1
        And applicant navigate to current dc using contour uuid
        And I click on the element "actionButton"."discardButton"
        And I click on the button "actionButton"."submitButton"
        And I click on the button "actionButton"."confirmDiscardButton"
    
    Scenario: Check DC is discarded
        Then importParty refreshes the browser until the main status matches the text "Discarded"
