Feature: Flexible workflow9 with waiver scenario - @VTX5402
    As a QA, I want to test flexible workflow with waiver added[Workflow-Flexible-9]
    #https://voltrontrade.sharepoint.com/:x:/r/sites/CC-Team-QA/_layouts/15/doc2.aspx?sourcedoc=%7B60978D58-62A7-4D6C-A389-8234B527738B%7D&file=Manual_Test_Cases.xlsx&action=default&mobileredirect=true&cid=da90addf-7ac0-4563-9e2c-98f5f78dc9bf
    Background: Workflow-Flexible-9-Applicant-Add waiver and only selects issuing bank and beneficiary-Beneficiary-Edit and return-Applicantsend to issuing bank-Issuing bank edit and issue
    Scenario: Applicant create DC with waiver and only selects issuing bank and beneficiary
        Given I setup test scenario context
        Given applicant's admin1 login to main page for scenario sc1
        And I navigate to create dc page
        And I fill in dc for scenario sc1 with following values
            | Beneficiary                                 | #BENEFICIARY#          |
            | Beneficiary Address                         | #BENEFICIARY_ADDRESS#  |
            | Issuing Bank                                | #ISSUING_BANK#         |
            | Issuing Bank Address                        | #ISSUING_BANK_ADDRESS# |
            | Allow Issuing Bank To Make Changes Directly | Check                  |
        When I enable network inspector
        And I click on the button "actionButton"."sendToBeneficiaryButton" and submit 
        When I get UUID from applicant admin1 submit response for scenario sc1
        Then importParty refreshes the browser until the main status matches the text "Draft text"  
        
    Scenario: Applicant checks hint in DC overview and Waiver checkbox in DC form
        And applicant navigate to current dc using contour uuid
        And I click on the button "dcForm"."dcForm"
        Then the element "dcForm"."waiverCheckBox" is checked
        And I click on the button "dcOverview"."overviewLink"

    Scenario: Beneficiary edits and returns the DC 
        When I pause for 3500ms
        And beneficiary's admin1 login to main page for scenario sc1
        And beneficiary navigate to current dc using contour uuid
        And I click on the button "actionButton"."editButton"     
        And I fill in dc for scenario sc1 with following values
            | Advising Bank                                                                     | #ADVISING_BANK#                                                                   |
            | Advising Bank Address                                                             | #ADVISING_BANK_ADDRESS#                                                           |
            | Confirmation Instructions                                                         | Without                                                                           |
            | Confirming Bank                                                                   | #CONFIRMING_BANK#                                                                 |
            | Confirming Bank Address                                                           | #CONFIRMING_BANK_ADDRESS#                                                         |
            | Available With Bank                                                               | #NOMINATED_BANK#                                                                  |
            | Available With Bank Address                                                       | #NOMINATED_BANK_ADDRESS#                                                          |
            | Available By Negotiation                                                          | Check                                                                             |
            | Check Negotiation Payment Details                                                 | Check                                                                             |
            | Negotiation Payment Details                                                       | Negotiation / Deferred Payment Details                                            |
            | Applicable Rules                                                                  | eUCP latest version                                                               |
            | Selected Currency                                                                 | USD                                                                               |
            | Amount                                                                            | 10000.00                                                                          |
            | Max Tolerance (Optional)                                                          | 15.00                                                                             |
            | Min Tolerance (Optional)                                                          | 5.00                                                                              |
            | Additional Amount Covered (Option)                                                | Additional Amount Covered (Option)                                                |
            | Expiry Date (YY/MM/DD)                                                            | #RANDOM_DATE#                                                                     |
            | Expiry Place                                                                      | Hong Kong                                                                         |
            | Partial Shipments (optional)                                                      | Allowed                                                                           |
            | Transhipment (optional)                                                           | Not allowed                                                                       |
            | Shipment Date / Period                                                            | Latest date of shipment                                                           |
            | Latest Date Of Shipment                                                           | 2023-12-10                                                                      |
            | Description Of Goods And/Or Services                                              | Automation                                                                        |
            | Period Of Presentation                                                            | 123                                                                               |
            | Type Of Presentation                                                              | 123                                                                               |
            | Place Of Taking In Charge / Dispatch Form / Place Of Receipt (optional)           | Place Of Taking In Charge / Dispatch Form / Place Of Receipt (optional)           |
            | Port Of Loading / Airport Of Departure (optional)                                 | Port Of Loading / Airport Of Departure (optional)                                 |
            | Port Of Discharge / Airport Of Destination (optional)                             | Port Of Discharge / Airport Of Destination (optional)                             |
            | Place Of Final Destination / For Transportation To / Place Of Delivery (optional) | Place Of Final Destination / For Transportation To / Place Of Delivery (optional) |
        And I fill in document source with following values
            | Invoice Description                  | Invoice Description                             |
            | Tick - Transport Document            | Tick                                            |
            | Tick - Certificate of Origin         | Tick                                            |
            | Tick - Packing List                  | Tick                                            |
            | Select Transport Document            | Others, please specify                          |
            | Other Transport Document             | Other Transport Document                        |
            | Transport Document Description       | Transport Document Description                  |
            | Certificate of Origin Description    | Certificate of Origin Description               |
            | Packing List Description             | Packing List Description                        |
            | Other Required Document Count        | 2                                               |
            | Other Required Document Names        | Other Doc 1,Other Doc 2                         |
            | Other Required Document Descriptions | Other Doc Description 1,Other Doc Description 2 |
        And I click on the element "dcForm"."internalCommentsButton"
        And I click on the element "dcForm"."internalCommentsTextArea"
        And I set "edit & return dc with waiver" to the inputfield "dcForm"."internalCommentsTextArea"
        And I click on the button "actionButton"."attachCommentButton"
        And I click on the button "actionButton"."returnButton"
        And I click on the button "actionButton"."submitButton"       

    Scenario: Check draft dc is edited and returned
        Then exportParty refreshes the browser until the main status matches the text "Draft text edited"

     Scenario: Applicant submits returned dc to issuing bank
        Given applicant's admin1 login to main page for scenario sc1
        And applicant navigate to current dc using contour uuid
        And I click on the button "actionButton"."editButton"
        And I scroll to and click element "actionButton"."submitToIssuingBankButton"
        And I scroll to and click element "actionButton"."submitButton"

    Scenario: Check dc is submitted to issuing bank
        Then importParty refreshes the browser until the main status matches the text "Application submitted"

     Scenario: Issuing bank edit and issues the DC 
        And issuingBank's admin1 login to main page for scenario sc1
        And issuingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."editButton"
        And I fill in dc for scenario sc1 with following values
            | Selected Currency        | AUD      |
            | Amount                   | 20000.00 |
            | Max Tolerance (Optional) | 15.00    |
            | Min Tolerance (Optional) | 15.00    |
            | Description Of Goods And/Or Services| Issuing Bank edit |
        And I click on the button "actionButton"."issueButton"
        When I set "workflowflex-9" to the inputfield "dcForm"."issuedDcRefenceInput"
        And I set "workflowflex-9" to the inputfield "dcForm"."additionalConditionsFromIssuingBankInput"
        And I set "workflowflex-9" to the inputfield "dcForm"."instructionToPayingBankInput"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"

    Scenario: Check dc is issued by Issuing Bank
        Then importParty refreshes the browser until the main status matches the text "Issued"
  