@Regression
Feature: Admin user is able to create and approve new user, and the newly created user is able to access Contour app successfully

    @UserMgmt
    Scenario: Admin user is able to create and approve new user, and the newly created user is able to access Contour app successfully
        Given I setup test scenario context
        When applicant's admin1 login to main page for scenario sc1
        And I select Users from Company Settings left menu
        And I click on the button "users"."inviteUserBtn"
        And I wait until loading icon is hidden
        Then I expect the viewport to match reference "userMgmt/createUserForm"
        And I create new user with email "DataStore.randomEmail" and maker role
        Then user "DataStore.randomEmail" is listed under Pending tab with Status column value equals Pending creation approval

        When applicant's admin2 login to main page for scenario sc1
        And I select Users from Company Settings left menu
        And I Approve new user request for user "DataStore.randomEmail"
        Then user "DataStore.randomEmail" is listed under Members tab with Status column value equals Pending onboard

        Given I select logout from user menu
        When I load Setup user account page for user "DataStore.randomEmail"
        And I submit Setup user account form with valid details
        Then I expect success banner matches the text "You have successfully set up your account!"
        And I expect the viewport to match reference "userMgmt/setupUserSuccess"
