Feature: Workflow-Issuance40MCA1 - @VTX5723
    As a QA, I want to test Workflow-BeneficiaryConfirmation-40 where Dc is issued and rejected
    Scenario: Applicant creates a DC
        Given I setup test scenario context
        Given applicant created dc for scenario sc11 proceeded by "admin1"

    Scenario: Issuing Bank issues the DC
        And issuingBank's admin1 login to main page for scenario sc11
        And issuingBank navigate to current dc using contour uuid
        And I wait for element "actionButton"."issueButton" to be visible
        And I click on the button "actionButton"."issueButton"
        When I set "issuance-40mca1" to the inputfield "dcForm"."issuedDcRefenceInput"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        Then importParty refreshes the browser until the main status matches the text "Issued"

    Scenario: Confirming rejects MCA-1
        And confirmingBank's maker login to main page for scenario sc11
        And confirmingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."rejectButton"
        And I click on the button "actionButton"."submitButton"
        Then confirmingBank completes the following dc MCA flow for sc11
            | role     | buttons                     |
            | checker  | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | approveButton,confirmButton |


    Scenario: Nominated Bank rejects MCA-1
        And nominatedBank's maker login to main page for scenario sc11
        And nominatedBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."rejectButton"
        And I click on the button "actionButton"."submitButton"
        Then nominatedBank completes the following dc MCA flow for sc11
            | role     | buttons                     |
            | checker  | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | approveButton,confirmButton |

    Scenario: Advising Bank rejects MCA-1
        And advisingBank's maker login to main page for scenario sc11
        And advisingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."rejectButton"
        And I click on the button "actionButton"."submitButton"
        Then advisingBank completes the following dc MCA flow for sc11
            | role     | buttons                     |
            | checker  | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | approveButton,confirmButton |
        Then exportParty refreshes the browser until the main status matches the text "Issued and rejected"
