@VTX_5149
Feature: workflow-Issuance-41_mca1(Issuing bank and Nominated bank are the same bank[MCA-1])

       Scenario: Applicant creates a DC
              Given I setup test scenario context
              Given applicant created dc for scenario sc2split proceeded by "admin1"

       Scenario: Issuing bank issue DC(MCA-1)
              And issuingBank's maker login to main page for scenario sc2split
              And issuingBank navigate to current dc using contour uuid
              And I click on the button "actionButton"."issueButton"
              When I set "issuance-41" to the inputfield "dcForm"."issuedDcRefenceInput"
              And I set "Additional clause from issuing bank" to the inputfield "dcForm"."additionalConditionsFromIssuingBankInput"
              And I set "Instructions to paying bank" to the inputfield "dcForm"."instructionToPayingBankInput"
              And I click on the button "actionButton"."previewButton" and submit
              Then issuingBank completes the following dc MCA flow for sc2split
                     | role     | buttons                     |
                     | checker  | declineButton,confirmButton |
                     | maker    | updateButton,submitButton   |
                     | checker  | verifyButton,confirmButton  |
                     | approver | declineButton,confirmButton |
                     | maker    | updateButton,submitButton   |
                     | checker  | verifyButton,confirmButton  |
                     | approver | approveButton,confirmButton |
              Then I can see the DC has main status "Issued"

       Scenario: Nominated bank issues DC(MCA-1)
              And nominatedBank's maker login to main page for scenario sc2split
              And nominatedBank navigate to current dc using contour uuid
              And I click on the button "actionButton"."adviseButton"
              When I set "issuance-41mca1" to the inputfield "dcForm"."nominatedDcReferenceInput"
              And I click on the button "actionButton"."previewButton" and submit
              Then nominatedBank completes the following dc MCA flow for sc2split
                     | role     | buttons                     |
                     | checker  | declineButton,confirmButton |
                     | maker    | updateButton,submitButton   |
                     | checker  | verifyButton,confirmButton  |
                     | approver | declineButton,confirmButton |
                     | maker    | updateButton,submitButton   |
                     | checker  | verifyButton,confirmButton  |
                     | approver | approveButton,confirmButton |
              Then I can see the DC has main status "Issued and advised"

       Scenario: Advising Bank advises DC
              And advisingBank's admin1 login to main page for scenario sc2split
              And advisingBank navigate to current dc using contour uuid
              And I click on the button "actionButton"."adviseButton"
              When I set "issuance-41mca1" to the inputfield "dcForm"."advisedDcReferenceInput"
              And I click on the button "actionButton"."previewButton" and submit
              Then I can see the DC has main status "Issued and advised"
