import config from './amendment.configs';

config.capabilities = [
  {
    maxInstances: 3,
    browserName: 'chrome',
    browserVersion: '89.0',
    'goog:chromeOptions': {
      args: ['--incognito', 'window-size=1920,1080']
    },
    'selenoid:options': {
      enableVNC: true,
      enableVideo: false,
      enableLog: true
    }
  }
];

config.runType = 'hub';
config.hubUrl = 'http://selenoid.pvt.dev.contournetwork.io:4444/wd/hub';

export default config;
