import config from '../bwc.dc';

config.capabilities = [
  {
    maxInstances: 5,
    browserName: 'chrome',
    browserVersion: '90.0',
    'goog:chromeOptions': {
      args: ['--incognito', 'window-size=1920,1080']
    },
    'selenoid:options': {
      enableVNC: true,
      enableVideo: false,
      enableLog: false,
      sessionTimeout: '8m'
    }
  }
];

config.runType = 'hub';
config.hubUrl = 'http://selenoid.dev.contournetwork.io:4444/wd/hub';

export default config;
