import baseRemoteConfig from './baseLocalConfig';

baseRemoteConfig.runType = 'hub';
baseRemoteConfig.hubUrl = 'http://selenoid.dev.contournetwork.io:4444/wd/hub';
baseRemoteConfig.capabilities = [
  {
    maxInstances: 5,
    browserName: 'chrome',
    browserVersion: '102.0',
    'goog:chromeOptions': {
      args: ['--incognito', 'window-size=1920,1080']
    },
    'selenoid:options': {
      enableVNC: true,
      enableVideo: false,
      enableLog: false
    }
  }
];

baseRemoteConfig.vr = {
  dir: baseRemoteConfig.vr.dir,
  autoSaveBaseline: true,
  compareScreenshot: true,
  beforeScreenshotPause: 500
};

baseRemoteConfig.reportPortal.enabled = true;
baseRemoteConfig.msTeamsNotification = { enabled: true, notifyFailingTestsOnly: true };

export default baseRemoteConfig;
