import report_portal_token from '../report_portal_token';
const localConfig: ContourFETConfig = require('../baseConfigs/baseLocalConfig').default;

const specs = [`${global.projectRoot}/test/features/login/*.feature`];

localConfig.env = 'dev_3';
localConfig.specs = specs;
localConfig.tagExpression = 'not @Pending';

localConfig.reportPortal = {
  enabled: false,
  token: report_portal_token.shankar_token,
  project: 'contour-fe',
  launch: 'Login',
  description: '',
  attributes: [{ key: 'run', value: 'login' }],
  autoAttachScreenshots: true
};

export default localConfig;
