import report_portal_token from '../report_portal_token';
const localConfig: ContourFETConfig = require('../baseConfigs/baseLocalConfig').default;

const specs = [`${global.projectRoot}/test/features/user_mgmt/*.feature`];

localConfig.env = 'dev_3';
localConfig.specs = specs;
localConfig.tagExpression = 'not @Pending';

localConfig.reportPortal = {
  enabled: false,
  token: report_portal_token.shankar_token,
  project: 'contour-fe',
  launch: 'User management',
  description: specs.toString(),
  attributes: [{ key: 'run', value: 'User Mgmt' }],
  autoAttachScreenshots: true
};

export default localConfig;
