import { Button, WebElement } from '@contour/fet/lib/elements';

const PAGE_NAME = 'contourAlert';

export class ContourAlert extends WebElement {
  constructor() {
    super(contourfet.getPageElement(PAGE_NAME, 'alertContainer'));
  }

  async clickButtonByLabelTxt(lblText: string): Promise<void> {
    await new Button(contourfet.getPageElement(PAGE_NAME, 'alertButton').replace('#btnLabel#', lblText)).clickElement();
  }

  getAlertContainer(): WebElement {
    return this;
  }
}
