/* eslint-disable no-console */
import { WebElement } from '@contour/fet/lib/elements';

const PAGE_NAME = 'contourSpinner';
export default class ContourSpinner extends WebElement {
  constructor() {
    super(contourfet.getPageElement(PAGE_NAME, 'loadingIcon'));
  }

  async waitForLoadingToComplete(): Promise<void> {
    (await this.isDisplayed()) && (await this.waitForVisible(true));
  }
}
