const contour_dev_profile = {
  corpa: {
    makerUsername: 'maker',
    makerPassword: 'password',
    makerCheckerUsername: 'makerchecker',
    makerCheckerPassword: 'password',
    checkerUsername: 'checker',
    checkerPassword: 'password',
    checkerApproverUsername: 'checkerapprover',
    checkerApproverPassword: 'password',
    makerCheckerApproverUsername: 'makercheckerapprover',
    makerCheckerApproverPassword: 'password',
    approverUsername: 'approver',
    approverPassword: 'password',
    admin1Username: 'admin',
    admin1Password: 'password',
    admin2Username: 'admin2',
    admin2Password: 'password',
    name: 'OU=Corp A, O=Contour - Corp A, L=Singapore, C=SG',
    displayName: 'Corp A',
    address: `Address, S001`,
    baseUrl: 'https://corpa.#env#.dev.contournetwork.io',
    appVersion: 'v8_1',
    ldapEnabled: false,
    childIdentities: {
      child1: 'Corp A - Child Corp Node - 1',
      child2: 'Corp A - Child Corp Node - 2',
      child3: 'Corp A - Child Corp Node - 3',
      child4: 'Corp A - Child Corp Node - 4',
      child5: 'Corp A - Child Corp Node - 5'
    }
  },
  corpb: {
    makerUsername: 'maker',
    makerPassword: 'password',
    makerCheckerUsername: 'makerchecker',
    makerCheckerPassword: 'password',
    checkerUsername: 'checker',
    checkerPassword: 'password',
    checkerApproverUsername: 'checkerapprover',
    checkerApproverPassword: 'password',
    makerCheckerApproverUsername: 'makercheckerapprover',
    makerCheckerApproverPassword: 'passsword',
    approverUsername: 'approver',
    approverPassword: 'password',
    admin1Username: 'admin',
    admin1Password: 'password',
    admin2Username: 'admin2',
    admin2Password: 'password',
    name: 'OU=Corp B, O=Contour - Corp B, L=Singapore, C=SG',
    displayName: 'Corp B',
    address: `Address, S002`,
    baseUrl: 'https://corpb.#env#.dev.contournetwork.io',
    appVersion: 'v8_1',
    ldapEnabled: false,
    childIdentities: {
      child1: 'Corp B - Child Corp Node - 1',
      child2: 'Corp B - Child Corp Node - 2',
      child3: 'Corp B - Child Corp Node - 3',
      child4: 'Corp B - Child Corp Node - 4',
      child5: 'Corp B - Child Corp Node - 5'
    }
  },
  corpc: {
    makerUsername: 'maker',
    makerPassword: 'password',
    makerCheckerUsername: 'makerchecker',
    makerCheckerPassword: 'password',
    checkerUsername: 'checker',
    checkerPassword: 'password',
    checkerApproverUsername: 'checkerapprover',
    checkerApproverPassword: 'password',
    makerCheckerApproverUsername: 'makercheckerapprover',
    makerCheckerApproverPassword: 'passsword',
    approverUsername: 'approver',
    approverPassword: 'password',
    admin1Username: 'contour-user',
    admin1Password: 'password',
    admin2Username: 'contour-user2',
    admin2Password: 'password',
    name: 'OU=Corp C, O=Contour - Corp C, L=Singapore, C=SG',
    displayName: 'Corp C',
    address: 'Corp C Address',
    baseUrl: 'https://corpc.#env#.dev.contournetwork.io',
    appVersion: 'v8_1',
    ldapEnabled: false
  },
  banka: {
    makerUsername: 'maker',
    makerPassword: 'password',
    makerCheckerUsername: 'makerchecker',
    makerCheckerPassword: 'password',
    checkerUsername: 'checker',
    checkerPassword: 'password',
    checkerApproverUsername: 'checkerapprover',
    checkerApproverPassword: 'password',
    makerCheckerApproverUsername: 'makercheckerapprover',
    makerCheckerApproverPassword: 'passsword',
    approverUsername: 'approver',
    approverPassword: 'password',
    admin1Username: 'admin',
    admin1Password: 'password',
    admin2Username: 'admin2',
    admin2Password: 'password',
    name: 'OU=Bank A, O=Contour - Bank A, L=Singapore, C=SG',
    displayName: 'Bank A',
    address: `Address, S003`,
    baseUrl: 'https://banka.#env#.dev.contournetwork.io',
    nodeAdminUrl: 'https://banka.#env#.dev.contournetwork.io/ui/nodeadmin/login',
    appVersion: 'v8_1',
    ldapEnabled: false,
    childIdentities: {
      child1: 'Bank A - Child Bank Node - 1',
      child2: 'Bank A - Child Bank Node - 2',
      child3: 'Bank A - Child Bank Node - 3',
      child4: 'Bank A - Child Bank Node - 4',
      child5: 'Bank A - Child Bank Node - 5'
    }
  },
  bankb: {
    makerUsername: 'maker',
    makerPassword: 'password',
    makerCheckerUsername: 'makerchecker',
    makerCheckerPassword: 'password',
    checkerUsername: 'checker',
    checkerPassword: 'password',
    checkerApproverUsername: 'checkerapprover',
    checkerApproverPassword: 'password',
    makerCheckerApproverUsername: 'makercheckerapprover',
    makerCheckerApproverPassword: 'passsword',
    approverUsername: 'approver',
    approverPassword: 'password',
    admin1Username: 'admin',
    admin1Password: 'password',
    admin2Username: 'admin2',
    admin2Password: 'password',
    name: 'OU=Bank B, O=Contour - Bank B, L=Singapore, C=SG',
    displayName: 'Bank B',
    address: `Address, S004`,
    baseUrl: 'https://bankb.#env#.dev.contournetwork.io',
    appVersion: 'v8_1',
    ldapEnabled: false,
    childIdentities: {
      child1: 'Bank B - Child Bank Node - 1',
      child2: 'Bank B - Child Bank Node - 2',
      child3: 'Bank B - Child Bank Node - 3',
      child4: 'Bank B - Child Bank Node - 4',
      child5: 'Bank B - Child Bank Node - 5'
    }
  },
  bankc: {
    makerUsername: 'maker',
    makerPassword: 'password',
    makerCheckerUsername: 'makerchecker',
    makerCheckerPassword: 'password',
    checkerUsername: 'checker',
    checkerPassword: 'password',
    checkerApproverUsername: 'checkerapprover',
    checkerApproverPassword: 'password',
    makerCheckerApproverUsername: 'makercheckerapprover',
    makerCheckerApproverPassword: 'passsword',
    approverUsername: 'approver',
    approverPassword: 'password',
    admin1Username: 'admin',
    admin1Password: 'password',
    admin2Username: 'admin2',
    admin2Password: 'password',
    name: 'OU=Bank C, O=Contour - Bank C, L=Singapore, C=SG',
    displayName: 'Bank C',
    address: `Address, S005`,
    baseUrl: 'https://bankc.#env#.dev.contournetwork.io',
    appVersion: 'v8_1',
    ldapEnabled: true,
    childIdentities: {
      child1: 'Bank C - Child Bank Node - 1',
      child2: 'Bank C - Child Bank Node - 2',
      child3: 'Bank C - Child Bank Node - 3',
      child4: 'Bank C - Child Bank Node - 4',
      child5: 'Bank C - Child Bank Node - 5'
    }
  },
  bankd: {
    makerUsername: 'maker',
    makerPassword: 'password',
    makerCheckerUsername: 'makerchecker',
    makerCheckerPassword: 'password',
    checkerUsername: 'checker',
    checkerPassword: 'password',
    checkerApproverUsername: 'checkerapprover',
    checkerApproverPassword: 'password',
    makerCheckerApproverUsername: 'makercheckerapprover',
    makerCheckerApproverPassword: 'passsword',
    approverUsername: 'approver',
    approverPassword: 'password',
    admin1Username: 'admin',
    admin1Password: 'password',
    admin2Username: 'admin2',
    admin2Password: 'password',
    name: 'OU=Bank D, O=Contour - Bank D, L=Singapore, C=SG',
    displayName: 'Bank D',
    address: `Address, S006`,
    baseUrl: 'https://bankd.#env#.dev.contournetwork.io',
    appVersion: 'v8_1',
    ldapEnabled: false,
    childIdentities: {
      child1: 'Bank D - Child Bank Node - 1',
      child2: 'Bank D - Child Bank Node - 2',
      child3: 'Bank D - Child Bank Node - 3',
      child4: 'Bank D - Child Bank Node - 4',
      child5: 'Bank D - Child Bank Node - 5'
    }
  },
  banke: {
    makerUsername: 'maker',
    makerPassword: 'password',
    makerCheckerUsername: 'makerchecker',
    makerCheckerPassword: 'password',
    checkerUsername: 'checker',
    checkerPassword: 'password',
    checkerApproverUsername: 'checkerapprover',
    checkerApproverPassword: 'password',
    makerCheckerApproverUsername: 'makercheckerapprover',
    makerCheckerApproverPassword: 'passsword',
    approverUsername: 'approver',
    approverPassword: 'password',
    admin1Username: 'contour-user',
    admin1Password: 'password',
    admin2Username: 'contour-user2',
    admin2Password: 'password',
    name: 'OU=Bank E, O=Contour - Bank E, L=Singapore, C=SG',
    displayName: 'Bank E',
    address: 'Bank E Address',
    baseUrl: 'https://banke.#env#.dev.contournetwork.io',
    appVersion: 'v8_1',
    ldapEnabled: false
  },
  bno: {
    contourUsername: 'admin@bno.contour',
    contourPassword: 'password',
    name: '',
    displayName: '',
    address: '',
    baseUrl: 'https://bno.#env#.dev.contournetwork.io',
    appVersion: 'v8_1'
  }
};

export default contour_dev_profile;
