export default {
  default: {
    url: '',
    title: 'Billing',
    locators: {
      billingSubtab: '//nav[@class="nav"]/a[2]',
      startDateInput: '//input[@id="startDate"]',
      endDateInput: '//input[@id="endDate"]',
      startDateLabel: '//label[@for="startDate"]',
      messageHeader: '//form[@class="card-content billing__form"]/h2[@class="vt-row billing__instructions"]',
      datePicker: '//div[@class="react-datepicker__month-container"]',
      submitBtn: '//button[@class="billing__button billing__button--submit"]',
      refreshBtn: '//button[@class="billing__button billing__button--refresh"]',
      messageSubmit: '//p[@data-testid="response"]',
      billingCardHeader: '//div[@class="billing__container"]/h1[@class="card-header"]',
      resultCardHeader: '//div[@class="billing__container"]/h1[@class="billing__header"]',
      billingContent: '//div[@class="billing__container"]/div[@class="card"]/form[@class="card-content billing__form"]',
      resultContent: '//div[@class="card"][2]/div[@class="card-content billing__result"]'
    }
  },
  v8: {
    locators: {}
  },
  v8_1: {
    locators: {}
  }
};
