export default {
  default: {
    url: '',
    title: 'Nodes',
    locators: {
      nodesHeaderText: '//h1[contains(text(),"Nodes")]',
      nodesContainer: '//table',
      nodesListContainer: '//table//tbody',
      nodeSearchInput: '//input[contains(@placeholder, "Search")]',
      nodeRecord: '//tbody/tr[#ROW_NUM#]',
      refreshList: '//span[contains(text(),"Refresh list")]',
      noNodesAvailable: '//span[contains(text(),"No nodes available")]',
      versionSelector: '//button[contains(@class, "Select__StyledSelectDropButton")]//span',
      clearSelected: '//body/div[3]/div[1]/div[1]//div//button//div//span[text()="Clear Selected"]',
      addIdentityButton: '//tbody/tr[#ROW_NUM#]//td[4]//div//button',
      nodeNameLink: '//tbody/tr[#ROW_NUM#]//td[1]//a',
      createIdentityButton: '//button[contains(text(),"Create Identity")]'
    }
  },
  v8: {
    locators: {}
  },
  v8_1: {
    locators: {}
  }
};
