export default {
  default: {
    url: '',
    title: 'Metering',
    locators: {
      meteringSubtab: '//nav[@class="nav"]/a[3]',
      nodeSelect: '//div[@class=" css-1hxme13"]/div[@class=" css-1v7g3kf-control"]',
      startDateInput: '//input[@id="startDate"]',
      endDateInput: '//input[@id="endDate"]',
      startDateLabel: '//label[@for="startDate"]',
      messageHeader: '//form[@class="card-content metering__form"]/h2[@class="vt-row metering__instructions"]',
      nodeListSelect: '//div[@class=" css-1hxme13"]/div[@class=" css-153dqed-menu"]',
      datePicker: '//div[@class="react-datepicker__month-container"]',
      submitBtn: '//button[@class="metering__button metering__button--submit"]',
      refreshBtn: '//button[@class="metering__button metering__button--refresh"]',
      messageSubmit: '//p[@data-testid="response"]',
      meteringCardHeader: '//div[@class="metering__container"]/h1[@class="metering__header"][1]',
      resultCardHeader: '//div[@class="metering__container"]/h1[@class="metering__header"][2]',
      meteringContent: '//div[@class="card"]/form[@class="card-content metering__form"]',
      resultContent: '//div[@class="card"]/div[@class="card-content metering__result"]',
      resultPaging: '//div[@class="metering__container"]/div[@class="metering__paginate"]',
      upPaginate: '//div[@class="metering__paginate"]/div[@class="paginate__container"]/div[2]/button[2]',
      downPaginate: '//div[@class="metering__paginate"]/div[@class="paginate__container"]/div[2]/button[1]'
    }
  },
  v8: {
    locators: {}
  },
  v8_1: {
    locators: {}
  }
};
