export default {
  default: {
    url: '',
    title: '',
    locators: {
      userTabButton: '//a[contains(@href,"users")]',
      addUserButton: '//button[contains(@class,"CreateButton")]',
      nameInput: '(//div[.="名稱"] | //div[.="Name"])/input',
      emailInput: '(//div[.="電郵"] | //div[.="Email"])/input',
      staffIDInput: '(//div[.="名稱"] | //div[.="Staff ID (optional)"])/input',
      contactNumberInput: '(//div[.="名稱"] | //div[.="Contact number (optional)"])/input',
      essDocsSelect: '//div[@data-testid="essDocsUsername"]//div[contains(@class,"react-select-single-select")]',
      userRoleSelect: '//div[contains(@class,"UserProfileForm")]',
      createUserButton: '//button[@data-testid="create"]',
      confirmButton: '//button[@data-testid="confirm-button"]',
      contentPage: '//div[contains(@class,"CompanySettings__TabContainer")]',
      firstPendingUser: '//div[contains(@class,"Elements__ListRow")][1]',
      nameData: '(//div[.="名稱"] | //div[.="Name"])/../div[contains(@class,"FieldData")]',
      userNameData: '(//div[.="名稱"] | //div[.="Username"])/../div[contains(@class,"FieldData")]',
      emailData: '(//div[.="電郵"] | //div[.="Email"])/../div[contains(@class,"FieldData")]',
      verifyButton: '//button[@data-testid="approve"]',
      userProfileSession: '//div[.="User profile"]/..',
      userSettingSession: '//div[.="User settings"]/..',
      userRoleSession: '//div[.="User role"]/..'
    }
  },
  v8: {
    url: '',
    title: '',
    locators: {
      userTabButton: '//a[contains(@href,"users")]',
      addUserButton: '//button[contains(@class,"CreateButton")]',
      nameInput: '(//div[.="名稱"] | //div[.="Name"])/input',
      emailInput: '(//div[.="電郵"] | //div[.="Email"])/input',
      staffIDInput: '(//div[.="名稱"] | //div[.="Staff ID (optional)"])/input',
      contactNumberInput: '(//div[.="名稱"] | //div[.="Contact number (optional)"])/input',
      essDocsSelect: '//div[@data-testid="essDocsUsername"]//div[contains(@class,"react-select-single-select")]',
      userRoleSelect: '//div[contains(@class,"UserProfileForm")]',
      createUserButton: '//button[@data-testid="create"]',
      confirmButton: '//button[@data-testid="confirm-button"]',
      contentPage: '//div[contains(@class,"CompanySettings__TabContainer")]',
      firstPendingUser: '//div[contains(@class,"Elements__ListRow")][1]',
      nameData: '(//div[.="名稱"] | //div[.="Name"])/../div[contains(@class,"FieldData")]',
      userNameData: '(//div[.="名稱"] | //div[.="Username"])/../div[contains(@class,"FieldData")]',
      emailData: '(//div[.="電郵"] | //div[.="Email"])/../div[contains(@class,"FieldData")]',
      verifyButton: '//button[@data-testid="approve"]',
      userProfileSession: '//div[.="User profile"]/..',
      userSettingSession: '//div[.="User settings"]/..',
      userRoleSession: '//div[.="User role"]/..',
      backToContourBtn: '[data-testid="back-to-home-navigator"]'
    }
  }
};
