interface IDCData {
  //CORPORATE
  APPLICANT_ADDRESS: string;
  BENEFICIARY: string;
  BENEFICIARY_ADDRESS: string;

  //BANKS
  ISSUING_BANK: string;
  ISSUING_BANK_ADDRESS: string;
  ALLOW_ISSUE_BANK_MAKE_CHANGES_DIRECTLY: string;
  ADVISING_BANK: string;
  ADVISING_BANK_ADDRESS: string;
  NEW_ADVISING_BANK: string;
  NEW_ADVISING_BANK_ADDRESS: string;
  CONFIRMATION_INSTRUCTION: string;
  CONFIRMING_BANK: string;
  CONFIRMING_BANK_ADDRESS: string;
  NEW_CONFIRMING_BANK: string;
  NEW_CONFIRMING_BANK_ADDRESS: string;

  AVAIABLE_BY_PAYMENT_AT_SIGHT: string;
  AVAIABLE_BY_DEFERRED_PAYMENT: string;
  DEFERRED_PAYMENT_DETAILS: string;
  AVAIABLE_BY_ACCEPTANCE: string;
  ACCEPTANCE_DRAFT_AT: string;
  ACCEPTANCE_DRAWEE_BANK: string;
  ACCEPTANCE_DRAWEE_BANK_ADDRESS: string;

  AVAIABLE_BY_NEGOTIATION: string;
  NEGOTIATION_PAYMENT_DETAILS_CHECK: string;
  NEGOTIATION_PAYMENT_DETAILS: string;
  NEGOTIATION_DRAFT_AT_CHECK: string;
  NEGOTIATION_DRAFTS_AT: string;
  NEGOTIATION_DRAWEE_BANK: string;
  NEGOTIATION_DRAWEE_BANK_ADDRESS: string;

  AVAIABLE_BY_PAYMENT_CONDITIONS: string;

  AVAIABLE_WITH_BANK: string;
  AVAIABLE_WITH_BANK_ADDRESS: string;

  //KEY TERMS
  APPLIABLE_RULES: string;
  DESCRIPTION_OF_APPLICABLE_RULES: string;
  AMOUNT: string;
  SELECTED_CURRENCY: string;
  MAX_TOLERANCE: string;
  MIN_TOLERANCE: string;
  ADDITIONAL_AMOUNT_COVERED: string;
  EXPIRY_DATE_YYMMDD: string;
  EXPIRY_PLACE: string;

  //SHIPMENT DETAIL
  PARTIAL_SHIPMENTS: string;
  TRANSHIPMENT: string;
  SHIPMENT_DATE_PERIOD: string;
  LATEST_DATE_OF_SHIPMENT: string;
  SHIPMENT_PERIOD: string;
  DESCRIPTION_OF_GOODS_SERVICES: string;

  PERIOD_OF_PRESENTATION: string;
  TYPE_OF_PRESENTATION: string;
  PLACE_OF_TAKING: string;
  PORT_OF_LOADING: string;
  PORT_OF_DISCHARGE: string;
  PLACE_OF_FINAL_DESTINATION: string;
  ATTACHMENTS: string;
}
