export default {
  default: {
    url: '',
    title: 'DC Listing',
    locators: {
      dcTable: '//table',
      row1: '//table/tbody//tr[1]',
      row3: '//table/tbody//tr[3]',
      row5: '//table/tbody//tr[5]',
      row1UUID: '//tbody/tr[1]/td[1]/div',
      row1ExpiryDate: '//table/tbody//tr[1]/td[@data-testid="DcTableRow_expiryDate"]',
      createBtn: '//button[.="Create DC"]',
      dcRef: '//div[contains(text(),"#UUID_REF#")]',
      dcBeneficiary: '//div[contains(text(),"#UUID_REF#")]/../../td[3]',
      dcAmount: '//div[contains(text(),"#UUID_REF#")]/../../td[4]',
      dcExpiryDate: '//div[contains(text(),"#UUID_REF#")]/../../td[5]',
      dcExpiryDateRow1: '//table/tbody/tr[1]/td[5]',
      dcMainStatus: '//td[2]/div',
      dcSubStatus: '//td[2]/div/div',
      amendmentMainStatus: '//div[contains(text(),"#UUID_REF#")]/../../td[7]/div[1]/span[1]',
      amendmentSubStatus: '//div[contains(text(),"#UUID_REF#")]/../../td[7]/div[2]',
      dpMainStatus: '(//div[contains(text(),"#UUID_REF#")]/../../td[8]/div)[1]',
      dpSubStatus: '(//div[contains(text(),"#UUID_REF#")]/../../td[8]/div)[2]',
      dcExpiryDateByText: '//td[text() = "#EXPIRY_DATE#"]',
      searchDCInput: '//input[@placeholder="Search reference no. or beneficiary"]',
      searchSubmitButton: '//button[@data-testid="search-submit-button"]',
      noRecordsDisplay: '//tbody[@role = "rowgroup"]//p',
      beneSearchDCInput: '//input[@placeholder="Search reference no. or applicant"]',
      dpPresentationStatus: '(//span[contains(text(),"Ready to present")])[1]',
      pageErrorMessage: '//h2[contains(text(),"Error")]',
      dcImportText: '//h1[contains(text(),"Import DC")]',
      tableBodyRows: 'table[role="table"] > tbody[role="rowgroup"]',
      pagination: '//div[@class="container-home__main"]/div/div[2]/div/div'
    }
  },
  v8: {
    locators: {}
  },
  v8_1: {
    locators: {}
  }
};
