export default {
  default: {
    url: '',
    title: 'DC Details',
    locators: {
      overviewLink: '//div[contains(text(),"Overview")]',
      logExpandArrow:
        '//body/div[@id="root"]/div[1]/div[2]/div[1]/div[2]/div[1]/div[1]/div[3]/div[3]/div[2]/div[2]/div[5]',
      auditLogContainer: '//body/div[@id="root"]/div[1]/div[2]/div[1]/div[2]/div[1]/div[1]/div[3]/div[3]',
      makerOneAuditDate:
        '//body/div[@id="root"]/div[1]/div[2]/div[1]/div[2]/div[1]/div[1]/div[3]/div[3]/div[2]/div[10]/div[3]',
      checkerOneAuditDate:
        '//body/div[@id="root"]/div[1]/div[2]/div[1]/div[2]/div[1]/div[1]/div[3]/div[3]/div[2]/div[9]/div[3]',
      makerTwoAuditDate:
        '//body/div[@id="root"]/div[1]/div[2]/div[1]/div[2]/div[1]/div[1]/div[3]/div[3]/div[2]/div[8]/div[3]',
      checkerTwoAuditDate:
        '//body/div[@id="root"]/div[1]/div[2]/div[1]/div[2]/div[1]/div[1]/div[3]/div[3]/div[2]/div[7]/div[3]',
      approverOneAuditDate:
        '//body/div[@id="root"]/div[1]/div[2]/div[1]/div[2]/div[1]/div[1]/div[3]/div[3]/div[2]/div[6]/div[3]',
      makerThreeAuditDate:
        '//body/div[@id="root"]/div[1]/div[2]/div[1]/div[2]/div[1]/div[1]/div[3]/div[3]/div[2]/div[5]/div[3]',
      checkerThreeAuditDate:
        '//body/div[@id="root"]/div[1]/div[2]/div[1]/div[2]/div[1]/div[1]/div[3]/div[3]/div[2]/div[4]/div[3]',
      approverTwoAuditDate:
        '//body/div[@id="root"]/div[1]/div[2]/div[1]/div[2]/div[1]/div[1]/div[3]/div[3]/div[2]/div[3]/div[3]',
      corpAuditDate:
        '//body/div[@id="root"]/div[1]/div[2]/div[1]/div[2]/div[1]/div[1]/div[3]/div[3]/div[2]/div[11]/div[4]',
      bankAuditDate:
        '//body/div[@id="root"]/div[1]/div[2]/div[1]/div[2]/div[1]/div[1]/div[3]/div[3]/div[2]/div[2]/div[4]',
      adminAuditDate:
        '//body/div[@id="root"]/div[1]/div[2]/div[1]/div[2]/div[1]/div[1]/div[3]/div[3]/div[2]/div[3]/div[3]',
      issBankAuditDate:
        '//body/div[@id="root"]/div[1]/div[2]/div[1]/div[2]/div[1]/div[1]/div[3]/div[3]/div[2]/div[8]/div[4]',
      auditContainer: '//body//div[.="Audit log"]/..',
      //Applicant MCA audit locators
      dateOne: '(//div[@class="AuditLog__DraftCol-sc-1ditex0-4 fuJOyL vt-col is-3"])[1]',
      dateTwo: '(//div[@class="AuditLog__DraftCol-sc-1ditex0-4 fuJOyL vt-col is-3"])[2]',
      dateThree: '(//div[@class="AuditLog__DraftCol-sc-1ditex0-4 fuJOyL vt-col is-3"])[3]',
      dateFour: '(//div[@class="AuditLog__DraftCol-sc-1ditex0-4 fuJOyL vt-col is-3"])[4]',
      dateFive: '(//div[@class="AuditLog__DraftCol-sc-1ditex0-4 fuJOyL vt-col is-3"])[5]',
      dateSix: '(//div[@class="AuditLog__DraftCol-sc-1ditex0-4 fuJOyL vt-col is-3"])[6]',
      dateSeven: '(//div[@class="AuditLog__DraftCol-sc-1ditex0-4 fuJOyL vt-col is-3"])[7]',
      dateEight: '(//div[@class="AuditLog__DraftCol-sc-1ditex0-4 fuJOyL vt-col is-3"])[8]',
      logdateOne: '(//div[@data-testid="AuditLogEntry_date"])[1]',
      logdateTwo: '(//div[@data-testid="AuditLogEntry_date"])[2]',
      logdateThree: '(//div[@data-testid="AuditLogEntry_date"])[3]',
      documentLink: '//table//a[contains(text(),"#OPTION#")]',
      topActionLogStatus: '(//div[@data-testid="AuditLogEntry_actionLog"])[1]',
      createPresentationButton: '//button[normalize-space()="Create Presentation"]',
      presentationLink: '//a[normalize-space()="Presentation 1"]'
    }
  },
  v8: {
    locators: {}
  },
  v8_1: {
    locators: {}
  }
};
