export default {
  default: {
    url: '',
    title: 'DP Overview',
    locators: {
      summaryDetailsSection: '//div[@data-testid="summarySection"]',
      bankSection: '//div[@data-testid = "BankSection"]',
      presentationDetailsSection: '//div[@data-testid="PresentationDetail"]',
      auditLogSection: '//div[@data-testid="auditLogSection"]',
      paymentDueDateSection: '//div[text()="Payment due date (YY/MM/DD)"]/parent::div',
      actionButtonsSection: '//div[@data-testid="actionSection"]',
      drawingAmount: '//input[@data-testid = "amount"]',
      selectDocumentSource:
        '//div[text() = "Documents source" and contains(@class,"FieldTitle")]/..//div[contains(@class,"react-select-single-select")]',
      selectPresentTo: '//div[@data-testid = "PresentationDetail_presentTo"]',
      selectPresentThrough: '//div[@data-testid = "PresentationDetail_presentThrough"]',
      bankReferenceNumber: '//input[@data-testid="BankRow_dcReference"]',
      paymentDueDate: '//div[@class="react-datepicker-wrapper"]',
      bankAddress: '//input[@data-testid="BankRow_address"]'
    }
  },
  v8: {
    locators: {}
  },
  v8_1: {
    locators: {}
  }
};
