export default {
  default: {
    url: '',
    title: '',
    locators: {
      usernameInput: '[data-testid="username"]',
      passwordInput: '[data-testid="password"]',
      loginButton: '.login-form button',
      eyeIcon: '[data-testid="visibility-eye"]',
      forgotUsername: '[data-testid="recover-username"]',
      forgotPasswordLink: '[data-testid="forgot-password"]'
    }
  },
  v8: {
    locators: {
      loginButton: 'button[class*="StyledButton"][type="submit"]',
      eyeIcon: 'svg[aria-label*="Visibility"]'
    }
  },
  v8_1: {
    locators: {
      loginButton: '//form/button[1]'
    }
  }
};
