export default {
  default: {
    url: '',
    title: 'P2P message listing',
    locators: {
      newButton: '//*[name()="svg"][@data-testid="creditThread"]',
      searchButton: '//button[@data-testid="SearchInput-submitButton"]',
      searchInput: '//input[@data-testid="SearchInput-input"]',
      createANewMessageText: '//div[text()="Create a new message"]',
      threadList: '//div[@class="thread-list"]',
      listedMessageRoot: "//div[text()='#P2P_SUBJECT#']/ancestor::div[@data-testid='p2pThread']",
      listedMessageChildSubject: "//div[text()='#P2P_SUBJECT#']",
      listedMessageChildSentDate: '//div[@data-testid="sentDate"]',
      listedMessageChildLastSender: '//div[@data-testid="lastSender"]',
      listedMessageChildDeliveredMessageCount: "//span[@data-testid='deliveredMessageNumber']",
      listedMessageChildPendingMessageCount: "//span[@data-testid='pendingMessageNumber']",
      listedMessageChildPendingIcon: '//*[name()="svg"][@data-testid="pendingMessageIcon"]', //svg
      listedMessageChildDeliveredIcon: '//*[name()="svg"][@data-testid="deliveredMessageIcon"]', //svg
      listedMessageChildAttachmentIcon: "//*[@data-testid='attachmentIcon']", //svg tag
      listedMessageChildOptionButton: '//*[@data-testid="MarkReadDropdown-placeholder"]', //svg tag
      listedMessageChildReadButton: '//div[@data-testid="MarkReadDropdown-option"]'
    }
  },
  v8: {
    locators: {}
  },
  v8_1: {
    locators: {}
  }
};
