import { Button } from '@contour/fet/lib/elements/button';

import { ContourBasePage } from '../../base/basePage';
import locator from './dcSideMenu.locator';

export default class DCSideMenu extends ContourBasePage {
  constructor(url?: string) {
    super(locator, url);
  }

  getOverviewButton() {
    return new Button(this.getLocatorAsString('overview'));
  }

  getDCFormButton() {
    return new Button(this.getLocatorAsString('dcForm'));
  }

  getP2PMessageButton() {
    return new Button(this.getLocatorAsString('p2pMessage'));
  }
}
