import { Button } from '@contour/fet/lib/elements/button';

import { ContourBasePage } from '../../base/basePage';
import { DP_SPECIAL_VALUE } from '../../enum/dp/dpSpecialValue';
import locator from './dpSideMenu.locator';

export default class DPSideMenu extends ContourBasePage {
  constructor(url?: string) {
    super(locator, url);
  }

  getDPNumberTab(no) {
    return new Button(this.getLocatorAsString('dpNumber').replace(DP_SPECIAL_VALUE.DP_NO, no));
  }

  getDCFormButton() {
    return new Button(this.getLocatorAsString('dcForm'));
  }

  getP2PMessageButton() {
    return new Button(this.getLocatorAsString('p2pMessage'));
  }
}
