export default {
  default: {
    url: '',
    title: 'Template List',
    locators: {
      createBlankDcButton: '[href="/ui/requests/create/lc"]',
      createTemplateButton: '//a[contains(@href,"/ui/requests/template/create")]',
      moreTemplatesBtn: '//button[contains(text(),"More templates")] | //button[contains(text(),"Less templates")]',
      manageTemplatesBtn: '=Manage templates',
      savedTemplate:
        '(/html//div[@id="root"]/div/div/div[@class="contour-main vt-col"]/div//div[.="#TEMPLATE_NAME#"]/preceding::a[1])[1]',
      templateOrder: '/html//div[@id="root"]/div/div//div[@class="vt-col"]/div/div/div/div[3]/div[#ORDER#]/div',
      recentDC: '//*[@id="root"]//div[5]/a[#RECENTS_NO#]/div/div[1]/div',
      recentDcByUUID: '[href="/ui/requests/create/lc?dc=#UUID#"] > div',
      templateTitle: '//div[contains(text(),"Title")]//../input',
      templateName: '//*[@id="root"]//div[3]//div[#TEMPLATE_NO#]/a/../div[1]',
      starred:
        '(/html//div[@id="root"]/div/div/div[@class="contour-main vt-col"]/div//div[.="#TEMPLATE_NAME#"]/preceding::a[1])[1]//*[@fill="#AFAFAF"]',
      unStarred:
        '(/html//div[@id="root"]/div/div/div[@class="contour-main vt-col"]/div//div[.="#TEMPLATE_NAME#"]/preceding::a[1])[1]//*[@id="Shape"]',
      searchTemplateInput: '[data-testid="SearchInput-input"]',
      searchSubmitBtn: '[data-testid="SearchInput-submitButton"]',
      noRecordsDisplayed: '//div[2]/div/div/div/div/div/div[2]',
      templateCreationDate: '//*[@id="root"]//div[3]//div[#TEMPLATE_NO#]/a/div/div',
      createButton: '//button[contains(text(),"Create")]',
      managedTemplate:
        '(/html//div[@id="root"]/div/div//div[@class="vt-col"]/div/div/div/div/div[.="#TEMPLATE_NAME#"]/preceding::a[2])[1]',
      deleteTemplateIcon: 'svg:nth-child(3) #Shape',
      confirmDeleteButton: '//button[contains(text(),"Yes, delete")]',
      prioritizeChkBox: '#overlap [type="checkbox"]'
    }
  },
  v8: {
    locators: {}
  },
  v8_1: {
    locators: {}
  }
};
