import envConfig from '../../../../env/env-config';
import { getNodeProfile } from '../../../../env/nodeProfile';
import loginBNOPage from '../../../../pages/BNO/loginBNO.page';

export async function loginToMainBNOPage() {
  const partyCompany = envConfig.defaultParty['bno'];
  const nodeProfile = getNodeProfile(partyCompany);
  const baseUrl = nodeProfile.baseUrl;
  const loginPage = new loginBNOPage(baseUrl);
  const loginName = nodeProfile.contourUsername;
  const loginPassword = nodeProfile.contourPassword;
  await loginPage.loginBNO(loginName, loginPassword);
}
