import { Input } from '@contour/fet/lib/elements';

import scenarioContext from '../../../util/scenarioContext';

export async function setDCSearchInput(searchType: string, page: string, element: string) {
  const searchText = scenarioContext().dc.uuid;
  const searchInputField = new Input(contourfet.getPageElement(page, element));
  if (searchType == 'contour-id') {
    await searchInputField.setInputField(searchText.slice(0, 7));
  }
}
