import DpOverview from '../../../pages/dp/dpOverview.page';
import SubSideMenu from '../../../pages/sideMenu/subSideMenu.page';
import * as stepVariableMap from '../../../util/stepVariableMap';

export async function fillInPresentTo(scenario: string, dataTable: any) {
  const data = dataTable.rowsHash();
  const subSideMenu = new SubSideMenu();
  const dpOverview = new DpOverview();
  const svm = stepVariableMap.getStepVariableMap(scenario);
  const selectPresentTo = dpOverview.getSelectPresentTo();
  await subSideMenu.getSubMenuSubOption('Overview').clickElement();
  await selectPresentTo.selectOptionByVisibleText(svm[data['Present to']]);
}
