import ActionButton from '../../../pages/actionButton/actionButton.page';
import DpNoticeOfCompletion from '../../../pages/dp/dpNoticeOfCompletion.page';

export async function fillNoticeOfCompletenessAndSubmitPresentation(decision: string) {
  const dpNoticeOfCompletion = new DpNoticeOfCompletion();
  const actionButton = new ActionButton();

  if (decision == 'certify presentation is complete') {
    await dpNoticeOfCompletion.getRadioCertifyPresentationComplete().clickElement();
  } else {
    await dpNoticeOfCompletion.getRadioSentByMail().clickElement();
  }

  await actionButton.getSubmitPresentationButton().clickElement();
  await browser.pause(2000);
  await actionButton.getSubmitButton().clickElement();
  await actionButton.getSubmitButton().checkIsDisplayed(true);
}
