import SubSideMenu from '../../../pages/sideMenu/subSideMenu.page';
import { navigateToCurrentDC } from './navigateToCurrentDC';

export async function navigateToAmendmentOrDraftText(party, draftTextOrAmendment, amendmentVal, uniqueIdentifier) {
  const subSideMenu = new SubSideMenu();

  navigateToCurrentDC(party, uniqueIdentifier);

  await subSideMenu.getSubMenuOption('Amendments').clickElement();

  if (draftTextOrAmendment == 'amendment') {
    await subSideMenu.getSubMenuSubOption('Amendment ' + amendmentVal).clickElement();
  } else {
    await subSideMenu.getSubMenuSubOption('Draft Text ' + amendmentVal).clickElement();
  }
}
