import { ContourAlert } from '../../../elements/contourAlert';
import { SECTION } from '../../../enum/navigationSection';
import { loginAndOpenCurrentDC } from '../../login/glue';
import { navigateFromDCToP2PSection } from '../../navigation/glue';
import { clickButtonAtMessageInP2PThread, openP2PThreadFromListing } from './';

export async function loginAndVerfiyP2PMessage(party, role, action, message, subject, documentType) {
  await loginAndOpenCurrentDC(party, role);
  await navigateFromDCToP2PSection(SECTION.P2P_MESSAGE_LISTING, documentType);
  await openP2PThreadFromListing(subject);
  await clickButtonAtMessageInP2PThread(action, message);

  await new ContourAlert().clickButtonByLabelTxt('Confirm');
}
