import P2PMessageListing from '../../../pages/p2p/p2pMessageListing.page';
import * as stepVariableMap from '../../../util/stepVariableMap';

export async function toggleMessageReadStatusAtSubject(subject) {
  const replacedSubject = stepVariableMap.replaceWithSpecialKeyValue(subject);
  const p2pMessageListing = new P2PMessageListing();
  await p2pMessageListing.getMessageBySubject(replacedSubject).moveToElement();

  const optionButton = p2pMessageListing.getListedMessageChildOptionButton(replacedSubject);
  await optionButton.clickElement();

  await p2pMessageListing.getListedMessageChildMarkAsReadOrUnreadButton(replacedSubject).clickElement();
}
