import { Given } from '@cucumber/cucumber';

import * as glue from './glue';

Given(
  /^(issuingBank|confirmingBank|advisingBank|nominatedBank) (maker|makerChecker|admin1|admin2) login and send Notice of discrepancy at DP(\d+) of current DC with the following values$/,
  glue.loginAndSendNoticeOfDiscrepancyAtCurrentDCDP
);

Given(
  /^(issuingBank|confirmingBank|advisingBank|nominatedBank) (maker|checker|approver|makerChecker|checkerApprover|admin1|admin2) login and (Reject|Verify|Approve|Edit) pending (Notice of discrepancy) message at DP(\d+) of current DC$/,
  glue.loginAndReviewMessageAtCurrentDCDP
);
