import SubSideMenu from '../../../pages/sideMenu/subSideMenu.page';

export async function checkSideMenuOption(falseCase: string, type: string, dataTable: any) {
  const data = dataTable.raw();
  const sideMenu = new SubSideMenu();

  for (const element of data) {
    if (element[0] != '') {
      if (type == 'subOption') {
        await sideMenu.getSubMenuSubOption(element[0]).checkIsDisplayed(!!falseCase);
      } else {
        await sideMenu.getSubMenuOption(element[0]).checkIsDisplayed(!!falseCase);
      }
    }
  }
}
