import { Then } from '@cucumber/cucumber';

import * as glue from './glue';

Then(
  /^(applicant|beneficiary|confirmingBank|newConfirmingBank|nominatedBank|issuingBank|advisingBank) completes the following (dc|draft|draftText|amendment|cancellation|DCCancellation|presentation) MCA flow for (sc1|sc2split|sc3split|sc4|sc5|sc11|sc12)$/,
  glue.executeMCAWorkflow
);

Then(
  /^(applicant|beneficiary|issuingBank|confirmingBank|newConfirmingBank|advisingBank|newAdvisingBank|nominatedBank)'s (dc|amendment|draft|draftText|amendment|cancellation|DCCancellation) form with (contour uuid) is loaded with "([^"]+)?"."([^"]+)?" visible$/,
  glue.ensureActionButtonVisibilityInDcForm
);
