import scenarioContext from './scenarioContext';

export function recordLatestGeneraP2PThread(
  subject: string,
  message: string,
  sender: string,
  recipients: string[],
  sentDate: string,
  sentDateTime: string,
  attachments: string[]
) {
  scenarioContext().p2p = {
    subject: subject,
    message: message,
    sender: sender,
    recipients: recipients,
    sentDate: sentDate,
    sentDateTime: sentDateTime,
    attachments: attachments,
    replies: []
  };
}

export function recordLatestGeneraP2PReply(
  message: string,
  sender: string,
  sentDate: string,
  sentDateTime: string,
  attachments: string[]
) {
  const replyMessage = {
    message: message,
    sender: sender,
    sentDate: sentDate,
    sentDateTime: sentDateTime,
    attachments: attachments
  };
  scenarioContext().p2p.replies.push(replyMessage);
}
