@VTX-6259 @Regression
Feature: DC Templates

    Scenario: Validate that adding template to Favourite is unique to user
        Given I setup test scenario context
        And applicant's admin1 login to main page for scenario sc1
        And I navigate to create dc page
        And I fill & Save DC for scenario sc1 with following values
            | Applicant Address                           | #APPLICANT_ADDRESS#       |
            | Beneficiary                                 | #BENEFICIARY#             |
            | Beneficiary Address                         | #BENEFICIARY_ADDRESS#     |
            | Issuing Bank                                | #ISSUING_BANK#            |
            | Issuing Bank Address                        | #ISSUING_BANK_ADDRESS#    |
            | Allow Issuing Bank To Make Changes Directly |                           |
            | Advising Bank                               | #ADVISING_BANK#           |
            | Advising Bank Address                       | #ADVISING_BANK_ADDRESS#   |
            | Confirmation Instructions                   | Without                   |
            | Confirming Bank                             | #CONFIRMING_BANK#         |
            | Confirming Bank Address                     | #CONFIRMING_BANK_ADDRESS# |
            | Available With Bank                         | #NOMINATED_BANK#          |
            | Available With Bank Address                 | #NOMINATED_BANK_ADDRESS#  |
            | Available By Payment At Sight               | Check                     |
            | Applicable Rules                            | eUCP latest version       |
            | Selected Currency                           | USD                       |
            | Amount                                      | 15000.00                  |
            | Max Tolerance (Optional)                    | 15.00                     |
            | Min Tolerance (Optional)                    | 5.00                      |
            | Additional Amount Covered (Option)          |                           |
            | Description Of Goods And/Or Services        | Automation                |
            | Expiry Date (YY/MM/DD)                      | #RANDOM_DATE#             |
            | Expiry Place                                | Hong Kong                 |
            | Partial Shipments (optional)                | Allowed                   |
            | Transhipment (optional)                     | Not allowed               |
            | Shipment Date / Period                      | Latest date of shipment   |
            | Latest Date Of Shipment                     | 2022-12-10                |
            | Attachments                                 | pdfFiles/pdfDC1.pdf       |
        And I save template "DataStore.TemplateName" with priority
        Then importParty navigates to home page
        Then I navigate to create page
        Then template "DataStore.TemplateName" is starred
        And template "DataStore.TemplateName" is listed in order 1

        And applicant's admin2 login to main page for scenario sc1
        And I navigate to create dc page
        Then template "DataStore.TemplateName" is not starred

        Then importParty navigates to home page
        Then I navigate to create page
        And I search for template "DataStore.TemplateName"
        Then template "DataStore.TemplateName" is listed in page

        And I search for template "Invalid"
        And I expect the viewport to match reference "dcTemplate/invalidSearchResults"
