@VTX-6259 @Regression
Feature: DC Templates

    @DCT-5
    Scenario: Create & prioritize template directly under Manage Templates
        Given I setup test scenario context
        Given applicant's admin1 login to main page for scenario sc1
        And I navigate to create page
        And I click on the button "actionButton"."manageTemplatesButton"
        Then I click on the button "templateList"."createTemplateButton"
        And I fill DC for scenario sc1 with following values
            | Applicant Address                           | #APPLICANT_ADDRESS#       |
            | Beneficiary                                 | #BENEFICIARY#             |
            | Beneficiary Address                         | #BENEFICIARY_ADDRESS#     |
            | Issuing Bank                                | #ISSUING_BANK#            |
            | Issuing Bank Address                        | #ISSUING_BANK_ADDRESS#    |
            | Allow Issuing Bank To Make Changes Directly |                           |
            | Advising Bank                               | #ADVISING_BANK#           |
            | Advising Bank Address                       | #ADVISING_BANK_ADDRESS#   |
            | Confirmation Instructions                   | Without                   |
            | Confirming Bank                             | #CONFIRMING_BANK#         |
            | Confirming Bank Address                     | #CONFIRMING_BANK_ADDRESS# |
            | Available With Bank                         | #NOMINATED_BANK#          |
            | Available With Bank Address                 | #NOMINATED_BANK_ADDRESS#  |
            | Available By Payment At Sight               | Check                     |
            | Applicable Rules                            | eUCP latest version       |
            | Selected Currency                           | USD                       |
            | Amount                                      | 15000.00                  |
            | Max Tolerance (Optional)                    | 15.00                     |
            | Min Tolerance (Optional)                    | 5.00                      |
            | Additional Amount Covered (Option)          |                           |
            | Description Of Goods And/Or Services        | Automation                |
            | Expiry Date (YY/MM/DD)                      | #RANDOM_DATE#             |
            | Expiry Place                                | Hong Kong                 |
            | Partial Shipments (optional)                | Allowed                   |
            | Transhipment (optional)                     | Not allowed               |
            | Shipment Date / Period                      | Latest date of shipment   |
            | Latest Date Of Shipment                     | 2022-12-10                |
        Then I click on the button "templateList"."createButton"
        And I save template "DataStore.TemplateName" with priority
        And importParty navigates to home page
        And I navigate to create page
        Then template "DataStore.TemplateName" is listed in order 1

        And I click on the button "actionButton"."manageTemplatesButton"
        Then I open managed template "DataStore.TemplateName"
        Then DC template is pre-filled with the following data
            | applicantAddressInput              | Address, S001, G/F, Lakeside 2, Hong Kong Science Park, Shatin, New Territories, Hong Kong |
            | beneficiary                        | Corp B                                                                                     |
            | beneficiaryAddressInput            | Address, S002, G/F, Lakeside 2, Hong Kong Science Park, Shatin, New Territories, Hong Kong |
            | issuingBank                        | Bank A                                                                                     |
            | issuingBankAddress                 | Address, S003, G/F, Lakeside 2, Hong Kong Science Park, Shatin, New Territories, Hong Kong |
            | advisingBank                       | Bank B                                                                                     |
            | advisingBankAddressInput           | Address, S004, G/F, Lakeside 2, Hong Kong Science Park, Shatin, New Territories, Hong Kong |
            | creditAvailableWith                | Any bank                                                                                   |
            | confirmationInstructions           | Without                                                                                    |
            | amountInput                        | 15 000.00                                                                                  |
            | maxTolerenceInput                  | 15                                                                                         |
            | minTolerenceInput                  | 5                                                                                          |
            | expiryPlaceInput                   | Hong Kong                                                                                  |
            | descriptionOfGoodsAndServicesInput | Automation                                                                                 |
        And I set "Updated Template Address 2" to the inputfield "dcForm"."beneficiaryAddressInput"
        Then I click button with label "Update"
        And I save template "DataStore.TemplateName1" without priority
        Then template "DataStore.TemplateName1" is listed in page

        And I delete the template "DataStore.TemplateName1"
        Then template "DataStore.TemplateName1" is not listed in page
