Feature: DC Issuance E2E sc1 (mixed node versions)
    As a QA, I want to test sc1 - (mixed node versions)

    Scenario: Applicant creates a DC
        Given I setup custom test scenario context
            | partyRole    | party | identity |
            | applicant    | corpa |          |
            | issuingBank  | banka |          |
            | beneficiary  | corpc |          |
            | advisingBank | bankb |          |
        Given applicant created dc for scenario sc1 proceeded by "admin1"

    Scenario: Issuing bank advise DC
        When issuingBank's admin1 login to main page for scenario sc1
        And issuingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."issueButton"
        When I set "Issuance-1" to the inputfield "dcForm"."issuedDcRefenceInput"
        And I set "Additional clause from issuing bank" to the inputfield "dcForm"."additionalConditionsFromIssuingBankInput"
        And I set "Instructions to paying bank" to the inputfield "dcForm"."instructionToPayingBankInput"
        And I click on the button "actionButton"."previewButton" and submit
        Then I can see the dc has main status "Issued"

    Scenario: Advising bank advise DC
        And advisingBank's admin1 login to main page for scenario sc1
        And advisingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."adviseButton"
        When I set "Issuance-1" to the inputfield "dcForm"."advisedDcReferenceInput"
        And I click on the button "actionButton"."previewButton" and submit
        Then I can see the dc has main status "Issued and advised"