Feature: DC Issuance E2E sc11 - API + UI steps
    As a QA, I want to Issue & advise a Multi-Identity DC

    Scenario: Applicant creates a DC
        Given I setup custom test scenario context
            | partyRole       | party | identity |
            | applicant       | corpa | child1   |
            | issuingBank     | banka | child2   |
            | confirmingBank  | bankc | child3   |
            | nominatedBank   | bankd | child4   |
            | advisingBank    | bankb | child5   |
            | beneficiary     | corpb | child2   |
            
        Given applicant created dc for scenario sc11 proceeded by "maker.checkerApprover"
      
      
    Scenario: Issuing bank issues DC
        When issuingBank's admin1 login to main page for scenario sc1
        And issuingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."issueButton"
        When I set "123" to the inputfield "dcForm"."issuedDcRefenceInput"
        And I set "Additional clause from issuing bank" to the inputfield "dcForm"."additionalConditionsFromIssuingBankInput"
        And I set "Instructions to paying bank" to the inputfield "dcForm"."instructionToPayingBankInput"
        And I click on the button "actionButton"."previewButton" and submit
        Then I can see the dc has main status "Issued"

     Scenario: Confirm bank confirm DC
        And confirmingBank's maker login to main page for scenario sc11
        And confirmingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."adviseWithConfirmationButton"
        When I set "123" to the inputfield "dcForm"."confirmedDcReferenceInput"
        And I click on the button "actionButton"."previewButton" and submit
        And confirmingBank's checkerApprover login to main page for scenario sc11
        And confirmingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."verifyButton" and confirm

    Scenario: Nominated bank confirm DC
        And nominatedBank's maker login to main page for scenario sc11
        And nominatedBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."adviseButton"
        When I set "123" to the inputfield "dcForm"."nominatedDcReferenceInput"
        And I click on the button "actionButton"."previewButton" and submit
        And nominatedBank's checkerApprover login to main page for scenario sc11
        And nominatedBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."verifyButton" and confirm

    Scenario: Advising bank advise DC
        And advisingBank's maker login to main page for scenario sc11
        And advisingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."adviseButton"
        When I set "123" to the inputfield "dcForm"."advisedDcReferenceInput"
        And I click on the button "actionButton"."previewButton" and submit
        And advisingBank's checkerApprover login to main page for scenario sc11
        And advisingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."verifyButton" and confirm

