@DCAmendment
@VTX-1881
@AMM-AmendmentDetail
Feature: Amendment Text
    As QA,
    I want to check for amendment Text
    so that each party can see expected amendment text after perform action
    Background: Set up scenario context
    Given I setup test scenario context
    # Scenario: Beneficiary can see party actions
    #     Given following bank performed following action for amendment and advisingBank advised amendment for scenario sc11 proceeded by "maker.checkerApprover"
    #         | confirmingBank | advised with confirmation |
    #         | nominatedBank  | advised                   |
    #     And beneficiary's maker login to main page for scenario sc11
    #     And beneficiary navigate to current amendment 1 using contour uuid
    #     Then I can see the following dc form action on amendment draft text with following values
    #         | Comprehensive Fabric submitted              |
    #         | Good Design Co. Ltd. endorsed               |
    #         | Asia Best Bank issued                       |
    #         | Thorn Valley Bank advised with confirmation |
    #         | StarFerry Bank advised                      |
    #         | Mid-Atlantic Bank advised                   |


    # Scenario: Beneficiary can see previous party action
    #     Given following bank performed following action for amendment and advisingBank advised amendment for scenario sc11 proceeded by "maker.checkerApprover"
    #         | confirmingBank | advised with confirmation |
    #         | nominatedBank  | advised                   |
    #     And beneficiary's maker login to main page for scenario sc11
    #     And beneficiary navigate to current amendment 1 using contour uuid
    #     Then I can see the following dc form action on amendment draft text with following values
    #         | Comprehensive Fabric submitted              |
    #         | Good Design Co. Ltd. endorsed               |
    #         | Asia Best Bank issued                       |
    #         | Thorn Valley Bank advised with confirmation |
    #         | StarFerry Bank advised                      |
    #         | Mid-Atlantic Bank advised                   |
    @VTX-3134
    @VTX-1994
    @AMM-AmendmentDetail-1
    Scenario: Beneficiary can see amendment text
        Given following bank performed following action for amendment and advisingBank advised amendment for scenario sc11 proceeded by "maker.checkerApprover"
            | confirmingBank | advised with confirmation |
            | nominatedBank  | advised                   |
        And beneficiary's maker login to main page for scenario sc11
        And beneficiary navigate to current dc using contour uuid
        Then I open Amendment 1
        Then I can see the following draft text action on amendment draft text with following values
            | Corp A submitted                 |
            | Bank A issued                    |
            | Bank C advised with confirmation |
            | Bank D advised                   |
            | Bank B advised                   |

    @VTX-1994
    @AMM-AmendmentDetail-2
    Scenario: Beneficiary can see updated and old Dc value
        Given following bank performed following action for amendment and advisingBank advised amendment for scenario sc11 proceeded by "maker.checkerApprover"
            | confirmingBank | advised with confirmation |
            | nominatedBank  | advised                   |
        And beneficiary's maker login to main page for scenario sc11
        And beneficiary navigate to current dc using contour uuid
        Then I open Amendment 1

    @VTX-1994
    @AMM-AmendmentDetail-3
    Scenario: Beneficiary can see two buttons: accept and reject button
        Given following bank performed following action for amendment and advisingBank advised amendment for scenario sc11 proceeded by "maker.checkerApprover"
            | confirmingBank | advised with confirmation |
            | nominatedBank  | advised                   |
        And beneficiary's maker login to main page for scenario sc11
        And beneficiary navigate to current dc using contour uuid
        Then I open Amendment 1
        Then I expect that element "actionButton"."acceptButton" is displayed
        And I expect that element "actionButton"."rejectButton" is displayed

    @Retest-AT-1
    @AMM-AmendmentDetail-4
    Scenario: Confirming bank can see parties action
        Given issuingBank issued amendment for scenario sc11 proceeded by "maker.checkerApprover"
        And confirmingBank's maker login to main page for scenario sc11
        When confirmingBank navigate to current amendment 1 using contour uuid
        Then I can see the following dc form action on amendment draft text with following values
            | Corp A submitted              |
            | Bank A issued                 |

    @AMM-AmendmentDetail-5
    Scenario: Confirming bank can see amendment action
        Given issuingBank issued amendment for scenario sc11 proceeded by "maker.checkerApprover"
        And confirmingBank's maker login to main page for scenario sc11
        When confirmingBank navigate to current amendment 1 using contour uuid
        Then I can see the following draft text action on amendment draft text with following values
            | Corp A submitted       |
            | Bank A issued          |

    @AMM-AmendmentDetail-6
    Scenario: Confirming bank can see 3 action buttons
        Given issuingBank issued amendment for scenario sc11 proceeded by "maker.checkerApprover"
        And confirmingBank's maker login to main page for scenario sc11
        When confirmingBank navigate to current amendment 1 using contour uuid
        Then I expect that element "actionButton"."adviseWithConfirmationButton" is displayed
        Then I expect that element "actionButton"."adviseWithoutConfirmationButton" is displayed
        Then I expect that element "actionButton"."rejectButton" is displayed

    # Scenario: Nomianted bank can see parties action
    #     Given following bank performed following action for amendment and confirmingBank advised with confirmation amendment for scenario sc11 proceeded by "maker.checkerApprover"
    #         |  |  |
    #     And nominatedBank's maker login to main page for scenario sc11
    #     And nominatedBank navigate to current amendment 1 using contour uuid
    #     Then I can see the following dc form action on amendment draft text with following values
    #         | Comprehensive Fabric submitted              |
    #         | Good Design Co. Ltd. endorsed               |
    #         | Asia Best Bank issued                       |
    #         | Thorn Valley Bank advised with confirmation |
    #         | StarFerry Bank advised                      |
    #         | Mid-Atlantic Bank advised                   |

    @VTX-1996
    @VTX-1997
    @AMM-AmendmentDetail-7
    Scenario Outline: Nominated bank can see amendment action
        Given following bank performed following action for amendment and confirmingBank <Action> amendment for scenario sc11 proceeded by "maker.checkerApprover"
            |  |  |
        And nominatedBank's maker login to main page for scenario sc11
        And nominatedBank navigate to current amendment 1 using contour uuid
        Then I can see the following draft text action on amendment draft text with following values
            | Corp A submitted       |
            | Bank A issued          |
            | Bank C <Action>        |

        Examples:
            | Action                       |
            | advised with confirmation    |
            | advised without confirmation |

    @VTX-1996
    @VTX-1997
    @AMM-AmendmentDetail-8
    Scenario Outline: Nominated can see changed value for amendment
        Given following bank performed following action for amendment and confirmingBank <Action> amendment for scenario sc11 proceeded by "maker.checkerApprover"
            |  |  |
        And nominatedBank's maker login to main page for scenario sc11
        When nominatedBank navigate to current amendment 1 using contour uuid
        Examples:
            | Action                       |
            | advised with confirmation    |
            | advised without confirmation |

    @VTX-1996
    @VTX-1997
    @AMM-AmendmentDetail-9
    Scenario Outline: Nominated bank review amendment 1: see 2 buttons
        Given following bank performed following action for amendment and confirmingBank <Action> amendment for scenario sc11 proceeded by "maker.checkerApprover"
            |  |  |
        And nominatedBank's maker login to main page for scenario sc11
        And nominatedBank navigate to current amendment 1 using contour uuid
        Then I expect that element "actionButton"."adviseButton" is displayed
        And I expect that element "actionButton"."rejectButton" is displayed

        Examples:
            | Action                       |
            | advised with confirmation    |
            | advised without confirmation |

    # @Retest-AT-2
    @AMM-AmendmentDetail-10
    Scenario: Advising bank can see all parties actions
        Given following bank performed following action for amendment and nominatedBank advised amendment for scenario sc11 proceeded by "maker.checkerApprover"
            | confirmingBank | advised with confirmation |
        And advisingBank's maker login to main page for scenario sc11
        When advisingBank navigate to current amendment 1 using contour uuid
        Then I can see the following dc form action on amendment draft text with following values
            | Corp A submitted                 |
            | Bank A issued                    |
            | Bank C advised with confirmation |
            | Bank D advised                   |

    @VTX-1994
    @AMM-AmendmentDetail-11
    Scenario: Advising bank can see amendment text
        Given following bank performed following action for amendment and nominatedBank advised amendment for scenario sc11 proceeded by "maker.checkerApprover"
            | confirmingBank | advised with confirmation |
        And advisingBank's maker login to main page for scenario sc11
        And advisingBank navigate to current amendment 1 using contour uuid
        Then I can see the following draft text action on amendment draft text with following values
              | Corp A submitted                 |
              | Bank A issued                    |
              | Bank C advised with confirmation |
              | Bank D advised                   |

    @VTX-1994
    @AMM-AmendmentDetail-12
    Scenario: Advising bank can see amended DC form
        Given following bank performed following action for amendment and nominatedBank advised amendment for scenario sc11 proceeded by "maker.checkerApprover"
            | confirmingBank | advised with confirmation |
        And advisingBank's maker login to main page for scenario sc11
        And advisingBank navigate to current amendment 1 using contour uuid


    @VTX-1994
    @AMM-AmendmentDetail-13
    Scenario: Advising bank can see 2 buttons: advise and reject
        Given following bank performed following action for amendment and nominatedBank advised amendment for scenario sc11 proceeded by "maker.checkerApprover"
            | confirmingBank | advised with confirmation |
        And advisingBank's maker login to main page for scenario sc11
        And advisingBank navigate to current amendment 1 using contour uuid
        Then I expect that element "actionButton"."adviseButton" is displayed
        And I expect that element "actionButton"."rejectButton" is displayed

    # Scenario: Nominated bank can see original and updated value after confirming bank reject
    #     Given following bank performed following action for amendment and confirmingBank rejected amendment for scenario sc11 proceeded by "maker.checkerApprover"
    #         |  |  |
    #     And nominatedBank's maker login to main page for scenario sc11
    #     When nominatedBank navigate to current amendment 1 using contour uuid
    #     Then I can see amendment draft text right column with following values
    #         | Applicant Address                                                      | Updated      |
    #         | Beneficiary Address                                                    | Updated      |
    #         | Issuing Bank Address                                                   | Updated      |
    #         | Advising Bank Address                                                  | Updated      |
    #         | Requested Confirmation Party Address                                   | Updated      |
    #         | Nominated Bank Address                                                 | Updated      |
    #         | Amount                                                                 | USD 20000.00 |
    #         | Tolerance                                                              | +30% to -30% |
    #         | Additional amount covered (optional)                                   | Updated      |
    #         | Expiry Date                                                            | 25/01/01     |
    #         | Expiry Place                                                           | Updated      |
    #         | Partial Shipments                                                      | Not allowed  |
    #         | Transhipment                                                           | Conditional  |
    #         | Shipment Period                                                        | 20           |
    #         | Description of Goods and / or Services                                 | Updated      |
    #         | Period of Presentation                                                 | 321          |
    #         | Type of Presentation                                                   | Updated      |
    #         | Place of Taking in Charge / Dispatch form / Place of Receipt           | Updated      |
    #         | Port of Loading / Airport of Departure                                 | Updated      |
    #         | Port of Discharge / Airport of Destination                             | Updated      |
    #         | Place of Final Destination / For Transportation to / Place of Delivery | Updated      |
    #     And I can see amendment draft text left column with following values for sc11
    #         | Applicant Address                                                      | #APPLICANT_ADDRESS#                                                               |
    #         | Beneficiary Address                                                    | #BENEFICIARY_ADDRESS#                                                             |
    #         | Issuing Bank Address                                                   | #ISSUING_BANK_ADDRESS#                                                            |
    #         | Advising Bank Address                                                  | #ADVISING_BANK_ADDRESS#                                                           |
    #         | Requested Confirmation Party Address                                   | #CONFIRMING_BANK_ADDRESS#                                                         |
    #         | Nominated Bank Address                                                 | #NOMINATED_BANK_ADDRESS#                                                          |
    #         | Amount                                                                 | USD 10000.00                                                                      |
    #         | Tolerance                                                              | +15% to -5%                                                                       |
    #         | Additional amount covered (optional)                                   | Additional Amount Covered (Option)                                                |
    #         | Expiry Date                                                            | #RANDOM_DATE (YY/MM/DD)#                                                          |
    #         | Expiry Place                                                           | Hong Kong                                                                         |
    #         | Partial Shipments                                                      | Allowed                                                                           |
    #         | Transhipment                                                           | Not allowed                                                                       |
    #         | Shipment Period                                                        | 12                                                                                |
    #         | Description of Goods and / or Services                                 | Automation                                                                        |
    #         | Period of Presentation                                                 | 123                                                                               |
    #         | Type of Presentation                                                   | 123                                                                               |
    #         | Place of Taking in Charge / Dispatch form / Place of Receipt           | Place Of Taking In Charge / Dispatch Form / Place Of Receipt (optional)           |
    #         | Port of Loading / Airport of Departure                                 | Port Of Loading / Airport Of Departure (optional)                                 |
    #         | Port of Discharge / Airport of Destination                             | Port Of Discharge / Airport Of Destination (optional)                             |
    #         | Place of Final Destination / For Transportation to / Place of Delivery | Place Of Final Destination / For Transportation To / Place Of Delivery (optional) |

    # Scenario: Nominated bank can see all parties action after confirming bank reject
    #     Given following bank performed following action for amendment and confirmingBank rejected amendment for scenario sc11 proceeded by "maker.checkerApprover"
    #         |  |  |
    #     And nominatedBank's maker login to main page for scenario sc11
    #     And nominatedBank navigate to current amendment 1 using contour uuid
    #     Then I can see the following dc form action on amendment draft text with following values
    #         | Comprehensive Fabric submitted              |
    #         | Good Design Co. Ltd. endorsed               |
    #         | Asia Best Bank issued                       |
    #         | Thorn Valley Bank advised with confirmation |
    #         | StarFerry Bank advised                      |
    #         | Mid-Atlantic Bank advised                   |

    @VTX-1998
    @AMM-AmendmentDetail-14
    Scenario: Nominated bank can see amendment text after confirming bank reject
        Given following bank performed following action for amendment and confirmingBank rejected amendment for scenario sc11 proceeded by "maker.checkerApprover"
            |  |  |
        And nominatedBank's maker login to main page for scenario sc11
        When nominatedBank navigate to current amendment 1 using contour uuid
        Then I can see the following draft text action on amendment draft text with following values
            | Corp A submitted |
            | Bank A issued    |
            | Bank C rejected  |

    @VTX-1995
    @AMM-AmendmentDetail-15
    Scenario: Advising bank can see amendment text after nominated bank reject
        Given following bank performed following action for amendment and nominatedBank rejected amendment for scenario sc11 proceeded by "maker.checkerApprover"
            | confirmingBank | rejected |
        And advisingBank's maker login to main page for scenario sc11
        And advisingBank navigate to current amendment 1 using contour uuid
        Then I can see the following draft text action on amendment draft text with following values
             | Corp A submitted |
             | Bank A issued    |
             | Bank C rejected  |
             | Bank D rejected  |

    @VTX-1994
    @AMM-AmendmentDetail-16
    Scenario: Advising bank can see original DC value and updated value after nominated bank reject
        Given following bank performed following action for amendment and nominatedBank rejected amendment for scenario sc11 proceeded by "maker.checkerApprover"
            | confirmingBank | rejected |
        And advisingBank's maker login to main page for scenario sc11
        And advisingBank navigate to current amendment 1 using contour uuid