@DCAmendment
@VTX-1991
@VTX-1989
Feature: Applicant/Beneficiary workflow (Applicant/Beneficiary reject amendment)

    As an Applicant,
    I would like to reject amendment applications received and initiated from the Beneficiary,
    where the Beneficiary can then discard the application.

    As a Beneficiary,
    I would like to reject amendment applications received and initiated from the Applicant,
    where the Applicant can then discard the application.

    Background: Set up scenario context
        Given I setup test scenario context

    @AMM-Workflow-ApplicantReject-1
    Scenario Outline: Applicant / beneficiary can reject amendment
        Given <Previous Party> created amendment for scenario sc11 <Previous Party Action> proceeded by "admin1"
        And <Action Party>'s admin1 login to main page for scenario sc11
        And <Action Party> navigate to current dc using contour uuid
        Then I open Draft Text 1
        When I click on the button "actionButton"."rejectButton" and submit
        And <Previous Party>'s maker login to main page for scenario sc11
        And <Previous Party> navigate to current draft text 1 using contour uuid
        Then I expect that element "actionButton"."discardButton" is displayed

        Examples:
            | Previous Party | Previous Party Action | Action Party |
            | beneficiary    | submit to applicant   | applicant    |
            | applicant      | submit to beneficiary | beneficiary  |

    @AMM-Workflow-ApplicantReject-2
    Scenario Outline: Beneficiary / applicant can discard amendment after applicant / beneficiary reject
        Given <Action Party> rejected amendment for scenario sc11 proceeded by "admin1"
        And <Next Party>'s admin1 login to main page for scenario sc11
        And <Next Party> navigate to current dc using contour uuid
        Then I open Draft Text 1
        When I click on the button "actionButton"."discardButton" and submit
        Then I can see the dc has amendment status "Discarded"

        Examples:
            | Action Party | Next Party  |
            | applicant    | beneficiary |
            | beneficiary  | applicant   |

