@DCIssuance
Feature: Dc form

    As QA,
    I want to check for the Dc form
    so user can create valid DC

    Background: Set up scenario context
        Given I setup test scenario context

    @VTX-3551
    Scenario: User can see orange alert with blank fields after filling in beneficiary and issuing bank only
        Given applicant's maker login to main page for scenario sc1
        And I navigate to create dc page
        When I pick "Good Design Co. Ltd." to the contourSelect "dcForm"."beneficiary"
        And I pick "Asia Best Bank" to the contourSelect "dcForm"."issuingBank"
        When I click on the button "actionButton"."sendToBeneficiaryButton"
        Then I expect the element "hint"."warningNotification" to match reference "dc_form/orangeAlertOnlyBeneAndIssBankFilled"

    @VTX-3551
    Scenario: User can see closed form after filling in beneficiary and issuing bank only
        Given applicant's maker login to main page for scenario sc1
        And I navigate to create dc page
        When I pick "Good Design Co. Ltd." to the contourSelect "dcForm"."beneficiary"
        And I pick "Asia Best Bank" to the contourSelect "dcForm"."issuingBank"
        When I click on the button "actionButton"."sendToBeneficiaryButton"
        And I close the hint message "hint"."warningNotification"
        Then I expect the document to match reference "dc_form/closedForm" while hiding element "dcForm"."expiryDate"

    @VTX-3551
    Scenario: User can click cancel to re-edit the form
        Given applicant's maker login to main page for scenario sc1
        And I navigate to create dc page
        When I pick "Good Design Co. Ltd." to the contourSelect "dcForm"."beneficiary"
        And I pick "Asia Best Bank" to the contourSelect "dcForm"."issuingBank"
        When I click on the button "actionButton"."sendToBeneficiaryButton"
        And I click on the button "actionButton"."backButton"
        Then I expect the document to match reference "dc_form/openedFormWithOrangeAlert"

    @VTX-3551
    Scenario: User can see open form after clicking cancel
        Given applicant's maker login to main page for scenario sc1
        And I navigate to create dc page
        When I pick "Good Design Co. Ltd." to the contourSelect "dcForm"."beneficiary"
        And I pick "Asia Best Bank" to the contourSelect "dcForm"."issuingBank"
        When I click on the button "actionButton"."sendToBeneficiaryButton"
        And I click on the button "actionButton"."backButton"
        And I close the hint message "hint"."warningNotification"
        Then I can see the page as following screenshots
            | page   | element                  | refImage                               |
            | dcForm | corporatesContainer      | dc_form/openedcorporatesContainer      |
            | dcForm | banksContainer           | dc_form/openedbanksContainer           |
            | dcForm | shipmentDetailsContainer | dc_form/openedshipmentDetailsContainer |
            | dcForm | dcDetailsContainer       | dc_form/openeddcDetailsContainer       |
            | dcForm | attachmentsContainer     | dc_form/openedattachmentsContainer     |
        And I scroll to element "dcForm"."keyTermsContainer"
        And I expect the element "dcForm"."keyTermsContainer" to match reference "dc_form/openedkeyTermsContainer" while hiding element "dcForm"."expiryDate"
