Feature: DC Issuance (Happy) Feature

    As a QA,
    I want to create DC and check each steps
    so that DC can be submitted with expected value

    Background: Clear random date and setup test scenario context
        Given I setup test scenario context

    @ISS_FLOW_C1T13a
    Scenario Outline: Confirming bank maker advise with / without confirmation
        Given issuingBank issued dc for scenario sc5 proceeded by "maker.checkerApprover"
        And confirmingBank's maker login to main page for scenario sc5
        And confirmingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."<Advise Option Button>"
        When I set "123" to the inputfield "dcForm"."confirmedDcReferenceInput"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        And I expect that element "actionButton"."submitButton" does not exist
        And confirmingBank's checkerApprover login to main page for scenario sc5
        And confirmingBank navigate to current dc using contour uuid
        Then I can see the page as following screenshots
            | page   | element                  | refImage                                                                          |
            | dcForm | corporatesContainer      | dc_issuance_happy/ISS_FLOW_C1T13a/<Advise Option Button>/corporatesContainer      |
            | dcForm | banksContainer           | dc_issuance_happy/ISS_FLOW_C1T13a/<Advise Option Button>/banksContainer           |
            | dcForm | keyTermsContainer        | dc_issuance_happy/ISS_FLOW_C1T13a/<Advise Option Button>/keyTermsContainer        |
            | dcForm | shipmentDetailsContainer | dc_issuance_happy/ISS_FLOW_C1T13a/<Advise Option Button>/shipmentDetailsContainer |
            | dcForm | dcDetailsContainer       | dc_issuance_happy/ISS_FLOW_C1T13a/<Advise Option Button>/dcDetailsContainer       |
            | dcForm | attachmentsContainer     | dc_issuance_happy/ISS_FLOW_C1T13a/<Advise Option Button>/attachmentsContainer     |
        Examples:
            | Advise Option Button            |
            | adviseWithConfirmationButton    |
            | adviseWithoutConfirmationButton |

    @ISS_FLOW_C1T14a
    Scenario Outline: Confirming Bank checker / checker-approver verified
        Given confirmingBank <Action> dc for scenario sc5 proceeded by "maker"
        And confirmingBank's checkerApprover login to main page for scenario sc5
        And confirmingBank navigate to current dc using contour uuid
        When I click on the button "actionButton"."verifyButton"
        And I click on the button "actionButton"."confirmButton"
        And I expect that element "actionButton"."verifyButton" does not exist
        Then I can see the dc has sub status "Advising bank to review"
        And advisingBank's maker login to main page for scenario sc1
        And advisingBank navigate to current dc using contour uuid
        Then I can see the page as following screenshots
            | page   | element                   | refImage                                                             |
            | dcForm | corporatesContainer       | dc_issuance_happy/ISS_FLOW_C1T14a/<Action>/corporatesContainer       |
            | dcForm | banksContainer            | dc_issuance_happy/ISS_FLOW_C1T14a/<Action>/banksContainer            |
            | dcForm | keyTermsContainer         | dc_issuance_happy/ISS_FLOW_C1T14a/<Action>/keyTermsContainer         |
            | dcForm | shipmentDetailsContainer  | dc_issuance_happy/ISS_FLOW_C1T14a/<Action>/shipmentDetailsContainer  |
            | dcForm | dcDetailsContainer        | dc_issuance_happy/ISS_FLOW_C1T14a/<Action>/dcDetailsContainer        |
            | dcForm | attachmentsContainer      | dc_issuance_happy/ISS_FLOW_C1T14a/<Action>/attachmentsContainer      |
            | dcForm | internalCommentsContainer | dc_issuance_happy/ISS_FLOW_C1T14a/<Action>/internalCommentsContainer |
        Examples:
            | Action                       |
            | advised with confirmation    |
            | advised without confirmation |
