Feature: DC Issuance (Happy) Feature

    As a QA,
    I want to create DC and check each steps
    so that DC can be submitted with expected value

    Background: Clear random date and setup test scenario context
        Given I setup test scenario context

    @ISS_FLOW_C1T10a
    Scenario: Issuing bank's maker input
        Given applicant created dc for scenario sc1 proceeded by "admin1"
        And issuingBank's maker login to main page for scenario sc1
        And issuingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."issueButton"
        When I set "123" to the inputfield "dcForm"."issuedDcRefenceInput"
        And I set "Additional clause from issuing bank" to the inputfield "dcForm"."additionalConditionsFromIssuingBankInput"
        And I set "Instructions to paying bank" to the inputfield "dcForm"."instructionToPayingBankInput"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        And I expect that element "actionButton"."submitButton" does not exist
        And issuingBank's maker login to main page for scenario sc1
        And issuingBank navigate to current dc using contour uuid
        Then I can see the page as following screenshots
            | page   | element                  | refImage                                                   |
            | dcForm | corporatesContainer      | dc_issuance_happy/ISS_FLOW_C1T10a/corporatesContainer      |
            | dcForm | banksContainer           | dc_issuance_happy/ISS_FLOW_C1T10a/banksContainer           |
            | dcForm | keyTermsContainer        | dc_issuance_happy/ISS_FLOW_C1T10a/keyTermsContainer        |
            | dcForm | shipmentDetailsContainer | dc_issuance_happy/ISS_FLOW_C1T10a/shipmentDetailsContainer |
            | dcForm | dcDetailsContainer       | dc_issuance_happy/ISS_FLOW_C1T10a/dcDetailsContainer       |
            | dcForm | attachmentsContainer     | dc_issuance_happy/ISS_FLOW_C1T10a/attachmentsContainer     |

    @ISS_FLOW_C1T11a
    Scenario: Issuing Bank's checker-approver verify
        Given issuingBank issued dc for scenario sc1 proceeded by "maker"
        And issuingBank's checkerApprover login to main page for scenario sc1
        And issuingBank navigate to current dc using contour uuid
        When I click on the button "actionButton"."verifyButton"
        And I click on the button "actionButton"."confirmButton"
        And I expect that element "actionButton"."verifyButton" does not exist
        Then I can see the dc has sub status "Advising bank to review"
        And advisingBank's maker login to main page for scenario sc1
        And advisingBank navigate to current dc using contour uuid
        Then I can see the page as following screenshots
            | page   | element                  | refImage                                                   |
            | dcForm | corporatesContainer      | dc_issuance_happy/ISS_FLOW_C1T11a/corporatesContainer      |
            | dcForm | banksContainer           | dc_issuance_happy/ISS_FLOW_C1T11a/banksContainer           |
            | dcForm | keyTermsContainer        | dc_issuance_happy/ISS_FLOW_C1T11a/keyTermsContainer        |
            | dcForm | shipmentDetailsContainer | dc_issuance_happy/ISS_FLOW_C1T11a/shipmentDetailsContainer |
            | dcForm | dcDetailsContainer       | dc_issuance_happy/ISS_FLOW_C1T11a/dcDetailsContainer       |
            | dcForm | attachmentsContainer     | dc_issuance_happy/ISS_FLOW_C1T11a/attachmentsContainer     |