Feature:Verify Ready to Present status scenarios for DP
    7.0DP1_2 - I want to test  when Beneficiary can/cant view Ready to Present status in the landing page

    Background: Issue and advise a DC to prompt beneficiary to present a DP
        Given I setup test scenario context

    Scenario Outline: Beneficiary can see Ready to Present in the Presentation Status when DC is issued and advised/rejected
        And advisingBank <action> dc for scenario sc1 proceeded by "maker.checkerApprover"
        Given beneficiary's maker login to main page for scenario sc1
        Then I click on the element "sideMenu"."dcExport"
        When I set contour-id to the inputfield "dcListing"."beneSearchDCInput"
        Then I press the enter key
        Then the element "dcListing"."dpPresentationStatus" <exist>
        Examples:
            | action   | exist      |
            | advised  | does exist |
            | rejected | does exist |

    Scenario: Beneficiary cannot see Ready to Present in the Presentation Status when Dc is not fully issued and advised/rejected

        And applicant created dc for scenario sc1 proceeded by "maker.checkerApprover"
        Given beneficiary's maker login to main page for scenario sc1
        Then I click on the element "sideMenu"."dcExport"
        When I set contour-id to the inputfield "dcListing"."beneSearchDCInput"
        Then I press the enter key
        Then the element "dcListing"."dpPresentationStatus" does not exist

        And issuingBank issued dc for scenario sc1 proceeded by "maker.checkerApprover"
        Given beneficiary's maker login to main page for scenario sc1
        Then I click on the element "sideMenu"."dcExport"
        When I set contour-id to the inputfield "dcListing"."beneSearchDCInput"
        Then I press the enter key
        Then the element "dcListing"."dpPresentationStatus" does not exist

        And confirmingBank advised without confirmation dc for scenario sc11 proceeded by "maker.checkerApprover"
        Given beneficiary's maker login to main page for scenario sc1
        Then I click on the element "sideMenu"."dcExport"
        When I set contour-id to the inputfield "dcListing"."beneSearchDCInput"
        Then I press the enter key
        Then the element "dcListing"."dpPresentationStatus" does not exist

        And nominatedBank advised dc for scenario sc11 proceeded by "maker.checkerApprover"
        Given beneficiary's maker login to main page for scenario sc1
        Then I click on the element "sideMenu"."dcExport"
        When I set contour-id to the inputfield "dcListing"."beneSearchDCInput"
        Then I press the enter key
        Then the element "dcListing"."dpPresentationStatus" does not exist

    Scenario: Beneficiary cannot see Ready to Present in the Presentation Status when Beneficiary requests for confirmation
        And confirmingBank advised without confirmation dc for scenario sc5 proceeded by "maker.checkerApprover"
        And advisingBank's admin1 login to main page for scenario sc5
        And advisingBank navigate to current dc using contour uuid
        And I wait for element "actionButton"."adviseButton" to be visible
        And I click on the button "actionButton"."adviseButton"
        When I set "Adv Bank" to the inputfield "dcForm"."advisedDcReferenceInput"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        Then exportParty refreshes the browser until the main status matches the text "Issued and advised"

        And beneficiary's admin1 login to main page for scenario sc5
        And beneficiary navigate to current dc using contour uuid
        And I wait for element "actionButton"."requestConfirmationButton" to be visible
        And I click on the button "actionButton"."requestConfirmationButton"
        And I click on the button "actionButton"."submitButton"
        Then exportParty refreshes the browser until the main status matches the text "Issued and advised"

        When I set contour-id to the inputfield "dcListing"."beneSearchDCInput"
        Then I press the enter key
        Then the element "dcListing"."dpPresentationStatus" does not exist

    Scenario: Beneficiary cannot see Ready to Present in the Presentation Status when there is an exisiting DP for a DC
        Given beneficiary present DP to "issuingBank" through "null" at dc sc11
        Given beneficiary's maker login to main page for scenario sc11
        Then I click on the element "sideMenu"."dcExport"
        When I set contour-id to the inputfield "dcListing"."beneSearchDCInput"
        Then I press the enter key
        Then the element "dcListing"."dpPresentationStatus" does not exist






