@DCPresentation
Feature: Issuing bank's approver role can approve DP acceptance verified by a checker role account.

    -Issuing bank's approver role account can approve DP acceptance verified by a checker role account.
    -If the DC has no Nominated bank specified and “Present To” is Issuing bank, Issuing bank has to act as nominated bank first, then issuing bank

    Background: Setup scenario context
        Given I setup test scenario context

    @VTX-1812
    @DP-IssuingBank-Approve-1
    Scenario: Issuing bank's approver role account can approve pending DP acceptance verified by checker
        #If the DC has no Nominated bank specified and “Present To” is Issuing bank, Issuing bank has to act as nominated bank first, then issuing bank
        Given beneficiary present DP to "issuingBank" through "null" at dc sc1
        Given issuingBank's admin1 login to main page for scenario sc1
        Then I click on the element "sideMenu"."dcExport"
        And issuingBank navigate to current dc using contour uuid
        And I click sub side menu option "DP 1"
        And I set "NominatedBankRef" to the inputfield "dpOverview"."bankReferenceNumber"
        And I click on the button "actionButton"."forwardButton"
        And I click sub side menu sub-option "Cover letter by Nominated bank"
        Then the element "dpInvoice"."principalAmount" is empty
        When I set "10001" to the inputfield "dpInvoice"."principalAmount"
        And I click on the button "actionButton"."saveButton"
        Then the element "dpInvoice"."errorMessage" contains the text "Please complete the cover letter"
        When I set "101" to the inputfield "dpInvoice"."totalAmount"
        And I click on the button "actionButton"."saveButton"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        Then I can see the dc has dp status "Bank review"
        And issuingBank maker login and Accept DP1 at current DC
        And issuingBank checker login and Verify pending DP1 at current DC
        And issuingBank approver login and open DP1 at current DC
        When I click on the button "actionButton"."approveButton" and confirm
        Then I can see the dc has dp status "Accepted"
        And I can see the dc has dp sub status "Your Maker to review"

    @VTX-1812
    @DP-IssuingBank-Approve-2
    Scenario Outline: After DP acceptance has been approved by approver role account, maker role accounts can see UI to set payment due date.
        #If the DC has no Nominated bank specified and “Present To” is Issuing bank, Issuing bank has to act as nominated bank first, then issuing bank
        Given beneficiary present DP to "issuingBank" through "null" at dc sc1
        Given issuingBank's admin1 login to main page for scenario sc1
        Then I click on the element "sideMenu"."dcExport"
        And issuingBank navigate to current dc using contour uuid
        And I click sub side menu option "DP 1"
        And I set "NominatedBankRef" to the inputfield "dpOverview"."bankReferenceNumber"
        And I click on the button "actionButton"."forwardButton"
        And I click sub side menu sub-option "Cover letter by Nominated bank"
        Then the element "dpInvoice"."principalAmount" is empty
        When I set "10001" to the inputfield "dpInvoice"."principalAmount"
        And I click on the button "actionButton"."saveButton"
        Then the element "dpInvoice"."errorMessage" contains the text "Please complete the cover letter"
        When I set "101" to the inputfield "dpInvoice"."totalAmount"
        And I click on the button "actionButton"."saveButton"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        Then I can see the dc has dp status "Bank review"
        And issuingBank admin1 login and Accept DP1 at current DC
        Then I can see the dc has dp status "Accepted"
        And I can see the dc has dp sub status "Please review"
        And <ViewParty> <ViewRole> login and open DP1 at current DC
        Then I expect the element "dpOverview"."paymentDueDateSection" to match reference "<VRRef>"
        Examples:
            | ViewParty   | ViewRole | VRRef                                                             |
            | issuingBank | maker    | dp/dp-issuingBank-approve-2/issuingBank/setPaymentDueDateEnabled  |
            | beneficiary | maker    | dp/dp-issuingBank-approve-2/beneficiary/setPaymentDueDateDisabled |
