@P2PMsg
@VTX-2636
Feature: checker and approver role user can reject a pending general p2p message, then maker can discard the message

  As a user any role of applicant, beneficiary, issuing bank, advising bank, nominated bank, or requested confirmation party,
  I would like to view and vierfy general p2p message

  Background: Setup dc for p2p testing
    Given I setup test scenario context
    And issuingBank issued dc for scenario sc1 proceeded by "admin1"

  @P2PDC-Creation-Reject-1
  Scenario Outline: all party's checker and approver role can add internal comment when rejects a message submited by maker
    Given <CreateThreadParty> <CreateRole> login and open current dc
    And I am at New p2p message under DC
    And I select message type as General message
    When I create p2p General message with the following values
      | Subject | test subject #SHORT_UUID# |
      | To      | applicant,beneficiary     |
      | Message | test message              |
    When I pause for 3000ms
    Given <CreateThreadParty> <VerifyRole> login and open current dc
    And I am at P2P message listing under DC
    When I open p2p message which has subject "#P2P_LATEST_SUBJECT#" from listing
    And I click on the button Reject at message "#P2P_LATEST_MESSAGE#"
    When I set "<RejectComment>" to the inputfield "rejectPopup"."commentInput"
    When I click on the button "rejectPopup"."confirmButton"
    Then I can view body of General message and see the following messages
      | UI Type       | Sender              | Message      | Attachment | Buttons | Have Reject Label | Reject Comment |
      | #PENDING_BAR# |                     |              |            |         |                   |                |
      | #MY_BUBBLE#   | <CreateThreadParty> | test message |            |         | #YES#             | reject reason  |
    Examples:
      | CreateThreadParty | CreateRole   | VerifyRole      | RejectComment |
      | applicant         | maker        | checker         | reject reason |
      | applicant         | maker        | checkerApprover | reject reason |
      | applicant         | makerChecker | approver        | reject reason |

 @P2PDC-Creation-Reject-2
  Scenario Outline: all party's maker role can see internal comment, edit button, and dicard buton at rejected message
    Given <CreateThreadParty> <CreateRole> login and open current dc
    And I am at New p2p message under DC
    And I select message type as General message
    When I create p2p General message with the following values
      | Subject | test subject #SHORT_UUID# |
      | To      | applicant,beneficiary     |
      | Message | test message              |
    When I pause for 3000ms
    Given <CreateThreadParty> <VerifyRole> login and open current dc
    And I am at P2P message listing under DC
    When I open p2p message which has subject "#P2P_LATEST_SUBJECT#" from listing
    And I click on the button Reject at message "#P2P_LATEST_MESSAGE#"
    When I set "<RejectComment>" to the inputfield "rejectPopup"."commentInput"
    When I click on the button "rejectPopup"."confirmButton"
    Given <CreateThreadParty> <CreateRole> login and open current dc
    And I am at P2P message listing under DC
    When I open p2p message which has subject "#P2P_LATEST_SUBJECT#" from listing
    Then I can view body of General message and see the following messages
      | UI Type       | Sender              | Message      | Attachment | Buttons                        | Have Reject Label | Reject Comment |
      | #PENDING_BAR# |                     |              |            |                                |                   |                |
      | #MY_BUBBLE#   | <CreateThreadParty> | test message |            | #EDIT_BUTTON#,#DISCARD_BUTTON# | #YES#             | reject reason  |
    Examples:
      | CreateThreadParty | CreateRole   | VerifyRole      | RejectComment |
      | applicant         | maker        | checker         | reject reason |
      | applicant         | maker        | checkerApprover | reject reason |
      | applicant         | makerChecker | approver        | reject reason |

 @P2PDC-Creation-Reject-3
  Scenario Outline: all party's maker role can discard rejected message
    Given <CreateThreadParty> <CreateThreadRole> login and open current dc
    And I am at New p2p message under DC
    And I select message type as General message
    When I create p2p General message with the following values
      | Subject | test subject #SHORT_UUID# |
      | To      | applicant,beneficiary     |
      | Message | test message              |
    When I pause for 3000ms
    Given <CreateThreadParty> <VerifyThreadRole> login and open current dc
    And I am at P2P message listing under DC
    When I open p2p message which has subject "#P2P_LATEST_SUBJECT#" from listing
    And I click on the button Reject at message "#P2P_LATEST_MESSAGE#"
    When I click on the button "rejectPopup"."confirmButton"
    Given <CreateThreadParty> <CreateThreadRole> login and open current dc
    And I am at P2P message listing under DC
    When I open p2p message which has subject "#P2P_LATEST_SUBJECT#" from listing
    And I click on the button Discard at message "#P2P_LATEST_MESSAGE#"
    And I click on the button "discardPopup"."confirmButton"
    Then I cannot see p2p General message which has subject "#P2P_LATEST_SUBJECT#" from listing
    Examples:
      | CreateThreadParty | CreateThreadRole | VerifyThreadRole | RejectComment |
      | applicant         | maker            | checker          | reject reason |
      | applicant         | makerChecker     | approver         | reject reason |


