@P2PMsg
@VTX-1812
Feature: Approver role accounts can view and approve Notice of decrepancy

    Approver rol account can view and approve Notice of discrepancy

    Background: Beneficiary submit DP to nominated bank
        Given I setup test scenario context
        And beneficiary present DP to "issuingBank" through "null" at dc sc1

    @P2PNod-Creation-Approve-1
    Scenario Outline: Only approver role accounts can see UI for approving a pending Notice of discrepancy
        Given <SendParty> <SendRole> login and send Notice of discrepancy at DP1 of current DC with the following values
            | To                      | applicant,beneficiary,issuingBank,advisingBank |
            | Principal amount        | 1000                                           |
            | Notice of discrepancies | Notice of discrepancies                        |
        And <SendParty> <VerifyRole> login and open DP1 at current DC
        And I am at P2P message listing under DP
        When I open p2p message which has subject "Notice of discrepancy" from listing
        Then I expect the element "noticeOfDiscrepancyView"."pendingNoticeOfDiscrepancyRoot" to match reference "<VRRef>"
        Examples:
            | SendParty   | SendRole     | VerifyRole | VRRef                                                                          |
            | issuingBank | makerChecker | approver   | p2p/dp/p2pnod-creation-approve-1/e1/verifiedNoticeOfDiscrepancyWithAppoveUI    |
            | issuingBank | makerChecker | checker    | p2p/dp/p2pnod-creation-approve-1/e2/verifiedNoticeOfDiscrepancyWithoutAppoveUI |
            | issuingBank | makerChecker | maker      | p2p/dp/p2pnod-creation-approve-1/e3/verifiedNoticeOfDiscrepancyWithoutAppoveUI |

# @P2PNod-Creation-Approve-2
# Scenario Outline: Approver role accounts can approve pending Notice of discrepancy
#     Given <SendParty> <SendRole> login and send Notice of discrepancy at DP1 of current DC with the following values
#         | To                                  | applicant,beneficiary,issuingBank,advisingBank                                                                                                                                      |
#         | Principal amount                    | 1000                                                                                                                                                                                |
#         | Additional amount                   | 1000                                                                                                                                                                                |
#         | Charges to be deducted              | #CHECKED#                                                                                                                                                                           |
#         | Charges to be deducted Amount       | 1000                                                                                                                                                                                |
#         | Charges to be deducted Charges code | #AGENT#,#COMM#,#CORCOM#,#DISC#,#INSUR#,#POST#,#STAMP#,#TELECHAR#,#WAREHOUS#                                                                                                         |
#         | Charges to be deducted Details      | Details of charges to be deducted                                                                                                                                                   |
#         | Charges to be added                 | #CHECKED#                                                                                                                                                                           |
#         | Charges to be added Amount          | 1000                                                                                                                                                                                |
#         | Charges to be added Charges code    | #ACCPTCOM#,#ADVCOM#,#AMNDCOM#,#CONFCOM#,#CORCOM#,#DEFCOM#,#DSCRPCOM#,#HANDLCOM#,#INTEREST#,#MISC#,#NEGCOM#,#NOTFCOM#,#PAYCOM#,#POST#,#PREADCOM#,#SEE72Z#,#SEE77#,#STAMP#,#TELECHAR# |
#         | Charges to be added Details         | Details of charges to be addded                                                                                                                                                     |
#         | Total amount to be paid             | 1000                                                                                                                                                                                |
#         | Account with bank                   | Acount1234567890                                                                                                                                                                    |
#         | Sender to receiver information      | Info from sender to receiver                                                                                                                                                        |
#         | Notice of discrepancies             | Notice of discrepancies                                                                                                                                                             |
#     And <SendParty> <ApproveRole> login and open DP1 at current DC
#     And I am at P2P message listing under DP
#     When I open p2p message which has subject "Notice of discrepancy" from listing
#     And I click on the button Approve at pending message
#     And I click on the button "approvePopup"."confirmButton"
#     And I wait until loading icon is hidden
#     When I open p2p message which has subject "Notice of discrepancy" from listing
#     * I expect message with subject "Notice of discrepancy" to match reference "<VRMessageSubject>"
#     * I scroll to element "noticeOfDiscrepancyView"."firstSnapshotSection"
#     * I expect the element "p2pMessage"."messageRoot" to match reference "<VRRef1>" while hiding element "noticeOfDiscrepancyView"."deliveredNoticeOfDiscrepancySentDate"
#     * I scroll to element "noticeOfDiscrepancyView"."secondSnapshotSection"
#     * I expect the element "p2pMessage"."messageRoot" to match reference "<VRRef2>" while hiding element "noticeOfDiscrepancyView"."deliveredNoticeOfDiscrepancySentDate"
#     * I scroll to element "noticeOfDiscrepancyView"."thirdSnapshotSection"
#     * I expect the element "p2pMessage"."messageRoot" to match reference "<VRRef3>" while hiding element "noticeOfDiscrepancyView"."deliveredNoticeOfDiscrepancySentDate"
#     * I scroll to element "noticeOfDiscrepancyView"."fourthSnapshotSection"
#     * I expect the element "p2pMessage"."messageRoot" to match reference "<VRRef4>" while hiding element "noticeOfDiscrepancyView"."deliveredNoticeOfDiscrepancySentDate"
#     Examples:
#         | SendParty    | SendRole     | ApproveRole | VRMessageSubject                                              | VRRef1                                                      | VRRef2                                                      | VRRef3                                                      | VRRef4                                                      |
#         | advisingBank | makerChecker | approver    | p2p/dp/p2pnod-creation-approve-2/e1/approvedNodMessageSubject | p2p/dp/p2pnod-creation-approve-2/e1/approvedNodSnapSection1 | p2p/dp/p2pnod-creation-approve-2/e1/approvedNodSnapSection2 | p2p/dp/p2pnod-creation-approve-2/e1/approvedNodSnapSection3 | p2p/dp/p2pnod-creation-approve-2/e1/approvedNodSnapSection4 |
