@P2PMsg
@VTX-1812
Feature: Checker role accounts can view and verify Notice of decrepancy

    Checker role account can view and verify Notice of discrepancy
    Background: Beneficiary submit DP to nominated bank
        Given I setup test scenario context
        And beneficiary present DP to "issuingBank" through "null" at dc sc1

    @P2PNod-Creation-Verify-1
    Scenario Outline: Only checker role accounts can see UI for verifying a pending Notice of discrepancy
        Given <SendParty> <SendRole> login and send Notice of discrepancy at DP1 of current DC with the following values
            | To                                  | applicant,beneficiary,issuingBank,advisingBank                                                                                                                                      |
            | Principal amount                    | 1000                                                                                                                                                                                |
            | Additional amount                   | 1000                                                                                                                                                                                |
            | Charges to be deducted              | #CHECKED#                                                                                                                                                                           |
            | Charges to be deducted Amount       | 1000                                                                                                                                                                                |
            | Charges to be deducted Charges code | #AGENT#,#COMM#,#CORCOM#,#DISC#,#INSUR#,#POST#,#STAMP#,#TELECHAR#,#WAREHOUS#                                                                                                         |
            | Charges to be deducted Details      | Details of charges to be deducted                                                                                                                                                   |
            | Charges to be added                 | #CHECKED#                                                                                                                                                                           |
            | Charges to be added Amount          | 1000                                                                                                                                                                                |
            | Charges to be added Charges code    | #ACCPTCOM#,#ADVCOM#,#AMNDCOM#,#CONFCOM#,#CORCOM#,#DEFCOM#,#DSCRPCOM#,#HANDLCOM#,#INTEREST#,#MISC#,#NEGCOM#,#NOTFCOM#,#PAYCOM#,#POST#,#PREADCOM#,#SEE72Z#,#SEE77#,#STAMP#,#TELECHAR# |
            | Charges to be added Details         | Details of charges to be addded                                                                                                                                                     |
            | Total amount to be paid             | 1000                                                                                                                                                                                |
            | Account with bank                   | Acount1234567890                                                                                                                                                                    |
            | Sender to receiver information      | Info from sender to receiver                                                                                                                                                        |
            | Notice of discrepancies             | Notice of discrepancies                                                                                                                                                             |
        And <SendParty> <VerifyRole> login and open DP1 at current DC
        And I am at P2P message listing under DP
        When I open p2p message which has subject "Notice of discrepancy" from listing
        Then I expect the element "noticeOfDiscrepancyView"."pendingNoticeOfDiscrepancyRoot" to match reference "<VRRef>"
        Examples:
            | SendParty   | SendRole | VerifyRole | VRRef                                                  |
            | issuingBank | maker    | checker    | p2p/dp/p2pnod-creation-verify-1/e1/noticeOfDiscrepancy |


    @P2PNod-Creation-Verify-2
    Scenario Outline: Checker role accounts can verify pending Notice of discrepancy
        Given <SendParty> <SendRole> login and send Notice of discrepancy at DP1 of current DC with the following values
            | To                                  | applicant,beneficiary,issuingBank,advisingBank                                                                                                                                      |
            | Principal amount                    | 1000                                                                                                                                                                                |
            | Additional amount                   | 1000                                                                                                                                                                                |
            | Charges to be deducted              | #CHECKED#                                                                                                                                                                           |
            | Charges to be deducted Amount       | 1000                                                                                                                                                                                |
            | Charges to be deducted Charges code | #AGENT#,#COMM#,#CORCOM#,#DISC#,#INSUR#,#POST#,#STAMP#,#TELECHAR#,#WAREHOUS#                                                                                                         |
            | Charges to be deducted Details      | Details of charges to be deducted                                                                                                                                                   |
            | Charges to be added                 | #CHECKED#                                                                                                                                                                           |
            | Charges to be added Amount          | 1000                                                                                                                                                                                |
            | Charges to be added Charges code    | #ACCPTCOM#,#ADVCOM#,#AMNDCOM#,#CONFCOM#,#CORCOM#,#DEFCOM#,#DSCRPCOM#,#HANDLCOM#,#INTEREST#,#MISC#,#NEGCOM#,#NOTFCOM#,#PAYCOM#,#POST#,#PREADCOM#,#SEE72Z#,#SEE77#,#STAMP#,#TELECHAR# |
            | Charges to be added Details         | Details of charges to be addded                                                                                                                                                     |
            | Total amount to be paid             | 1000                                                                                                                                                                                |
            | Account with bank                   | Acount1234567890                                                                                                                                                                    |
            | Sender to receiver information      | Info from sender to receiver                                                                                                                                                        |
            | Notice of discrepancies             | Notice of discrepancies                                                                                                                                                             |
        And <SendParty> <VerifyRole> login and open DP1 at current DC
        And I am at P2P message listing under DP
        When I open p2p message which has subject "Notice of discrepancy" from listing
        And I click on the button Verify at pending message
        And I click on the button "verifyPopup"."confirmButton"
        And I wait until loading icon is hidden
        Then I expect the element "noticeOfDiscrepancyView"."pendingNoticeOfDiscrepancyRoot" to match reference "<VRRef>"
        Examples:
            | SendParty   | SendRole | VerifyRole | VRRef                                                          |
            | issuingBank | maker    | checker    | p2p/dp/p2pnod-creation-verify-2/e1/verifiedNoticeOfDiscrepancy |

