Feature: Workflow-BeneficiaryConfirmation-6(MCA1) - @VTX5722
As a QA, I want to test Workflow-BeneficiaryConfirmation-3 where beneficiary request for confirmation and confirming bank accepts confirmation

Scenario: Applicant creates a DC
        Given I setup test scenario context
        Given applicant created dc for scenario sc5 proceeded by "admin1"

Scenario: Issuing Bank issues the DC
        And issuingBank's admin1 login to main page for scenario sc5
        And issuingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."issueButton"
        When I set "beneConf6-mca1" to the inputfield "dcForm"."issuedDcRefenceInput"
        And I set "Additional clause from issuing bank" to the inputfield "dcForm"."additionalConditionsFromIssuingBankInput"
        And I set "Instructions to paying bank" to the inputfield "dcForm"."instructionToPayingBankInput"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        Then I can see the dc has main status "Issued"

Scenario: Confirming bank advises the dc
        And confirmingBank's admin1 login to main page for scenario sc5
        And confirmingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."adviseWithoutConfirmationButton"
        When I set "beneConf6-mca1" to the inputfield "dcForm"."confirmedDcReferenceInput"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        Then I can see the dc has main status "Issued and advised"

Scenario: Advising bank advises the dc
        And advisingBank's admin1 login to main page for scenario sc5
        And advisingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."adviseButton"
        When I set "beneConf6-mca1" to the inputfield "dcForm"."advisedDcReferenceInput"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        Then I can see the dc has main status "Issued and advised"

Scenario: Check request for confirmation button exists
        And beneficiary's maker login to main page for scenario sc5
        And beneficiary navigate to current dc using contour uuid
        And I pause for 3000ms
        Then the element "actionButton"."requestConfirmationButton" is displayed

Scenario: Benficiary requests for confirmation(MCA-1)
        And I click on the button "actionButton"."requestConfirmationButton" and submit
        Then beneficiary completes the following dc MCA flow for sc5
        | role     | buttons                     | 
        | checker  | declineButton,confirmButton | 
        | maker    | updateButton,submitButton   | 
        | checker  | verifyButton,confirmButton  | 
        | approver | declineButton,confirmButton | 
        | maker    | updateButton,submitButton   | 
        | checker  | verifyButton,confirmButton  | 
        | approver | approveButton,confirmButton |

        Then I can see the dc has sub status "Requested confirmation party to review"

Scenario: Confirmation party accepts confirmation(MCA-1)
        And confirmingBank's maker login to main page for scenario sc5
        And confirmingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."addConfirmationButton" and submit
        Then confirmingBank completes the following dc MCA flow for sc5
        | role     | buttons                     | 
        | checker  | declineButton,confirmButton | 
        | maker    | updateButton,submitButton   | 
        | checker  | verifyButton,confirmButton  | 
        | approver | declineButton,confirmButton | 
        | maker    | updateButton,submitButton   | 
        | checker  | verifyButton,confirmButton  | 
        | approver | approveButton,confirmButton |

        Then I can see the dc has main status "Issued and advised"

Scenario: Beneficiary checks confirmation is added 
        And beneficiary's admin1 login to main page for scenario sc5
        And beneficiary navigate to current dc using contour uuid
        Then the element "actionButton"."requestConfirmationButton" is not displayed



        
      

