Feature: Workflow-BeneficiaryConfirmation-7MCA2 - @VTX5723
        As a QA, I want to test Workflow-BeneficiaryConfirmation-7 where beneficiary request for confirmation and confirming bank rejects

        Scenario: Applicant creates a DC
                Given I setup test scenario context
                Given applicant created dc for scenario sc5 proceeded by "admin1"

        Scenario: Issuing Bank issues the DC
                And issuingBank's admin1 login to main page for scenario sc5
                And issuingBank navigate to current dc using contour uuid
                And I click on the button "actionButton"."issueButton"
                When I set "beneConf7-mca2" to the inputfield "dcForm"."issuedDcRefenceInput"
                And I click on the button "actionButton"."previewButton"
                And I click on the button "actionButton"."submitButton"
                Then importParty refreshes the browser until the main status matches the text "Issued"

        Scenario: Confirming advises without confirmation
                And confirmingBank's admin1 login to main page for scenario sc5
                And confirmingBank navigate to current dc using contour uuid
                And I click on the button "actionButton"."adviseWithoutConfirmationButton"
                When I set "beneConf7-mca2" to the inputfield "dcForm"."confirmedDcReferenceInput"
                And I click on the button "actionButton"."previewButton"
                And I click on the button "actionButton"."submitButton"
                Then exportParty refreshes the browser until the main status matches the text "Issued and advised"

        Scenario: Advising advises the dc
                And advisingBank's admin1 login to main page for scenario sc5
                And advisingBank navigate to current dc using contour uuid
                And I click on the button "actionButton"."adviseButton"
                When I set "beneConf7-mca2" to the inputfield "dcForm"."advisedDcReferenceInput"
                And I click on the button "actionButton"."previewButton"
                And I click on the button "actionButton"."submitButton"
                Then exportParty refreshes the browser until the main status matches the text "Issued and advised"

        Scenario: Beneficiary requests for confirmation
                And beneficiary's admin1 login to main page for scenario sc5
                And beneficiary navigate to current dc using contour uuid
                And I wait for element "actionButton"."requestConfirmationButton" to be visible
                And I click on the button "actionButton"."requestConfirmationButton"
                And I click on the button "actionButton"."submitButton"
                Then exportParty refreshes the browser until the main status matches the text "Issued and advised"

        Scenario: confirming bank rejects request for [MCA2]
                And confirmingBank's makerChecker login to main page for scenario sc5
                And confirmingBank navigate to current dc using contour uuid
                And I wait for element "actionButton"."rejectConfirmationButton" to be visible
                And I click on the button "actionButton"."rejectConfirmationButton"
                And I click on the button "actionButton"."submitButton"  
                Then confirmingBank completes the following dc MCA flow for sc5
                        | role           | buttons                      | 
                        | approver       | declineButton,confirmButton  | 
                        | maker          | updateButton,submitButton    | 
                        | checkerApprover| declineButton,confirmButton  | 
                        | admin1         | updateButton,submitButton    | 