Feature: Workflow-BeneficiaryConfirmation-9 - @VTX5723
        As a QA, I want to test Workflow-BeneficiaryConfirmation-9 where beneficiary request for confirmation and confirming bank rejects in a SC6 Scenario

        Scenario: Applicant creates a DC
                Given I setup test scenario context
                Given applicant created dc for scenario sc6 proceeded by "admin1"

        Scenario: Issuing Bank issues the DC
                And issuingBank's admin1 login to main page for scenario sc6
                And issuingBank navigate to current dc using contour uuid
                And I wait for element "actionButton"."issueButton" to be visible
                And I click on the button "actionButton"."issueButton"
                When I set "beneConfirm-9" to the inputfield "dcForm"."issuedDcRefenceInput"
                And I click on the button "actionButton"."previewButton"
                And I click on the button "actionButton"."submitButton"
                Then importParty refreshes the browser until the main status matches the text "Issued"

        Scenario: Confirming advises without confirmation
                And confirmingBank's admin1 login to main page for scenario sc6
                And confirmingBank navigate to current dc using contour uuid
                And I wait for element "actionButton"."adviseWithoutConfirmationButton" to be visible
                And I click on the button "actionButton"."adviseWithoutConfirmationButton"
                When I set "beneConfirm-9" to the inputfield "dcForm"."confirmedDcReferenceInput"
                And I click on the button "actionButton"."previewButton"
                And I click on the button "actionButton"."submitButton"
                Then exportParty refreshes the browser until the main status matches the text "Issued and advised"

        Scenario: Beneficiary requests for confirmation
                And beneficiary's admin1 login to main page for scenario sc6
                And beneficiary navigate to current dc using contour uuid
                And I wait for element "actionButton"."requestConfirmationButton" to be visible
                And I click on the button "actionButton"."requestConfirmationButton"
                And I click on the button "actionButton"."submitButton"
                Then exportParty refreshes the browser until the main status matches the text "Issued and advised"

        Scenario: confirming bank rejects confirmation
                And confirmingBank's admin1 login to main page for scenario sc6
                And confirmingBank navigate to current dc using contour uuid
                And I scroll to element "actionButton"."rejectConfirmationButton"
                And I click on the button "actionButton"."rejectConfirmationButton"
                And I click on the button "actionButton"."submitButton"
                Then exportParty refreshes the browser until the main status matches the text "Issued and advised"

        Scenario: Check beneficiary is able to request for confirmation again
                And beneficiary's admin1 login to main page for scenario sc6
                And beneficiary navigate to current dc using contour uuid
                Then the element "actionButton"."requestConfirmationButton" does exist