Feature: Workflow-Amendment81(mca2) - @VTX5723
        As a QA, I want to test Workflow-Amendment81 where amendment is advised and rejected(MCA-2)
        Scenario: Applicant creates an amendment
                Given I setup test scenario context
                Given applicant created amendment for scenario sc11 submit to issuingBank proceeded by "admin1"

        Scenario: Issuing bank issues the amended dc
                And issuingBank's admin1 login to main page for scenario sc11
                And issuingBank navigate to current dc using contour uuid
                Then I open Draft Text 1
                And I click on the button "actionButton"."issueButton" and submit

        Scenario: Confirming bank rejects the amendment with confirmation(MCA-2)
                And confirmingBank's makerChecker login to main page for scenario sc11
                And confirmingBank navigate to current dc using contour uuid
                Then I open Amendment 1
                And I click on the button "actionButton"."rejectButton" and submit
                Then confirmingBank completes the following amendment MCA flow for sc11
                        | role            | buttons                     |
                        | approver        | declineButton,confirmButton |
                        | maker           | updateButton,submitButton   |
                        | checkerApprover | declineButton,confirmButton |
                        | admin1          | updateButton,submitButton   |


        Scenario: Nominated bank rejects the amendment(MCA-2)
                And nominatedBank's makerChecker login to main page for scenario sc11
                And nominatedBank navigate to current dc using contour uuid
                Then I open Amendment 1
                And I click on the button "actionButton"."rejectButton" and submit
                Then nominatedBank completes the following amendment MCA flow for sc11
                        | role            | buttons                     |
                        | approver        | declineButton,confirmButton |
                        | maker           | updateButton,submitButton   |
                        | checkerApprover | declineButton,confirmButton |
                        | admin1          | updateButton,submitButton   |

        Scenario: Advising bank rejects the amendment(MCA-2)
                And advisingBank's makerChecker login to main page for scenario sc11
                And advisingBank navigate to current dc using contour uuid
                Then I open Amendment 1
                And I click on the button "actionButton"."rejectButton" and submit
                Then advisingBank completes the following amendment MCA flow for sc11
                        | role            | buttons                     |
                        | approver        | declineButton,confirmButton |
                        | maker           | updateButton,submitButton   |
                        | checkerApprover | declineButton,confirmButton |
                        | admin1          | updateButton,submitButton   |


        Scenario: Beneficiary rejects the amendment(MCA-2)
                And beneficiary's makerChecker login to main page for scenario sc11
                And beneficiary navigate to current dc using contour uuid
                Then I open Amendment 1
                And I click on the button "actionButton"."rejectButton" and submit
                Then beneficiary completes the following amendment MCA flow for sc11
                        | role            | buttons                     |
                        | approver        | declineButton,confirmButton |
                        | maker           | updateButton,submitButton   |
                        | checkerApprover | declineButton,confirmButton |
                        | admin1          | updateButton,submitButton   |
                Then exportParty refresh the browser
                Then I can see the dc has amendment status "Amendment rejected"