Feature: Workflow-Amendment83 - @VTX5755
        As a QA, I want to test Workflow-Amendment83 wherea DC in sc12 is amended, advised by banks but rejected by beneficiary
        Scenario: A DC is issued and advised in SC12
                Given I setup test scenario context
                Given nominated bank advised dc for scenario sc12

        Scenario: Applicant amends the DC
                And applicant's admin1 login to main page for scenario sc12
                And applicant navigate to current dc using contour uuid
                And I click on the button "actionButton"."amendButton"
                And I fill in dc for scenario sc1 with following values
                        | Applicant Address | Updated |
                And I click on the button "actionButton"."submitToIssuingBankButton" and submit

        Scenario: Issuing Bank issues amendment
                And issuingBank's admin1 login to main page for scenario sc12
                And issuingBank navigate to current dc using contour uuid
                Then I open Draft Text 1
                And I click on the button "actionButton"."issueButton" and submit
                Then I can see the dc has amendment status "Amended"

        Scenario: Nominated Bank advises amendment
                And nominatedBank's admin1 login to main page for scenario sc12
                And nominatedBank navigate to current dc using contour uuid
                Then I open Amendment 1
                And I click on the button "actionButton"."adviseButton" and submit

        Scenario: Beneficiary rejects the amendment
                And beneficiary's admin1 login to main page for scenario sc12
                And beneficiary navigate to current dc using contour uuid
                Then I open Amendment 1
                And I click on the button "actionButton"."rejectButton" and submit
                Then exportParty refresh the browser
                Then I can see the dc has amendment status "Amendment rejected"
