Feature: Workflow-Amendment-ChangeBanksS11-128 - @VTX5754
As a QA, I want to test Workflow-Amendment-ChangeBanksS11-128 confirming bank advise w confirm, change confirm bank, bene rejects

Scenario: Confirming Bank advises without confirmation
        Given I setup test scenario context
        Given issuingBank issued dc for scenario sc11 proceeded by "maker.checkerApprover" 
        And confirmingBank's admin1 login to main page for scenario sc11
        And confirmingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."adviseWithoutConfirmationButton"
        When I set "VTX-5754" to the inputfield "dcForm"."confirmedDcReferenceInput"
        And I click on the button "actionButton"."previewButton" and submit

Scenario: Nominated bank advises the dc
        And nominatedBank's admin1 login to main page for scenario sc11
        And nominatedBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."adviseButton"
        When I set "VTX-5754" to the inputfield "dcForm"."nominatedDcReferenceInput"
        And I click on the button "actionButton"."previewButton" and submit
        Then I can see the dc has main status "Issued and advised"

Scenario: Advising bank advises the dc
        And advisingBank's admin1 login to main page for scenario sc11
        And advisingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."adviseButton"
        When I set "VTX-5754" to the inputfield "dcForm"."advisedDcReferenceInput"
        And I click on the button "actionButton"."previewButton" and submit
        Then I can see the dc has main status "Issued and advised"
     
Scenario: Applicant amends advising bank
        And applicant's admin1 login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        And I click on the button "actionButton"."amendButton"
        And I fill in dc for scenario sc11 with following values
        |  New Confirming Bank                               | #NEW_CONFIRMING_BANK#           |
        |  New Confirming Bank Address                       | #NEW_CONFIRMING_BANK_ADDRESS#   |
        And I click on the button "actionButton"."submitToIssuingBankButton" and submit   
        
Scenario: Issuing Bank issues amendment
        And issuingBank's admin1 login to main page for scenario sc11
        And issuingBank navigate to current dc using contour uuid
        Then I open Draft Text 1
        And I click on the button "actionButton"."issueButton" and submit
        Then I can see the dc has amendment status "Amended"

Scenario: Old Confirming Bank advises the amendment
        And confirmingBank's admin1 login to main page for scenario sc11
        And confirmingBank navigate to current dc using contour uuid
        Then I open Amendment 1
        And I click on the button "actionButton"."adviseButton" and submit
        Then I can see the dc has amendment status "Amended"

Scenario: New Confirming Bank advises with confirmation
        And newConfirmingBank's admin1 login to main page for scenario sc11
        And newConfirmingBank navigate to current dc using contour uuid
        Then I open Amendment 1
        And I click on the button "actionButton"."adviseWithConfirmationButton"
        When I set "128-chgbank" to the inputfield "dcForm"."confirmedDcReferenceInput"
        And I click on the button "actionButton"."previewButton" and submit
        Then I can see the dc has amendment status "Amended"

#<TO ADD after DC SPLIT IMPORT/EXPORT> : Nominated bank advises amendment 

Scenario: Advising bank advises the amendment
        And advisingBank's admin1 login to main page for scenario sc1  
        And advisingBank navigate to current dc using contour uuid  
        Then I open Amendment 1
        And I click on the button "actionButton"."adviseButton" and submit
        Then I can see the dc has amendment status "Amended"

Scenario: Beneficiary rejects amendment
        And beneficiary's admin1 login to main page for scenario sc1
        And beneficiary navigate to current dc using contour uuid
        Then I open Amendment 1
        And I click on the button "actionButton"."rejectButton" and submit
        Then I can see the dc has amendment status "Amendment rejected"




