Feature: @VTX-5814-DCCancellation-36- MCA1 Applicant initiates a Request for Cancellation Message and DC is cancelled in SC11

    Scenario: Setup scenario context and dc to create request for cancellation
        Given I setup test scenario context
        And advisingBank advised dc for scenario sc11 proceeded by "maker.checkerApprover"

    Scenario: applicant initiates request for cancellation-mca1
        And applicant maker login and open current dc
        And I am at New p2p message under DC
        And I select message type as Request for cancellation
        When I set "Cancellation" to the inputfield "p2pMessage"."cancellationMessage"
        And I click on the button "p2pMessage"."sendButton"
        And I click on the button "sendMessagePopup"."confirmButton"
        Then the element "p2pMessage"."sendButton" does not exist
        Then applicant completes the following cancellation MCA flow for sc11
            | role     | buttons                                      |
            | checker  | rejectLabel,confirmButton                    |
            | maker    | editLabel,p2pUpdateDraftButton,confirmButton |
            | checker  | approveLabel,confirmButton                   |
            | approver | rejectLabel,confirmButton                    |
            | maker    | editLabel,p2pUpdateDraftButton,confirmButton |
            | checker  | approveLabel,confirmButton                   |
            | approver | approveLabel,confirmButton                   |


    Scenario Outline: All parties accept request for cancellation mca1
        Given <party> maker login and open current dc
        And I am at New p2p message under DC
        When I open p2p message which has subject "Request for cancellation" from listing
        And I click on the button "p2pMessage"."approveButton"
        And I click on the button "p2pMessage"."confirmApproveButton"
        Then <party> completes the following cancellation MCA flow for sc11
            | role     | buttons                                   |
            | checker  | rejectLabel,confirmButton                 |
            | maker    | discardP2PButton,discardConfirmButton     |
            | maker    | approveRequestButton,confirmApproveButton |
            | checker  | approveLabel,confirmButton                |
            | approver | rejectLabel,confirmButton                 |
            | maker    | discardP2PButton,discardConfirmButton     |
            | maker    | approveRequestButton,confirmApproveButton |
            | checker  | approveLabel,confirmButton                |
            | approver | approveLabel,confirmButton                |
        Examples:
            | party          |
            | issuingBank    |
            | beneficiary    |
            | nominatedBank  |
            | confirmingBank |
            | advisingBank   |

    Scenario: Issuing bank cancels the DC- MCA1
        And issuingBank maker login and open current dc
        Then I scroll to and click element "actionButton"."cancelLCButton"
        And I scroll to and click element "actionButton"."confirmButton"
        Then issuingBank completes the following DCCancellation MCA flow for sc11
            | role     | buttons                      |
            | checker  | declineButton,confirmButton  |
            | maker    | cancelLCButton,confirmButton |
            | checker  | verifyButton,confirmButton   |
            | approver | declineButton,confirmButton  |
            | maker    | cancelLCButton,confirmButton |
            | checker  | verifyButton,confirmButton   |
            | approver | approveButton,confirmButton  |
        Then importParty refresh the browser
        Then I can see the dc has main status "Cancelled"
