@VTX-5813
Feature: Beneficiary initiates a Request for Cancellation Message in SC1(Workflow-DCCancellation-44(mca1))

    Scenario: Setup scenario context and dc to create request for cancellation
        Given I setup test scenario context
        And advisingBank advised dc for scenario sc1 proceeded by "maker.checkerApprover"

    Scenario: Beneficiary initiates request for cancellation
        And beneficiary maker login and open current dc
        And I am at New p2p message under DC
        And I select message type as Request for cancellation
        When I set "Cancellation" to the inputfield "p2pMessage"."cancellationMessage"
        And I click on the button "p2pMessage"."sendButton"
        And I click on the button "sendMessagePopup"."confirmButton"
        Then the element "p2pMessage"."sendButton" does not exist
        Then beneficiary completes the following cancellation MCA flow for sc1
        | role     | buttons                                     | 
        | checker  | rejectLabel,confirmButton                   | 
        | maker    | editLabel,p2pUpdateDraftButton,confirmButton| 
        | checker  | approveLabel,confirmButton                  | 
        | approver | rejectLabel,confirmButton                   | 
        | maker    | editLabel,p2pUpdateDraftButton,confirmButton| 
        | checker  | approveLabel,confirmButton                  | 
        | approver | approveLabel,confirmButton                  |
        

    Scenario Outline: All parties verify request for cancellation message
        Given <party> admin1 login and open current dc
        And I am at New p2p message under DC
        When I open p2p message which has subject "Request for cancellation" from listing
        And I click on the button "p2pMessage"."approveButton"
        And I click on the button "p2pMessage"."confirmApproveButton"
        Then the element "p2pMessage"."confirmApproveButton" does not exist
        Then the element "p2pMessage"."approveButton" does not exist
    
        Examples:
            | party         |
            | applicant     |
            | issuingBank   |
            | advisingBank  |

    Scenario: Issuing bank cancels the DC
        And issuingBank admin1 login and open current dc
        Then I scroll to and click element "actionButton"."cancelLCButton"
        And I scroll to and click element "actionButton"."confirmButton"
        Then importParty refresh the browser
        Then I can see the dc has main status "Cancelled"



