@VTX-5813
Feature: Beneficiary initiates a Request for Cancellation Message in SC6(Workflow-DCCancellation-65)

    Scenario: Setup scenario context and dc to create request for cancellation
        Given I setup test scenario context
        And issuingBank issued dc for scenario sc6 proceeded by "maker.checkerApprover"

    Scenario: Confirm bank confirm DC
        And confirmingBank's admin1 login to main page for scenario sc6
        And confirmingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."adviseWithConfirmationButton"
        When I set "Cancel-65" to the inputfield "dcForm"."confirmedDcReferenceInput"
        And I click on the button "actionButton"."previewButton" and submit
        Then I can see the dc has main status "Issued and advised"

    Scenario: Beneficiary initiates request for cancellation
        And beneficiary admin1 login and open current dc
        And I am at New p2p message under DC
        And I select message type as Request for cancellation
        When I set "Cancellation" to the inputfield "p2pMessage"."cancellationMessage"
        And I click on the button "p2pMessage"."sendButton"
        And I click on the button "sendMessagePopup"."confirmButton"
        Then the element "p2pMessage"."sendButton" does not exist


    Scenario Outline: All parties verify request for cancellation message
        Given <party> admin1 login and open current dc
        And I am at New p2p message under DC
        When I open p2p message which has subject "Request for cancellation" from listing
        And I click on the button "p2pMessage"."approveButton"
        And I click on the button "p2pMessage"."confirmApproveButton"
        Then the element "p2pMessage"."confirmApproveButton" does not exist
        Then the element "p2pMessage"."approveButton" does not exist
        Examples:
            | party         |
            | applicant     |
            | issuingBank   |
            | advisingBank  |

    Scenario: Issuing bank cancels the DC
        And issuingBank admin1 login and open current dc
        Then I scroll to and click element "actionButton"."cancelLCButton"
        And I scroll to and click element "actionButton"."confirmButton"
        Then importParty refresh the browser
        Then I can see the dc has main status "Cancelled"



