Feature: Workflow-Presentation-WithoutReturnS11-8 - VTX-6341 MCA1
    #Workflow-Presentation-WithReturnS11-5  21  1   S11 Presentation    Y   Manual      Beneficiary Present through advising bank and to nominated bank (MCA-1),(MCA-1) Advising bank   Forward (MCA-1),(MCA-1) Nominated bank  Forward(MCA-1),(MCA-1)  Confirming bank Forward (MCA-1),(MCA-1) Issuing bank    Return (MCA-1),(MCA-1)  Confirming bank return (MCA-1),(MCA-1)  Nominated bank  return (MCA-1),(MCA-1)  Advising bank   return (MCA-1),(MCA-1)  Beneficiary present to nominated bank   Nominated bank  Forward Confirming bank Forward Issuing bank    Accept (MCA-1),(MCA-1)  Issuing bank    Release Documents (MCA-1),(MCA-1)

    Background: Setup scenario context
        Given I setup test scenario context
        Given advising bank advised dc for scenario sc11

    Scenario: beneficiary presents a DP (MCA-1)
        And beneficiary's maker login to main page for scenario sc11
        And beneficiary navigate to current dc using contour uuid
        When I scroll to and click element "actionButton"."presentButton"
        And I click sub side menu option "DP 1"
        When I fill in dp overview with following information for scenario "sc11"
            | Drawing Amount  | 10000            |
            | Present to      | #NOMINATED_BANK# |
            | Present through | #ADVISING_BANK#  |
        And I click on the button "actionButton"."saveAndNextButton"
        And I fill in dp cover letter by "beneficiary" with following information
            | Instruction | Payment |
        And I click sub side menu sub-option "Invoice"
        When I click on the element "dpInvoice"."invoiceMailingType"
        When I pick "Wave BL" to the contourSelect "dpInvoice"."modeOfInvoiceTransfer"
        When I set "WaveBL Ref 1234" to the inputfield "dpInvoice"."referenceNumber"
        And I click on the button "actionButton"."saveAndNextButton"
        And I certify presentation is complete and submit presentation
        Then I can see the dc has dp status "Draft in progress"
        Then beneficiary completes the following presentation MCA flow for sc11
            | role     | buttons                     |
            | checker  | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | approveButton,confirmButton |

        Then I can see the dc has dp status "Bank review"

        # Advising bank forwards to Nominated bank (MCA-1)
        And advisingBank's maker login to main page for scenario sc11
        Then I click on the element "sideMenu"."dcExport"
        And advisingBank navigate to current dc using contour uuid
        And I click sub side menu option "DP 1"
        And I click on the button "actionButton"."forwardButton"
        And I click sub side menu sub-option "Cover letter by Presenting bank"
        Then the element "dpInvoice"."principalAmount" is empty
        When I set "10001" to the inputfield "dpInvoice"."principalAmount"
        And I click on the button "actionButton"."saveButton"
        Then the element "dpInvoice"."errorMessage" contains the text "Please complete the cover letter"
        When I set "101" to the inputfield "dpInvoice"."totalAmount"
        And I scroll to and click element "actionButton"."saveButton"
        And I scroll to and click element "actionButton"."previewButton"
        And I scroll to and click element "actionButton"."submitButton"
        Then advisingBank completes the following presentation MCA flow for sc11
            | role     | buttons                     |
            | checker  | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | approveButton,confirmButton |
        Then I can see the dc has dp status "Bank review"

        # Nominated  bank forwards to Confirming bank  (MCA-1)
        And nominatedBank's maker login to main page for scenario sc11
        Then I click on the element "sideMenu"."dcExport"
        And nominatedBank navigate to current dc using contour uuid
        And I click sub side menu option "DP 1"
        And I pick "Bank C" to the contourSelect "dpOverview"."selectPresentTo"
        And I click on the button "actionButton"."forwardButton"
        And I click sub side menu sub-option "Cover letter by Nominated bank"
        Then the element "dpInvoice"."principalAmount" is empty
        When I set "10001" to the inputfield "dpInvoice"."principalAmount"
        And I click on the button "actionButton"."saveButton"
        Then the element "dpInvoice"."errorMessage" contains the text "Please complete the cover letter"
        When I set "101" to the inputfield "dpInvoice"."totalAmount"
        And I click on the button "actionButton"."saveButton"
        And I scroll to and click element "actionButton"."previewButton"
        And I scroll to and click element "actionButton"."submitButton"
        Then I can see the dc has dp status "Bank review"
        Then nominatedBank completes the following presentation MCA flow for sc11
            | role     | buttons                     |
            | checker  | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | approveButton,confirmButton |
        Then I can see the dc has dp status "Bank review"

        # confirming  bank forwards to Issuing bank  (MCA-1)
        And confirmingBank's maker login to main page for scenario sc11
        Then I click on the element "sideMenu"."dcExport"
        And confirmingBank navigate to current dc using contour uuid
        And I click sub side menu option "DP 1"
        And I click on the button "actionButton"."forwardButton"
        And I click sub side menu sub-option "Cover letter by Requested confirmation party"
        Then the element "dpInvoice"."principalAmount" is empty
        When I set "10001" to the inputfield "dpInvoice"."principalAmount"
        And I click on the button "actionButton"."saveButton"
        Then the element "dpInvoice"."errorMessage" contains the text "Please complete the cover letter"
        When I set "101" to the inputfield "dpInvoice"."totalAmount"
        And I click on the button "actionButton"."saveButton"
        And I scroll to and click element "actionButton"."previewButton"
        And I scroll to and click element "actionButton"."submitButton"
        Then I can see the dc has dp status "Bank review"
        Then confirmingBank completes the following presentation MCA flow for sc11
            | role     | buttons                     |
            | checker  | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | approveButton,confirmButton |
        Then I can see the dc has dp status "Bank review"

        # Issuing bank returns to Confirm bank MCA1
        And issuingBank's maker login to main page for scenario sc11
        And issuingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."returnButton"
        And I scroll to and click element "actionButton"."previewButton"
        And I scroll to and click element "actionButton"."submitButton"
        Then I can see the dc has dp sub status "Your Checker to review"
        Then issuingBank completes the following presentation MCA flow for sc11
            | role     | buttons                     |
            | checker  | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | approveButton,confirmButton |
        Then I can see the dc has dp status "Bank review"
        Then I can see the dc has dp sub status "Requested confirmation party to review"

        # confirming bank returns to nominated bank MCA1
        And confirmingBank's maker login to main page for scenario sc11
        And confirmingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."returnButton"
        And I scroll to and click element "actionButton"."previewButton"
        And I scroll to and click element "actionButton"."submitButton"
        Then I can see the dc has dp sub status "Your Checker to review"
        Then confirmingBank completes the following presentation MCA flow for sc11
            | role     | buttons                     |
            | checker  | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | approveButton,confirmButton |
        Then I can see the dc has dp status "Bank review"
        Then I can see the dc has dp sub status "Nominated bank to review"

        # Nominated bank returns to presenting bank MCA1
        And nominatedBank's maker login to main page for scenario sc11
        And nominatedBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."returnButton"
        And I scroll to and click element "actionButton"."previewButton"
        And I scroll to and click element "actionButton"."submitButton"
        Then I can see the dc has dp sub status "Your Checker to review"
        Then nominatedBank completes the following presentation MCA flow for sc11
            | role     | buttons                     |
            | checker  | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | approveButton,confirmButton |
        Then I can see the dc has dp status "Bank review"


        # advising bank returns to beneficiary MCA1
        And advisingBank's maker login to main page for scenario sc11
        And advisingBank navigate to current dc using contour uuid
        And I scroll to and click element "actionButton"."returnButton"
        And I scroll to and click element "actionButton"."previewButton"
        And I scroll to and click element "actionButton"."submitButton"
        Then I can see the dc has dp sub status "Your Checker to review"
        Then advisingBank completes the following presentation MCA flow for sc11
            | role     | buttons                     |
            | checker  | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | approveButton,confirmButton |
        Then I can see the dc has dp status "Returned"
        Then I can see the dc has dp sub status "Beneficiary to review"

        # beneficiary bank fwds to presenting bank MCA1
        And beneficiary's maker login to main page for scenario sc11
        And beneficiary navigate to current dc using contour uuid
        When I scroll to and click element "actionButton"."presentButton"
        And I click sub side menu option "DP 1"
        When I fill in dp overview with following information for scenario "sc11"
            | Drawing Amount | 100001           |
            | Present to     | #NOMINATED_BANK# |
        And I click on the button "actionButton"."saveAndNextButton"
        And I fill in dp cover letter by "beneficiary" with following information
            | Instruction | Payment |
        And I click on the button "actionButton"."saveAndNextButton"
        And I certify presentation is complete and submit presentation
        Then I can see the dc has dp status "Returned"
        Then beneficiary completes the following presentation MCA flow for sc11
            | role     | buttons                     |
            | checker  | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | approveButton,confirmButton |
        Then I can see the dc has dp status "Bank review"

        # Advising bank forwards to Nominated bank (MCA-1)
        And advisingBank's maker login to main page for scenario sc11
        Then I click on the element "sideMenu"."dcExport"
        And advisingBank navigate to current dc using contour uuid
        And I click sub side menu option "DP 1"
        And I click on the button "actionButton"."forwardButton"
        And I click sub side menu sub-option "Cover letter by Presenting bank"
        Then the element "dpInvoice"."principalAmount" is empty
        When I set "10001" to the inputfield "dpInvoice"."principalAmount"
        And I click on the button "actionButton"."saveButton"
        Then the element "dpInvoice"."errorMessage" contains the text "Please complete the cover letter"
        When I set "101" to the inputfield "dpInvoice"."totalAmount"
        And I scroll to and click element "actionButton"."saveButton"
        And I scroll to and click element "actionButton"."previewButton"
        And I scroll to and click element "actionButton"."submitButton"
        Then advisingBank completes the following presentation MCA flow for sc11
            | role     | buttons                     |
            | checker  | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | approveButton,confirmButton |
        Then I can see the dc has dp status "Bank review"

        # Nominated  bank forwards to Confirming bank  (MCA-1)
        And nominatedBank's maker login to main page for scenario sc11
        Then I click on the element "sideMenu"."dcExport"
        And nominatedBank navigate to current dc using contour uuid
        And I click sub side menu option "DP 1"
        And I pick "Bank C" to the contourSelect "dpOverview"."selectPresentTo"
        And I click on the button "actionButton"."forwardButton"
        And I click sub side menu sub-option "Cover letter by Nominated bank"
        Then the element "dpInvoice"."principalAmount" is empty
        When I set "10001" to the inputfield "dpInvoice"."principalAmount"
        And I click on the button "actionButton"."saveButton"
        Then the element "dpInvoice"."errorMessage" contains the text "Please complete the cover letter"
        When I set "101" to the inputfield "dpInvoice"."totalAmount"
        And I click on the button "actionButton"."saveButton"
        And I scroll to and click element "actionButton"."previewButton"
        And I scroll to and click element "actionButton"."submitButton"
        Then I can see the dc has dp status "Bank review"
        Then nominatedBank completes the following presentation MCA flow for sc11
            | role     | buttons                     |
            | checker  | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | approveButton,confirmButton |
        Then I can see the dc has dp status "Bank review"

        # confirming  bank forwards to issuing bank  (MCA-1)
        And confirmingBank's maker login to main page for scenario sc11
        Then I click on the element "sideMenu"."dcExport"
        And confirmingBank navigate to current dc using contour uuid
        And I click sub side menu option "DP 1"
        And I click on the button "actionButton"."forwardButton"
        And I click sub side menu sub-option "Cover letter by Requested confirmation party"
        Then the element "dpInvoice"."principalAmount" is empty
        When I set "10001" to the inputfield "dpInvoice"."principalAmount"
        And I click on the button "actionButton"."saveButton"
        Then the element "dpInvoice"."errorMessage" contains the text "Please complete the cover letter"
        When I set "101" to the inputfield "dpInvoice"."totalAmount"
        And I click on the button "actionButton"."saveButton"
        And I scroll to and click element "actionButton"."previewButton"
        And I scroll to and click element "actionButton"."submitButton"
        Then I can see the dc has dp status "Bank review"
        Then confirmingBank completes the following presentation MCA flow for sc11
            | role     | buttons                     |
            | checker  | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | approveButton,confirmButton |
        Then I can see the dc has dp status "Bank review"

        #issuingbank accepts
        And issuingBank's maker login to main page for scenario sc11
        And issuingBank navigate to current dc using contour uuid
        And I scroll to and click element "actionButton"."acceptButton"
        And I scroll to and click element "actionButton"."submitButton"
        Then I can see the dc has dp sub status "Your Checker to review"
        Then issuingBank completes the following presentation MCA flow for sc11
            | role     | buttons                     |
            | checker  | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | declineButton,confirmButton |
            | maker    | updateButton,submitButton   |
            | checker  | verifyButton,confirmButton  |
            | approver | approveButton,confirmButton |

        Then I can see the dc has dp status "Accepted"
        And I can see the dc has dp sub status "Your Maker to review"

        #set payment date and release documents
        And issuingBank's admin1 logs in to setPaymentDueDate for DP1 at current DC
        Then importParty refresh the browser
        And issuingBank's admin1 logs in to releaseDocuments for DP1 at current DC
        Then importParty refresh the browser

        #Applicant sees the auditlog entries after issuing bank releases the documents
        Given applicant's admin1 login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        Then I expect the audit log as follow for scenario sc11
            | #ISSUING_BANK# | Accepted | Documents released   |
            | #ISSUING_BANK# | Accepted | Payment due date set |
