Feature: Workflow-Presentation-WithoutReturnS12-1 s2split-VTX-6315

    Background: Setup scenario context
        Given I setup test scenario context

    Scenario: Issuing bank sets payment date and releases documents to applicant
        #If the DC has no Nominated bank specified and “Present To” is Issuing bank, Issuing bank has to act as nominated bank first, then issuing bank
        Given beneficiary present DP to "issuingBank" through "null" at dc sc2split
        Given issuingBank's admin1 login to main page for scenario sc2split
        Then I click on the element "sideMenu"."dcExport"
        And issuingBank navigate to current dc using contour uuid
        And I click sub side menu option "DP 1"
        And I click on the button "actionButton"."forwardButton"
        And I click sub side menu sub-option "Cover letter by Nominated bank"
        Then the element "dpInvoice"."principalAmount" is empty
        When I set "10001" to the inputfield "dpInvoice"."principalAmount"
        And I click on the button "actionButton"."saveButton"
        Then the element "dpInvoice"."errorMessage" contains the text "Please complete the cover letter"
        When I set "101" to the inputfield "dpInvoice"."totalAmount"
        And I click on the button "actionButton"."saveButton"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        Then I can see the dc has dp status "Bank review"
        And issuingBank admin1 login and Accept DP1 at current DC
        Then importParty refresh the browser
        Then I can see the dc has dp status "Accepted"
        And I can see the dc has dp sub status "Please review"

        #set payment date and release documents
        And issuingBank's admin1 logs in to setPaymentDueDate for DP1 at current DC
        Then importParty refresh the browser
        And issuingBank's admin1 logs in to releaseDocuments for DP1 at current DC
        Then importParty refresh the browser

        #Applicant sees the auditlog entries after issuing bank releases the documents
        Given applicant's admin1 login to main page for scenario sc2split
        And applicant navigate to current dc using contour uuid
        Then I expect the audit log as follow for scenario sc1
            | #ISSUING_BANK# | Accepted | Documents released   |
            | #ISSUING_BANK# | Accepted | Payment due date set |