Feature: Workflow-DraftAmendment1 - @VTX5450
As a QA, I want to test Workflow-DraftAmendment1 where applicant initiates an amendment and issuing bank issues the amended dc

Scenario: Applicant creates a DC
        Given I setup test scenario context
        Given advisingBank advised dc for scenario sc11 proceeded by "maker.checkerApprover"
       
Scenario: Applicant creates a draft amendment and sends to issuing bank
        Given applicant's admin1 login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        Then I expect the element "hint"."hintMessage" to match reference "draftamendment/corp/reqamendment"
        And I click on the button "actionButton"."amendButton"
        And I fill in dc for scenario sc11 with following values
            | Check Negotiation Payment Details    | Check    |
            | Negotiation Payment Details          | Updated  |
            | Amount                               | 25000.00 |
            | Max Tolerance (Optional)             | 17.00    |
            | Min Tolerance (Optional)             | 8.00     |
            | Expiry Place                         | Updated  |
            | Place Of Taking In Charge / Dispatch Form / Place Of Receipt (optional)| Updated |
            | Port Of Loading / Airport Of Departure (optional)                      | Updated |
        And I click on the button "actionButton"."submitToIssuingBankButton" and submit
        Then I can see the dc has amendment status "Amendment requested"
        Then I can see the dc has amendment sub status "Issuing bank to review"
        And applicant navigate to current dc using contour uuid
        When I open 1 row of the amendment overview
        Then I expect 1 row detail of the amendment overview to match reference "draftamendment/corp/overviewRowDetails"

  Scenario: Issuing bank issues the amended dc
        And issuingBank's admin1 login to main page for scenario sc11
        And issuingBank navigate to current dc using contour uuid
        When I open 1 row of the amendment overview
        When I click on 1 row view button of the amendment overview
        Then I expect the element "hint"."hintMessage" to match reference "draftamendment/issbank/reqamendment"
        And I click on the button "actionButton"."issueButton"
        And I click on the button "actionButton"."submitButton"
        Then I can see the dc has amendment status "Amended"