Feature: Workflow-DraftAmendment10(MCA-2) - @VTX5450
As a QA, I want to test Workflow-DraftAmendment10 where applicant initiates an amendment.Send to beneficiary
beneficiary edits & returns, applicant send to issuing bank, issuing banks issues amendment

Scenario: Applicant creates a DC
            Given I setup test scenario context
            Given advisingBank advised dc for scenario sc11 proceeded by "maker.checkerApprover"
        
Scenario: Applicant creates a draft amendment and sends to beneficiary(MCA-2)
        Given applicant's makerChecker login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        Then I expect the element "hint"."hintMessage" to match reference "draftamendment/corp/reqamendment"
        And I click on the button "actionButton"."amendButton"
          And I fill in dc for scenario sc11 with following values
            | Check Negotiation Payment Details    | Check    |
            | Negotiation Payment Details          | Updated  |
            | Amount                               | 25000.00 |
            | Max Tolerance (Optional)             | 17.00    |
            | Min Tolerance (Optional)             | 8.00     |
            | Expiry Place                         | Updated  |
            | Place Of Taking In Charge / Dispatch Form / Place Of Receipt (optional)| Updated |
            | Port Of Loading / Airport Of Departure (optional)                      | Updated |
        And I click on the button "actionButton"."sendToBeneficiaryButton" and submit
        Then applicant completes the following draft MCA flow for sc11
        | role           | buttons                                   | 
        | approver       | declineButton,confirmButton               | 
        | maker          | updateButton,updateButton,submitButton    | 
        | checkerApprover| declineButton,confirmButton               | 
        | admin1         | updateButton,updateButton,submitButton    |
        Then I can see the dc has amendment status "Draft text"
        Then I can see the dc has amendment sub status "Beneficiary to review"
        And applicant navigate to current dc using contour uuid       
        When I open 1 row of the amendment overview
        Then I expect 1 row detail of the amendment overview to match reference "draftamendment/corp/overviewRowDetails"

Scenario: Beneficiary edits and returns the draft amendment(mca-2)
        And beneficiary's makerChecker login to main page for scenario sc11
        And beneficiary navigate to current dc using contour uuid
        Then I open Draft Text 1
        Then I expect the element "hint"."hintMessage" to match reference "draftamendment/beneficiary/reqamendment"
        And I click on the button "actionButton"."editButton"
        And I fill in dc for scenario sc11 with following values
            | Amount                   | 20000.00 |
            | Max Tolerance (Optional) | 15.00    |
            | Min Tolerance (Optional) | 15.00    |
        And I click on the button "actionButton"."returnButton"
        And I click on the button "actionButton"."submitButton"       
        And beneficiary's approver login to main page for scenario sc11
        And beneficiary navigate to current dc using contour uuid
        Then I open Draft Text 1
        And I click on the button "actionButton"."declineButton" and confirm
        And beneficiary's maker login to main page for scenario sc11
        And beneficiary navigate to current dc using contour uuid
        Then I open Draft Text 1
        And I click on the button "actionButton"."updateButton" 
        And I fill in dc for scenario sc11 with following values
            | Amount                   | 25000.00 |
            | Max Tolerance (Optional) | 10.00    |
            | Min Tolerance (Optional) | 15.00    |
        And I click on the button "actionButton"."updateButton" and submit
        And beneficiary's checkerApprover login to main page for scenario sc11
        And beneficiary navigate to current dc using contour uuid
        Then I open Draft Text 1
        And I click on the button "actionButton"."declineButton" and confirm
        And beneficiary's admin1 login to main page for scenario sc11
        And beneficiary navigate to current dc using contour uuid
        Then I open Draft Text 1
        And I click on the button "actionButton"."updateButton" 
        And I fill in dc for scenario sc11 with following values
            | Amount                   | 30000.00 |
            | Max Tolerance (Optional) | 20.00    |
            | Min Tolerance (Optional) | 10.00    |
        And I click on the button "actionButton"."updateButton" and submit
        Then I can see the dc has amendment status "Draft text edited"


  Scenario: Applicant sends draft amendment to issuing bank
        Given applicant's admin1 login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        When I open 1 row of the amendment overview
        When I click on 1 row view button of the amendment overview
        And I click on the button "actionButton"."submitToIssuingBankButton" and submit

  Scenario: Issuing Bank issues draft amendment(mca-2)
        And issuingBank's makerChecker login to main page for scenario sc11
        And issuingBank navigate to current dc using contour uuid
        When I open 1 row of the amendment overview
        When I click on 1 row view button of the amendment overview
        Then I expect the element "hint"."hintMessage" to match reference "draftamendment/issbank/reqamendment"
        And I click on the button "actionButton"."issueButton" and submit
        Then issuingBank completes the following draftText MCA flow for sc11
        | role           | buttons                      | 
        | approver       | declineButton,confirmButton  | 
        | maker          | updateButton,submitButton    | 
        | checkerApprover| declineButton,confirmButton  | 
        | admin1         | updateButton,submitButton    |
        Then importParty refresh the browser
        Then I can see the dc has amendment status "Amended"
      
        