@VTX_5664
Feature: Draft Issuance 9(MCA-2)

Scenario: Applicant creates DC draft, submit to beneficiary(MCA-2)
       Given I setup test scenario context
       Given applicant created dc draft for beneficiary for scenario sc11 proceeded by "makerChecker"

Scenario Outline: Applicant MCA-<user>
       Then applicant's <user> login to main page for scenario sc11
       Then applicant navigate to current dc using contour uuid
       Then applicant's dc form with contour uuid is loaded with "actionButton"."<actionbuttonOne>" visible
       And I scroll to and click element "actionButton"."<actionbuttonOne>"
       And I scroll to and click element "actionButton"."<actionButtonTwo>"  
         Examples:
                | user           | actionbuttonOne     | actionButtonTwo |
                | approver       | declineButton       | confirmButton   |
                | maker          | updateButton        | submitButton    |
                | checkerApprover| declineButton       | confirmButton   |
                | admin1         | updateButton        | submitButton    |

 Scenario:  Check DC status    
        Then importParty refresh the browser
        Then I can see the dc has main status "Draft text"

Scenario: Beneficiary endorses the DC(MCA-2)
        And beneficiary's makerChecker login to main page for scenario sc11
        And beneficiary navigate to current dc using contour uuid
        Then beneficiary's dc form with contour uuid is loaded with "actionButton"."endorseButton" visible
        And I scroll to and click element "actionButton"."endorseButton"
        And I click on the element "dcForm"."internalCommentsButton"
        And I click on the element "dcForm"."internalCommentsTextArea"
        And I set "endorse dc" to the inputfield "dcForm"."internalCommentsTextArea"
        And I click on the button "actionButton"."attachCommentButton" 
        And I click on the button "actionButton"."submitButton"

Scenario Outline: Beneficiary MCA-<user>
        Then beneficiary's <user> login to main page for scenario sc11
        Then beneficiary navigate to current dc using contour uuid
        Then beneficiary's dc form with contour uuid is loaded with "actionButton"."<actionbuttonOne>" visible
        And I scroll to and click element "actionButton"."<actionbuttonOne>"
        And I scroll to and click element "actionButton"."<actionButtonTwo>"
         Examples:
                | user           | actionbuttonOne     | actionButtonTwo |
                | approver       | declineButton       | confirmButton   |
                | maker          | updateButton        | submitButton    |
                | checkerApprover| declineButton       | confirmButton   |
                | admin1         | updateButton        | submitButton    |

Scenario:  Check DC status    
        Then exportParty refresh the browser
        Then I can see the dc has main status "Draft text endorsed"
        
Scenario: Applicant discards the DC(MCA-2)
        And applicant's makerChecker login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        Then applicant's dc form with contour uuid is loaded with "actionButton"."discardButton" visible
        And I click on the element "actionButton"."discardButton"
        And I click on the button "actionButton"."submitButton"
        And I click on the button "actionButton"."confirmDiscardButton"

Scenario Outline: Applicant MCA-<user>
       Then applicant's <user> login to main page for scenario sc11
       Then applicant navigate to current dc using contour uuid
       Then applicant's dc form with contour uuid is loaded with "actionButton"."<actionbuttonOne>" visible
       And I scroll to and click element "actionButton"."<actionbuttonOne>"
       And I scroll to and click element "actionButton"."<actionButtonTwo>"  
         Examples:
                | user           | actionbuttonOne     | actionButtonTwo |
                | approver       | declineButton       | confirmButton   |
                | maker          | updateButton        | submitButton    |
                | checkerApprover| declineButton       | confirmButton   |
                | admin1         | updateButton        | submitButton    |

 Scenario:  Check DC status    
        Then importParty refresh the browser
        Then I can see the dc has main status "Discarded"

