Feature: Flexible workflow2 with waiver for mca1 scenario - @VTX5404
    As a QA, I want to test flexible workflow with waiver added[Workflow-Flexible-2]
    #https://voltrontrade.sharepoint.com/:x:/r/sites/CC-Team-QA/_layouts/15/doc2.aspx?sourcedoc=%7B60978D58-62A7-4D6C-A389-8234B527738B%7D&file=Manual_Test_Cases.xlsx&action=default&mobileredirect=true&cid=da90addf-7ac0-4563-9e2c-98f5f78dc9bf
    #Workflow-Flexible-2 Applicant-	Add waiver and only select issuing bank and beneficiary-Issuing Bank-Return (MCA-1)-Applicant-Discard (MCA-1)
    Scenario: Applicant create DC with waiver and only selects issuing bank and beneficiary[mca-1]
        Given I setup test scenario context
        Given applicant's admin1 login to main page for scenario sc11
        And I navigate to create dc page
        And I fill in dc for scenario sc1 with following values
            | Beneficiary                                 | #BENEFICIARY#          |
            | Beneficiary Address                         | #BENEFICIARY_ADDRESS#  |
            | Issuing Bank                                | #ISSUING_BANK#         |
            | Issuing Bank Address                        | #ISSUING_BANK_ADDRESS# |
            | Allow Issuing Bank To Make Changes Directly | Check                  |
        When I enable network inspector
        And I click on the button "actionButton"."submitToIssuingBankButton" and submit       
        When I get UUID from applicant admin1 submit response for scenario sc11
        Then I can see the dc has main status "Application submitted"

    Scenario: Applicant checks hint in DC overview and Waiver checkbox in DC form
        And applicant navigate to current dc using contour uuid
        And I click on the button "dcForm"."dcForm"
        Then the element "dcForm"."waiverCheckBox" is checked
        And I click on the button "dcOverview"."overviewLink"



    Scenario: Issuing bank returns the DC [mca-1]
        And issuingBank's maker login to main page for scenario sc11
        And issuingBank navigate to current dc using contour uuid
        And I click on the element "dcForm"."internalCommentsButton"
        And I click on the element "dcForm"."internalCommentsTextArea"
        And I set "return dc with waiver" to the inputfield "dcForm"."internalCommentsTextArea"
        And I click on the button "actionButton"."attachCommentButton"
        And I click on the button "actionButton"."returnButton"
        And I click on the button "actionButton"."submitButton"
        #checker declines
        And issuingBank's checker login to main page for scenario sc11
        And issuingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."declineButton" and confirm
        #maker updates draft by changing currency and submits
        And issuingBank's maker login to main page for scenario sc1
        And issuingBank navigate to current dc using contour uuid
        And I fill in dc for scenario sc1 with following values
            | Amount                   | 20000.00 |
            | Max Tolerance (Optional) | 15.00    |
            | Min Tolerance (Optional) | 15.00    |
        And I click on the button "actionButton"."updateButton"
        And I click on the button "actionButton"."submitButton"
        #checker verifies
        And issuingBank's checker login to main page for scenario sc11
        And issuingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."verifyButton" and confirm
        #approver rejects
        And issuingBank's approver login to main page for scenario sc1
        And issuingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."declineButton" and confirm
        #maker updates draft by changing currency and Tolerance values and submits
        And issuingBank's maker login to main page for scenario sc1
        And issuingBank navigate to current dc using contour uuid
        And I fill in dc for scenario sc1 with following values
            | Amount                   | 25000.00 |
            | Max Tolerance (Optional) | 15.00    |
            | Min Tolerance (Optional) | 15.00    |
        And I click on the button "actionButton"."updateButton"
        And I click on the button "actionButton"."submitButton"
        #checker verifies
        And issuingBank's checker login to main page for scenario sc1
        And issuingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."verifyButton" and confirm
        #approver approves
        And issuingBank's approver login to main page for scenario sc1
        And issuingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."approveButton" and confirm

    Scenario: Check dc is returned
        Then I can see the dc has main status "Application returned"

    Scenario: Applicant discards dc draft [mca-1]
        And applicant's maker login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        And I click on the element "actionButton"."discardButton"
        And I click on the button "actionButton"."submitButton"
        And I click on the button "actionButton"."confirmDiscardButton"
        #checker declines
        And applicant's checker login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        And I click on the button "actionButton"."declineButton" and confirm
        #maker update draft and submit
        And applicant's maker login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        And I click on the button "actionButton"."updateButton"
        And I click on the button "actionButton"."submitButton"
        #checker verifies
        And applicant's checker login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        And I click on the button "actionButton"."verifyButton" and confirm
        #approver rejects
        And applicant's approver login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        And I click on the button "actionButton"."declineButton" and confirm
        #maker update draft and submit
        And applicant's maker login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        And I click on the button "actionButton"."updateButton"
        And I click on the button "actionButton"."submitButton"
        #checker verifies
        And applicant's checker login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        And I click on the button "actionButton"."verifyButton" and confirm
        #approver approves
        And applicant's approver login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        And I click on the button "actionButton"."approveButton" and confirm

    Scenario: Check DC is discarded
        Then I can see the dc has main status "Discarded"
