Feature: Flexible workflow4 with waiver for mca2 scenario - @VTX5404
    As a QA, I want to test flexible workflow with waiver added[Workflow-Flexible-2]
    #https://voltrontrade.sharepoint.com/:x:/r/sites/CC-Team-QA/_layouts/15/doc2.aspx?sourcedoc=%7B60978D58-62A7-4D6C-A389-8234B527738B%7D&file=Manual_Test_Cases.xlsx&action=default&mobileredirect=true&cid=da90addf-7ac0-4563-9e2c-98f5f78dc9bf
    #Workflow-Flexible-4 -Applicant-Add waiver and only select issuing bank and beneficiary	Issuing Bank-Edit and return-Applicant-Remove waiver and send to Issuing Bank (MCA-2)-Issuing Bank-issue (MCA-2)
    Scenario: Applicant create DC with waiver and only selects issuing bank and beneficiary
        Given I setup test scenario context
        Given applicant's admin1 login to main page for scenario sc11
        And I navigate to create dc page
        And I fill in dc for scenario sc11 with following values
            | Beneficiary                                 | #BENEFICIARY#          |
            | Beneficiary Address                         | #BENEFICIARY_ADDRESS#  |
            | Issuing Bank                                | #ISSUING_BANK#         |
            | Issuing Bank Address                        | #ISSUING_BANK_ADDRESS# |
            | Allow Issuing Bank To Make Changes Directly | Check                  |
        When I enable network inspector
        And I click on the button "actionButton"."submitToIssuingBankButton" and submit       
        When I get UUID from applicant admin1 submit response for scenario sc11
        Then I can see the dc has main status "Application submitted"

    Scenario: Applicant checks hint in DC overview and Waiver checkbox in DC form
        And applicant navigate to current dc using contour uuid
        And I click on the button "dcForm"."dcForm"
        Then the element "dcForm"."waiverCheckBox" is checked
        And I click on the button "dcOverview"."overviewLink"

    Scenario: Issuing bank edits and returns the DC
        And issuingBank's admin1 login to main page for scenario sc11
        And issuingBank navigate to current dc using contour uuid
        And I click on the element "dcForm"."internalCommentsButton"
        And I click on the element "dcForm"."internalCommentsTextArea"
        And I set "Edit the amount" to the inputfield "dcForm"."internalCommentsTextArea"
        And I click on the button "actionButton"."attachCommentButton"
        And I click on the button "actionButton"."editButton"
        And I fill in dc for scenario sc11 with following values
            | Advising Bank                                                                     | #ADVISING_BANK#                                                                   |
            | Advising Bank Address                                                             | #ADVISING_BANK_ADDRESS#                                                           |
            | Confirmation Instructions                                                         | Without                                                                           |
            | Confirming Bank                                                                   | #CONFIRMING_BANK#                                                                 |
            | Confirming Bank Address                                                           | #CONFIRMING_BANK_ADDRESS#                                                         |
            | Available With Bank                                                               | #NOMINATED_BANK#                                                                  |
            | Available With Bank Address                                                       | #NOMINATED_BANK_ADDRESS#                                                          |
            | Available By Negotiation                                                          | Check                                                                             |
            | Check Negotiation Payment Details                                                 | Check                                                                             |
            | Negotiation Payment Details                                                       | Negotiation / Deferred Payment Details                                            |
            | Applicable Rules                                                                  | eUCP latest version                                                               |
            | Selected Currency                                                                 | USD                                                                               |
            | Amount                                                                            | 10000.00                                                                          |
            | Max Tolerance (Optional)                                                          | 15.00                                                                             |
            | Min Tolerance (Optional)                                                          | 5.00                                                                              |
            | Additional Amount Covered (Option)                                                | Additional Amount Covered (Option)                                                |
            | Expiry Date (YY/MM/DD)                                                            | #RANDOM_DATE#                                                                     |
            | Expiry Place                                                                      | Hong Kong                                                                         |
            | Partial Shipments (optional)                                                      | Allowed                                                                           |
            | Transhipment (optional)                                                           | Not allowed                                                                       |
            | Shipment Date / Period                                                            | Latest date of shipment                                                           |
            | Latest Date Of Shipment                                                           | 2023-12-10                                                                       |
            | Description Of Goods And/Or Services                                              | Automation                                                                        |
            | Period Of Presentation                                                            | 123                                                                               |
            | Type Of Presentation                                                              | 123                                                                               |
            | Place Of Taking In Charge / Dispatch Form / Place Of Receipt (optional)           | Place Of Taking In Charge / Dispatch Form / Place Of Receipt (optional)           |
            | Port Of Loading / Airport Of Departure (optional)                                 | Port Of Loading / Airport Of Departure (optional)                                 |
            | Port Of Discharge / Airport Of Destination (optional)                             | Port Of Discharge / Airport Of Destination (optional)                             |
            | Place Of Final Destination / For Transportation To / Place Of Delivery (optional) | Place Of Final Destination / For Transportation To / Place Of Delivery (optional) |
        And I fill in document source with following values
            | Invoice Description                  | Invoice Description                             |
            | Tick - Transport Document            | Tick                                            |
            | Tick - Certificate of Origin         | Tick                                            |
            | Tick - Packing List                  | Tick                                            |
            | Select Transport Document            | Others, please specify                          |
            | Other Transport Document             | Other Transport Document                        |
            | Transport Document Description       | Transport Document Description                  |
            | Certificate of Origin Description    | Certificate of Origin Description               |
            | Packing List Description             | Packing List Description                        |
            | Other Required Document Count        | 2                                               |
            | Other Required Document Names        | Other Doc 1,Other Doc 2                         |
            | Other Required Document Descriptions | Other Doc Description 1,Other Doc Description 2 |
        And I click on the button "actionButton"."returnButton"
        And I click on the button "actionButton"."submitButton"
        Then I can see the dc has main status "Application returned"


    Scenario: Applicant removes waiver and submits to Issuing bank[mca-2]
        And applicant's makerChecker login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        And I click on the button "actionButton"."editButton"
        And I click on the element "dcForm"."waiverCheckBox"
        And I scroll to and click element "actionButton"."submitToIssuingBankButton"
        And I scroll to and click element "actionButton"."submitButton"
        #approver declines
        And applicant's approver login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        And I click on the button "actionButton"."declineButton" and confirm
        #maker updates draft and submit
        And applicant's maker login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        And I click on the button "actionButton"."updateButton"
        And I click on the button "actionButton"."submitButton"
        #Checkerapprover rejects
        And applicant's checkerApprover login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        And I click on the button "actionButton"."declineButton" and confirm
        #makercheckerapprover update draft and submit
        And applicant's admin1 login to main page for scenario sc11
        And applicant navigate to current dc using contour uuid
        And I click on the button "actionButton"."updateButton"
        And I click on the button "actionButton"."submitButton"


    Scenario: Check DC is submitted
        Then I can see the dc has main status "Application submitted"

    Scenario: Issuing bank issues the DC [mca-2]
        And issuingBank's makerChecker login to main page for scenario sc11
        And issuingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."issueButton"
        When I set "flexible_4" to the inputfield "dcForm"."issuedDcRefenceInput"
        And I set "Additional clause from issuing bank" to the inputfield "dcForm"."additionalConditionsFromIssuingBankInput"
        And I set "Instructions to paying bank" to the inputfield "dcForm"."instructionToPayingBankInput"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        #approver declines
        And issuingBank's approver login to main page for scenario sc11
        And issuingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."declineButton" and confirm
        #maker updates draft and submit
        And issuingBank's maker login to main page for scenario sc11
        And issuingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."updateButton"
        And I click on the button "actionButton"."submitButton"
        #Checkerapprover rejects
        And issuingBank's checkerApprover login to main page for scenario sc11
        And issuingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."declineButton" and confirm
        #makercheckerapprover update draft and submit
        And issuingBank's admin1 login to main page for scenario sc11
        And issuingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."updateButton"
        And I click on the button "actionButton"."submitButton"

    Scenario: Check dc is issued
        Then I can see the dc has main status "Issued"
