@VTX_5722
Feature: DC Issuance 29(S11 DC Issuance,Advise without confirmation(MCA-2))

        Scenario: Applicant creates a DC
                Given I setup test scenario context
                Given applicant created dc for scenario sc11 proceeded by "admin1"

        Scenario: Issuing Bank issues the DC
                And issuingBank's admin1 login to main page for scenario sc11
                And issuingBank navigate to current dc using contour uuid
                And I click on the button "actionButton"."issueButton"
                When I set "issuance-29mca2" to the inputfield "dcForm"."issuedDcRefenceInput"
                And I set "Additional clause from issuing bank" to the inputfield "dcForm"."additionalConditionsFromIssuingBankInput"
                And I set "Instructions to paying bank" to the inputfield "dcForm"."instructionToPayingBankInput"
                And I click on the button "actionButton"."previewButton"
                And I click on the button "actionButton"."submitButton"
                Then I can see the DC has main status "Issued"

        Scenario: Confirming bank advises the DC without confirmation(MCA-2)
                And confirmingBank's makerChecker login to main page for scenario sc11
                And confirmingBank navigate to current dc using contour uuid
                And I click on the button "actionButton"."adviseWithoutConfirmationButton"
                When I set "issuance-29mca2" to the inputfield "dcForm"."confirmedDcReferenceInput"
                And I click on the button "actionButton"."previewButton" and submit
                Then confirmingBank completes the following dc MCA flow for sc11
                        | role            | buttons                     |
                        | approver        | declineButton,confirmButton |
                        | maker           | updateButton,submitButton   |
                        | checkerApprover | declineButton,confirmButton |
                        | admin1          | updateButton,submitButton   |
                Then I can see the DC has main status "Issued and advised"

        Scenario: Nominated bank advises the dc
                And nominatedBank's admin1 login to main page for scenario sc11
                And nominatedBank navigate to current dc using contour uuid
                And I click on the button "actionButton"."adviseButton"
                When I set "issuance-29mca2" to the inputfield "dcForm"."nominatedDcReferenceInput"
                And I click on the button "actionButton"."previewButton" and submit
                Then I can see the DC has main status "Issued and advised"

        Scenario: Advising bank advises the dc
                And advisingBank's admin1 login to main page for scenario sc11
                And advisingBank navigate to current dc using contour uuid
                And I click on the button "actionButton"."adviseButton"
                When I set "issuance-29mca2" to the inputfield "dcForm"."advisedDcReferenceInput"
                And I click on the button "actionButton"."previewButton"
                And I click on the button "actionButton"."submitButton"
                Then I can see the DC has main status "Issued and advised"
