@VTX_5722
Feature: DC Issuance 33(S11 DC Issuance,Advise without confirmation,advise DC(MCA-1))

        Scenario: Applicant creates a DC
                Given I setup test scenario context
                Given applicant created dc for scenario sc11 proceeded by "admin1"

        Scenario: Issuing Bank issues the DC
                And issuingBank's admin1 login to main page for scenario sc11
                And issuingBank navigate to current dc using contour uuid
                And I click on the button "actionButton"."issueButton"
                When I set "issuance-33mca1" to the inputfield "dcForm"."issuedDcRefenceInput"
                And I set "Additional clause from issuing bank" to the inputfield "dcForm"."additionalConditionsFromIssuingBankInput"
                And I set "Instructions to paying bank" to the inputfield "dcForm"."instructionToPayingBankInput"
                And I click on the button "actionButton"."previewButton"
                And I click on the button "actionButton"."submitButton"
                Then I can see the DC has main status "Issued"

        Scenario: Confirming bank advises the DC without confirmation(MCA-1)
                And confirmingBank's maker login to main page for scenario sc11
                And confirmingBank navigate to current dc using contour uuid
                And I click on the button "actionButton"."adviseWithoutConfirmationButton"
                When I set "issuance-33mca1" to the inputfield "dcForm"."confirmedDcReferenceInput"
                And I click on the button "actionButton"."previewButton" and submit
                Then confirmingBank completes the following dc MCA flow for sc11
                        | role     | buttons                     |
                        | checker  | declineButton,confirmButton |
                        | maker    | updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton  |
                        | approver | declineButton,confirmButton |
                        | maker    | updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton  |
                        | approver | approveButton,confirmButton |
                Then I can see the DC has main status "Issued and advised"

        Scenario: Nominated bank advises the dc(MCA-1)
                And nominatedBank's maker login to main page for scenario sc11
                And nominatedBank navigate to current dc using contour uuid
                And I click on the button "actionButton"."adviseButton"
                When I set "issuance-33mca1" to the inputfield "dcForm"."nominatedDcReferenceInput"
                And I click on the button "actionButton"."previewButton" and submit
                Then nominatedBank completes the following dc MCA flow for sc11
                        | role     | buttons                     |
                        | checker  | declineButton,confirmButton |
                        | maker    | updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton  |
                        | approver | declineButton,confirmButton |
                        | maker    | updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton  |
                        | approver | approveButton,confirmButton |
                Then I can see the DC has main status "Issued and advised"

        Scenario: Advising bank advises the dc(MCA-1)
                And advisingBank's maker login to main page for scenario sc11
                And advisingBank navigate to current dc using contour uuid
                And I click on the button "actionButton"."adviseButton"
                When I set "issuance-33mca1" to the inputfield "dcForm"."advisedDcReferenceInput"
                And I click on the button "actionButton"."previewButton" and submit
                Then advisingBank completes the following dc MCA flow for sc11
                        | role     | buttons                     |
                        | checker  | declineButton,confirmButton |
                        | maker    | updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton  |
                        | approver | declineButton,confirmButton |
                        | maker    | updateButton,submitButton   |
                        | checker  | verifyButton,confirmButton  |
                        | approver | approveButton,confirmButton |
                Then I can see the DC has main status "Issued and advised"
