
Feature: Workflow-Issuance40MCA2 - @VTX5723
    As a QA, I want to test Workflow-BeneficiaryConfirmation-40 where Dc is issued and rejected
    Scenario: Applicant creates a DC
        Given I setup test scenario context
        Given applicant created dc for scenario sc11 proceeded by "admin1"

    Scenario: Issuing Bank issues the DC
        And issuingBank's admin1 login to main page for scenario sc11
        And issuingBank navigate to current dc using contour uuid
        And I wait for element "actionButton"."issueButton" to be visible
        And I click on the button "actionButton"."issueButton"
        When I set "issuance-40mca2" to the inputfield "dcForm"."issuedDcRefenceInput"
        And I click on the button "actionButton"."previewButton"
        And I click on the button "actionButton"."submitButton"
        Then importParty refreshes the browser until the main status matches the text "Issued"

    Scenario: Confirming rejects MCA-2
        And confirmingBank's makerChecker login to main page for scenario sc11
        And confirmingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."rejectButton"
        And I click on the button "actionButton"."submitButton"
        Then confirmingBank completes the following dc MCA flow for sc11
            | role            | buttons                     |
            | approver        | declineButton,confirmButton |
            | maker           | updateButton,submitButton   |
            | checkerApprover | declineButton,confirmButton |
            | admin1          | updateButton,submitButton   |

    Scenario: Nominated Bank rejects MCA-2
        And nominatedBank's makerChecker login to main page for scenario sc11
        And nominatedBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."rejectButton"
        And I click on the button "actionButton"."submitButton"
        Then nominatedBank completes the following dc MCA flow for sc11
            | role            | buttons                     |
            | approver        | declineButton,confirmButton |
            | maker           | updateButton,submitButton   |
            | checkerApprover | declineButton,confirmButton |
            | admin1          | updateButton,submitButton   |

    Scenario: Advising Bank rejects MCA-2
        And advisingBank's makerChecker login to main page for scenario sc11
        And advisingBank navigate to current dc using contour uuid
        And I click on the button "actionButton"."rejectButton"
        And I click on the button "actionButton"."submitButton"
        Then advisingBank completes the following dc MCA flow for sc11
            | role            | buttons                     |
            | approver        | declineButton,confirmButton |
            | maker           | updateButton,submitButton   |
            | checkerApprover | declineButton,confirmButton |
            | admin1          | updateButton,submitButton   |
        Then exportParty refreshes the browser until the main status matches the text "Issued and rejected"
