var specs = ['../test/features/.working/bwc_sampledp.feature'];

const config: ContourFETConfig = {
  framework: 'cucumber',
  specs: specs,
  stepDefinitions: ['../test/steps/**/*def.ts'],
  locators: ['../test/pages/**/*.locator.ts'],
  env: 'dev_3',
  vr: {
    autoSaveBaseline: true,
    compareScreenshot: false,
    beforeScreenshotPause: 500
  },
  runType: 'selenium-standalone',
  standAloneOptions: {
    installArgs: { drivers: { chrome: { version: '91.0.4472.101' } } }, // drivers to install
    args: {
      drivers: { chrome: { version: '91.0.4472.101' } } // drivers to use
    }
  },
  reportPortal: {
    enabled: true,
    token: 'c14bd8ad-fd3f-4880-93c7-14545f5e949f',
    endpoint: 'http://reportportal.dev.contournetwork.io/api/v1',
    project: 'contour-fe',
    launch: 'Backwards DP',
    description: specs.toString(),
    attributes: [{ key: 'run', value: 'e2e' }]
  },
  logLevel: 'trace',
  tagExpression: 'not @Pending'
};

export default config;
