global.projectRoot = process.cwd();

const baseConfig: ContourFETConfig = {
  framework: 'cucumber',
  runType: 'chromedriver',
  env: '',
  specs: [],
  tagExpression: '',
  stepDefinitions: [`${global.projectRoot}/src/steps/**/*def.ts`],
  locators: [`${global.projectRoot}/src/**/**/*locator.ts`],

  vr: {
    dir: `${global.projectRoot}/test/resources/visual-regression/`,
    autoSaveBaseline: false,
    compareScreenshot: false,
    beforeScreenshotPause: 500
  },

  reportPortal: {
    enabled: false,
    token: '',
    project: 'contour-fe',
    launch: '',
    description: '',
    attributes: [{}],
    autoAttachScreenshots: true
  },
  msTeamsNotification: { enabled: false, notifyFailingTestsOnly: true },
  logLevel: 'error',
  debugFailStep: false,
  reportDir: `../../../../test/reports/`,
  outputDir: `../../../../test/logs/`
};

export default baseConfig;
