import report_portal_token from '../../report_portal_token';
const localConfig: ContourFETConfig = require('../../baseConfigs/baseLocalConfig').default;

const specs = [`${global.projectRoot}/test/features/dc_issuance/dc_templates/dcTemplates_1.feature`];

localConfig.env = 'dev_3';
localConfig.specs = specs;
localConfig.tagExpression = 'not @Pending';

localConfig.reportPortal = {
  enabled: false,
  token: report_portal_token.shankar_token,
  project: 'contour-fe',
  launch: 'DC Templates',
  description: specs.toString(),
  attributes: [{ key: 'run', value: 'dcTemplates' }],
  autoAttachScreenshots: true
};

localConfig.logLevel = 'error';

export default localConfig;
