import baseRemoteConfig from '../baseConfigs/baseRemoteConfig';
import localConfig from './localConfig';

import _ from 'lodash';
const remoteConfig: ContourFETConfig = _.merge(localConfig, baseRemoteConfig);

remoteConfig.reportPortal = {
  enabled: true,
  token: localConfig.reportPortal.token,
  project: localConfig.reportPortal.project,
  launch: localConfig.reportPortal.launch,
  description: localConfig.specs.toString(),
  attributes: localConfig.reportPortal.attributes,
  autoAttachScreenshots: true
};

export default remoteConfig;
